
USE [WaspTrackInventory]
GO

print '----------------------------'
print '--                          '
print '--  DROP TABLE SECTION      '
print '--                          '
print '----------------------------'


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[asset]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[asset]

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[employees]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[employees]




print '-------------------------'
print '--                       '
print '--  CREATE TABLE SECTION '
print '--                       '
print '-------------------------'


SET QUOTED_IDENTIFIER OFF 
SET ANSI_NULLS ON 

if EXISTS (select * from dbo.syscolumns where name = 'po' and id = object_id(N'[dbo].[audit_transactions]'))
BEGIN
	ALTER TABLE [dbo].[audit_transactions] ALTER COLUMN [po] varchar(38)
END

if NOT EXISTS (select * from dbo.syscolumns where name = 'device_name' and id = object_id(N'[dbo].[find_meta]'))
BEGIN
ALTER TABLE [dbo].[find_meta] ADD 
	[device_name] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
END


if NOT EXISTS (select * from dbo.syscolumns where name = 'is_receive_or_ship' and id = object_id(N'[dbo].[history_transactions]'))
BEGIN
ALTER TABLE [dbo].[history_transactions] ADD 
	[is_receive_or_ship] [wtbool] NOT NULL CONSTRAINT [DF_history_transactions_is_receive_or_ship] DEFAULT ('F'),
	[receipt_no] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
END

if EXISTS (select * from dbo.syscolumns where name = 'po' and id = object_id(N'[dbo].[history_transactions]'))
BEGIN
	ALTER TABLE [dbo].[history_transactions] ALTER COLUMN [po] varchar(38)
END

if NOT EXISTS (select * from dbo.syscolumns where name = 'item_type' and id = object_id(N'[dbo].[history_transactions]'))
BEGIN
	ALTER TABLE [dbo].[history_transactions] ADD [item_type] [int] NULL
END

if NOT EXISTS (select * from dbo.syscolumns where name = 'primary_location' and id = object_id(N'[dbo].[inventory]'))
BEGIN
ALTER TABLE [dbo].[inventory] ADD 
	[primary_location] [wtbool] NOT NULL CONSTRAINT [DF_inventory_primary_location] DEFAULT ('F'),
	[lsgrid_only] [wtbool] NOT NULL CONSTRAINT [DF_inventory_lsform_only] DEFAULT ('F')
END

if EXISTS (select * from dbo.syscolumns where name = 'po' and id = object_id(N'[dbo].[inventory_temp]'))
BEGIN
	ALTER TABLE [dbo].[inventory_temp] ALTER COLUMN [po] varchar(38)
END

if NOT EXISTS (select * from dbo.syscolumns where name = 'is_receive_or_ship' and id = object_id(N'[dbo].[inventory_transactions]'))
BEGIN
ALTER TABLE [dbo].[inventory_transactions] ADD 
	[is_receive_or_ship] [wtbool] NOT NULL CONSTRAINT [DF_inventory_transactions_is_receive_or_ship] DEFAULT ('F'),
	[receipt_no] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
END

if EXISTS (select * from dbo.syscolumns where name = 'po' and id = object_id(N'[dbo].[Inventory_Transactions]'))
BEGIN
	ALTER TABLE [dbo].[inventory_transactions] ALTER COLUMN [po] varchar(38)
END

if NOT EXISTS (select * from dbo.syscolumns where name = 'other_transaction_id' and id = object_id(N'[dbo].[inventory_transactions]'))
BEGIN
	ALTER TABLE [dbo].[inventory_transactions] ADD 
		[other_transaction_id] [int] NULL CONSTRAINT [DF_inventory_transactions_other_transaction_id]  DEFAULT ((0))
END

if NOT EXISTS (select * from dbo.syscolumns where name = 'item_type' and id = object_id(N'[dbo].[item]'))
BEGIN
	ALTER TABLE [dbo].[item] ADD 
		item_type [int] NOT NULL CONSTRAINT [DF_item_type] DEFAULT (1)
END
GO


if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[item_group_spec]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[item_group_spec](
	[line_id] [int] IDENTITY(1,1) NOT NULL,
	[item_id] [int] NOT NULL,
	[sub_item_id] [int] NOT NULL,
	[quantity] [decimal](18, 4) NOT NULL,
	[always_scrap] [wtbool] NOT NULL CONSTRAINT [DF_item_group_spec_alway_scrap]  DEFAULT ('F'),
	[batch_no] [int] NOT NULL,
	[record_status] [record_status_type] NOT NULL,
	[user_id] [int] NOT NULL,
	[last_updated] [datetime] NULL,
	[company_id] [int] NOT NULL
) ON [PRIMARY]
END
GO

if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[item_receipt]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[item_receipt] (
	[item_receipt_id] [int] IDENTITY (1, 1) NOT NULL ,
	[po_id] [int] NOT NULL ,
	[date_received] [datetime] NOT NULL ,
	[line_item_type] [int] NOT NULL ,
	[item_id] [int] NOT NULL ,
	[uom_id] [int] NOT NULL ,
	[quantity_received] [decimal](18, 4) NOT NULL ,
	[cost] [decimal](18, 4) NOT NULL ,
	[company_id] [int] NOT NULL ,
	[record_status] [record_status_type] NOT NULL 
) ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[item_supplier]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[item_supplier] (
	[item_supplier_id] [int] IDENTITY (1, 1) NOT NULL ,
	[item_id] [int] NOT NULL ,
	[supplier_id] [int] NOT NULL ,
	[supplier_item_sku] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[supplier_item_description] [description_type] NULL ,
	[lead_time] [decimal](18, 4) NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	[default_supplier] [wtbool] NOT NULL ,
	[note] [description_type] NULL 
) ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[item_type]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[item_type] (
	[item_type_id] [int] NOT NULL ,
	[item_type_name] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL 
) ON [PRIMARY]
END


if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[number_template]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[number_template] (
	[format_name] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[f_order_no] [int] NOT NULL ,
	[f_type] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[f_value] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[f_length] [int] NOT NULL ,
	[company_id] [int] NOT NULL 
) ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[pay_methods]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[pay_methods] (
	[pay_method_id] [int] IDENTITY (1, 1) NOT NULL ,
	[pay_method_text] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[company_id] [int] NOT NULL ,
	[record_status] [record_status_type] NOT NULL 
) ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[pick_order]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[pick_order] (
	[pick_order_id] [int] IDENTITY (1, 1) NOT NULL ,
	[order_number] [varchar] (38) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[creation_date] [datetime] NULL ,
	[last_modified_date] [datetime] NULL ,
	[due_date] [datetime] NULL ,
	[ship_date] [datetime] NULL ,
	[order_status] [int] NOT NULL ,
	[customer_id] [int] NULL ,
	[tracking_number] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[is_canceled] [wtbool] NOT NULL ,
	[company_id] [int] NOT NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[line_item_count] [int] NULL ,
	[backorder_id] [int] NULL ,
	[is_printed] [wtbool] NULL ,
	[print_no] [int] NULL ,
	[last_printed_date] [datetime] NULL ,
	[ref_number] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[customer_address_type_id] [int] NULL ,
	[customer_address_record_type] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ship_method_id] [int] NULL 
) ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[pick_order_detail]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[pick_order_detail] (
	[pick_order_detail_id] [int] IDENTITY (1, 1) NOT NULL ,
	[pick_order_id] [int] NOT NULL ,
	[line_item_type] [int] NOT NULL ,
	[item_id] [int] NOT NULL ,
	[item_description] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[item_uom] [varchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[request_quantity] [decimal](15, 4) NOT NULL ,
	[picked_quantity] [decimal](15, 4) NOT NULL ,
	[company_id] [int] NOT NULL ,
	[record_status] [record_status_type] NOT NULL 
) ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[po_detail]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[po_detail] (
	[po_detail_id] [int] IDENTITY (1, 1) NOT NULL ,
	[po_id] [int] NOT NULL ,
	[line_item_type] [int] NOT NULL ,
	[item_id] [int] NOT NULL ,
	[item_description] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[vendor_sku] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[uom_id] [int] NOT NULL ,
	[quantity_ordered] [decimal](18, 4) NOT NULL ,
	[quantity_received] [decimal](18, 4) NOT NULL ,
	[quantity_original] [decimal](18, 4) NOT NULL ,
	[cost] [money] NOT NULL ,
	[company_id] [int] NOT NULL ,
	[record_status] [record_status_type] NOT NULL 
) ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[po_lineitem_type]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[po_lineitem_type] (
	[po_lineitem_type_id] [int] NOT NULL ,
	[po_lineitem_type_name] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL 
) ON [PRIMARY]
END

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[po_master]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[po_master] (
	[po_id] [int] IDENTITY (1, 1) NOT NULL ,
	[po_type] [varchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[po_number] [nvarchar] (38) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ref_number] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[supplier_id] [int] NULL ,
	[customer_id] [int] NULL ,
	[order_date] [datetime] NULL ,
	[due_date] [datetime] NULL ,
	[ship_method_id] [int] NULL ,
	[pay_method_id] [int] NULL ,
	[po_status] [int] NOT NULL ,
	[last_modified_date] [datetime] NULL,
	[company_id] [int] NOT NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[record_status_date] [datetime] NULL ,
	[supplier_address_type_id] [int] NULL ,
	[supplier_address_record_type] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[shipping_address_type_id] [int] NULL,
	[shipping_address_record_type] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL
) ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[po_status]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[po_status] (
	[po_status_id] [int] NOT NULL ,
	[po_status_text] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[company_id] [int] NOT NULL ,
	[record_status] [record_status_type] NOT NULL 
) ON [PRIMARY]
END


ALTER TABLE [dbo].[recent_values] ALTER COLUMN 
	[code] [varchar](30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL


if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[ship_methods]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[ship_methods] (
	[ship_method_id] [int] IDENTITY (1, 1) NOT NULL ,
	[ship_method_text] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[company_id] [int] NOT NULL ,
	[record_status] [record_status_type] NOT NULL 
) ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[transaction_temp]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[transaction_temp] (
	[item_number] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[description] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[site_name] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[code] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[other_site] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[other_location] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[pallet] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[lot] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[date_code] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[serial_number] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[trans_type] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[trans_date] [datetime] NULL ,
	[quantity] [decimal](18, 0) NULL ,
	[current_qty] [decimal](18, 0) NULL ,
	[remaining_qty] [decimal](18, 0) NULL ,
	[entry_date] [datetime] NULL ,
	[date_acquired] [datetime] NULL ,
	[cost] [decimal](18, 0) NULL ,
	[last_name] [varchar] (110) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_source] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.syscolumns where name = 'trans_description_2' and id = object_id(N'[dbo].[transaction_types]'))
BEGIN
ALTER TABLE [dbo].[transaction_types] ADD 
	[trans_description_2] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
END


if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[ui_settings]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[ui_settings] (
	[user_id] [int] NOT NULL ,
	[setting_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[setting_type] [varchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[setting_value] [image] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[unit_of_measure]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[unit_of_measure] (
	[uom_id] [int] IDENTITY (1, 1) NOT NULL ,
	[item_id] [int] NOT NULL ,
	[supplier_id] [int] NOT NULL ,
	[uom_code] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[quantity_eaches] [decimal](18, 4) NULL ,
	[cost] [money] NULL ,
	[preferred_uom] [wtbool] NOT NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	[date_updated] [datetime] NULL 
) ON [PRIMARY]
END

if NOT EXISTS (select * from dbo.syscolumns where name = 'email' and id = object_id(N'[dbo].[users]'))
BEGIN
ALTER TABLE [dbo].[users] ADD 
	[email] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
END


IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pick_order_history]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[pick_order_history](
	[pick_order_id] [int] NOT NULL,
	[order_number] [varchar](38) NOT NULL,
	[creation_date] [datetime] NULL,
	[last_modified_date] [datetime] NULL,
	[due_date] [datetime] NULL,
	[ship_date] [datetime] NULL,
	[order_status] [int] NOT NULL,
	[customer_id] [int] NULL,
	[tracking_number] [varchar](255) NULL,
	[is_canceled] [wtbool] NOT NULL DEFAULT ('F'),
	[company_id] [int] NOT NULL,
	[record_status] [record_status_type] NOT NULL,
	[line_item_count] [int] NULL,
	[backorder_id] [int] NULL,
	[is_printed] [wtbool] NULL,
	[print_no] [int] NULL DEFAULT (0),
	[last_printed_date] [datetime] NULL,
	[ref_number] [varchar](100) NULL,
	[customer_address_type_id] [int] NULL,
	[customer_address_record_type] [varchar](50) NULL,
	[ship_method_id] [int] NULL
) ON [PRIMARY]
END

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[po_detail_history]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[po_detail_history](
	[po_detail_id] [int] NOT NULL,
	[po_id] [int] NOT NULL,
	[line_item_type] [int] NOT NULL DEFAULT (1),
	[item_id] [int] NOT NULL,
	[item_description] [nvarchar](255) NULL,
	[vendor_sku] [nvarchar](255) NULL,
	[uom_id] [int] NOT NULL DEFAULT (0),
	[quantity_ordered] [decimal](18, 4) NOT NULL DEFAULT (0),
	[quantity_received] [decimal](18, 4) NOT NULL DEFAULT (0),
	[quantity_original] [decimal](18, 4) NOT NULL DEFAULT (0),
	[cost] [money] NOT NULL,
	[company_id] [int] NOT NULL,
	[record_status] [record_status_type] NOT NULL
) ON [PRIMARY]
END

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pick_order_detail_history]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[pick_order_detail_history](
	[pick_order_detail_id] [int] NOT NULL,
	[pick_order_id] [int] NOT NULL,
	[line_item_type] [int] NOT NULL,
	[item_id] [int] NOT NULL DEFAULT (0),
	[item_description] [varchar](255) NULL,
	[item_uom] [varchar](10) NULL,
	[request_quantity] [decimal](15, 4) NOT NULL DEFAULT (0),
	[picked_quantity] [decimal](15, 4) NOT NULL DEFAULT (0),
	[company_id] [int] NOT NULL,
	[record_status] [record_status_type] NOT NULL
) ON [PRIMARY]
END

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[po_master_history]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[po_master_history](
	[po_id] [int] NOT NULL,
	[po_type] [varchar](10) NOT NULL DEFAULT ('PO'),
	[po_number] [nvarchar](38) NOT NULL,
	[ref_number] [varchar](100) NOT NULL,
	[supplier_id] [int] NULL,
	[customer_id] [int] NULL,
	[order_date] [datetime] NULL,
	[due_date] [datetime] NULL,
	[ship_method_id] [int] NULL,
	[pay_method_id] [int] NULL,
	[po_status] [int] NOT NULL DEFAULT (1),
	[last_modified_date] [datetime] NULL,
	[company_id] [int] NOT NULL,
	[record_status] [record_status_type] NOT NULL,
	[record_status_date] [datetime] NULL DEFAULT (getdate()),
	[supplier_address_type_id] [int] NULL,
	[supplier_address_record_type] [varchar] (50) NULL,
	[shipping_address_type_id] [int] NULL,
	[shipping_address_record_type] [varchar] (50) NULL
) ON [PRIMARY]
END


if NOT EXISTS (select * from dbo.sysobjects where id = object_id(N'[dbo].[report_extras]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[report_extras](
      [field_id] [int] NOT NULL,
      [field_type] [int] NOT NULL,
      [field_text] [text] NULL,
      [field_image] [image] NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END


/**********************************************************************************/
/****** Object:  Table [dbo].[user_site]    Script Date: 07/21/2008 08:38:16 ******/
/****** Added for Version 5 of InventoryControl                              ******/
/**********************************************************************************/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[user_site]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[user_site](
	[id] [int] IDENTITY(1000,1) NOT NULL,
	[user_id] [int] NOT NULL,
	[site_id] [int] NOT NULL,
 CONSTRAINT [PK_ID] PRIMARY KEY CLUSTERED 
(
	[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]
END
GO



------------------------
--  report_names table add a new column for report print orientation
-------------------------

if NOT EXISTS (select * from dbo.syscolumns where name = 'rpt_orientation' and id = object_id(N'[dbo].[report_names]'))
BEGIN
ALTER TABLE [dbo].[report_names] ADD
	[rpt_orientation] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL DEFAULT ('P')
END

GO



------ Keep the following section at the bottom of this file!!

if	EXISTS (select * from dbo.syscolumns where name = 'inventoried' and id = object_id(N'[dbo].[item]')) AND
	NOT EXISTS (select * from dbo.syscolumns where name = 'inventoried_2' and id = object_id(N'[dbo].[item]'))
BEGIN
	ALTER TABLE [dbo].[item] ADD 
		[inventoried_2] [wtbool] NOT NULL CONSTRAINT [DF_item_inventoried2] DEFAULT ('T') 
END
GO

if	EXISTS (select * from dbo.syscolumns where name = 'inventoried' and id = object_id(N'[dbo].[item]')) AND
	EXISTS (select * from dbo.syscolumns where name = 'item_type' and id = object_id(N'[dbo].[item]'))
BEGIN
	print 'found both inventoried and item_type'
	UPDATE item SET item_type = 
		CASE
			WHEN (inventoried = 'T') THEN 1
            ELSE  2
        END
END
ELSE
BEGIN
	print 'NOT finding... both inventoried and item_type'
END
GO

if	EXISTS (select * from dbo.syscolumns where name = 'inventoried' and id = object_id(N'[dbo].[item]')) AND
	EXISTS (select * from dbo.syscolumns where name = 'inventoried_2' and id = object_id(N'[dbo].[item]'))
BEGIN
	PRINT 'DROP COLUMN [inventoried]'
	UPDATE item SET inventoried_2 = inventoried

	IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_inventoried') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
	BEGIN
		ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_inventoried]
	END
	
	ALTER TABLE [dbo].[item] DROP COLUMN [inventoried]
END
GO

------ Keep the above section at the bottom of this file!!
















