
USE [WaspTrackInventory]
GO

----------------------------------------------------
-- Table Name: address
----------------------------------------------------
if NOT EXISTS (select * from address where address_id=1 AND table_name='company_info' and address_type_id=1)
BEGIN
insert into address (address_id,table_name,address_type_id,record_type,address1,address2,address3,address4,city,state,postal_code,country,mail_stop,record_status) values (1,'company_info',1,'Corporate Address','','',null,null,'','','','',null,1);
END

if NOT EXISTS (select * from address where address_id=1 AND table_name='company_info' and address_type_id=3)
BEGIN
insert into address (address_id,table_name,address_type_id,record_type,address1,address2,address3,address4,city,state,postal_code,country,mail_stop,record_status) values (1,'company_info',3,'Receiving Address','','',null,null,'','','','',null,1);
END

if NOT EXISTS (select * from address where address_id=1 AND table_name='company_info' and address_type_id=2)
BEGIN
insert into address (address_id,table_name,address_type_id,record_type,address1,address2,address3,address4,city,state,postal_code,country,mail_stop,record_status) values (1,'company_info',2,'Shipping Address','','',null,null,'','','','',null,1);
END

if NOT EXISTS (select * from address where address_id=1 AND table_name='company_info' and address_type_id=4)
BEGIN
insert into address (address_id,table_name,address_type_id,record_type,address1,address2,address3,address4,city,state,postal_code,country,mail_stop,record_status) values (1,'company_info',4,'Billing Address','','',null,null,'','','','',null,1);
END
GO


----------------------------------------------------
-- Table Name: app_options
----------------------------------------------------
if NOT EXISTS (select * from app_options where code='1')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'1','bool','Automatic Item Numbers','Automatically assign an item number when creating a new or duplicating an existing item.','Automatically assign an item number when creating a new or duplicating an existing item.','T','F','','Inventory',1,1);
END

if NOT EXISTS (select * from app_options where code='2')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'2','bool','Automatic Serial Numbers','Automatically assign a serial number  when creating a new or duplicating an existing inventory item which is tracked by serial number.','Automatically assign a serial number  when creating a new or duplicating an existing inventory item which is tracked by serial number.','F','F','','Inventory',2,0);
END

if NOT EXISTS (select * from app_options where code='3')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'3','bool','Show Warning Messages','Show all warning messages.','Show all warning messages.','T','F','','Support',1,1);
END

if NOT EXISTS (select * from app_options where code='4')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'4','date','Archive Transactions','Archive transactions prior to the date below :','Arhive transaction prior to this date','F','T','1/1/2003','Database',2,1);
END

if NOT EXISTS (select * from app_options where code='5')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'5','bool','Automatic New','Automatically open the Create New screen when you enter an item/site/location etc. that doesnt exist.  e.g. if you are adding inventory and enter a location that is not in the database, the New Location screen will pop up automatically.','Automatically open the Create New screen when you enter an item/site/location etc. that doesnt exist.  e.g. if you are adding inventory and enter a location that is not in the database, the New Location screen will pop up automatically.','T','F','','Inventory',1,1);
END

if NOT EXISTS (select * from app_options where code='6')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'6','text','Decimal Places','All numbers that can display decimal places will use this number to determine how many decimal places to display. Valid values: 0..4.','All numbers that can display decimal places will use this number to determine how many decimal places to display.','F','T','2','Inventory',1,1);
END

if NOT EXISTS (select * from app_options where code='7')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'7','bool','Allow Negative Quantities on Mobile Devices','Allow quantities to go negative on Mobile Devices. This option turns Quantity validation on or off for all supported Mobile Devices.','Allow quantities to go negative on Mobile Devices. This option turns Quantity validation on or off for all supported Mobile Devices.','T','T','','Inventory',1,1);
END

if NOT EXISTS (select * from app_options where code='8')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'8','bool','Edit Field Names','Allows administrators to control field name editing.','Allows administrators to control field name editing.','F','F','','Support',1,1);
END

if NOT EXISTS (select * from app_options where code='9')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'9','bool','Automatic Customer Number','Automatically generate a customer number when creating a new customer.','Automatically generate a customer number when creating a new customer','T','T','','Inventory',1,1);
END

if NOT EXISTS (select * from app_options where code='10')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'10','bool','Close New Form','Automatically close the New form each time a new record is created or duplicated.','Automatically close the New form each time a new record is created or duplicated.','F','T','','Support',1,1);
END

if NOT EXISTS (select * from app_options where code='11')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'11','bool','Previously Processed Mobile Data','Turn this option on to show previously processed transactions in downloaded mobile files.','Turn this option on to show previously processed transactions in downloaded mobile files','F','T',null,'Support',1,1);
END

if NOT EXISTS (select * from app_options where code='13')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'13','text','Max Row Count','This is the maximum number of rows that will be displayed on most grids. Set this number to 0 to see all rows. The maximum can not be less than 100.','This is the maximum number of rows that will be displayed on most grids. Set this number to 0 to see all rows. The maximum can not be less than 100.','F','F','1000','Support',1,1);
END

if NOT EXISTS (select * from app_options where code='14')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'14','bool','Print Pick Tickets with Bar Codes','Print Pick Tickets with Bar Codes.','Print the Pick Tickets with Bar Codes','T','T','','Inventory',2,1);
END

if NOT EXISTS (select * from app_options where code='15')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'15','bool','Automatic Inventory Request Numbers','Automatically assign an inventory request number when creating a new inventory request.','Automatically assign an item number when creating a new or duplicating an existing item.','T','F','1000','Inventory',2,1);
END

if NOT EXISTS (select * from app_options where code='20')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'20','bool','Check For Software Updates','Turn this option on to automatically check for software update upon application startup. This check will be performed every 15 calendar days and must have internet connection for this to work. ','Turn this option on to automatically check for software update upon application startup. This check will be performed every 15 calendar days and must have internet connection for this to work. ','T','T','5/1/2007 0:0:0','Support',1,1);
END

if NOT EXISTS (select * from app_options where code='21')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'21','bool','Show Cost Information During Receiving','Turn on this option to show cost information on the receive screen','Turn on this option to show cost information on the receive screen','T','T',null,'Support',1,1);
END

if NOT EXISTS (select * from app_options where code='22')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'22','bool','Enforce Date Code As A True Date ','Turn on this option to enforce the date code track by field as a true date field.','Turn on this option to enforce the date code track by field as a true date field.','F','T',null,'Inventory',1,1);
END

if NOT EXISTS (select * from app_options where code='30')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'30','bool','Packing Slip for Session','If you want the packing slip to show only items picked since the last time the Pick window was saved, this option should be on. To print packing slips for all picks for this pick order, the option should be off.','If you want the packing slip to show only items picked since the last time the Pick window was saved, this option should be on. To print packing slips for all picks for this pick order, the option should be off.','T','T',null,'Inventory',1,1);
END

-- 100
if EXISTS (select * from app_options where code='100')
BEGIN
	DELETE FROM app_options where code='100'
END
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'100','text','Version','Application Version',null,'F','F','5.6',null,2,0);

if EXISTS (select * from app_options where code='101')
BEGIN
	DELETE FROM app_options where code='101'
END
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'101','text','Database Version','Database Version',null,'F','F','5.5',null,2,0);

--200
if NOT EXISTS (select * from app_options where code='200')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'200','bool','Invoice Reference Number','Let QuickBooks calculate the reference number for back orders.','Turn this value on if you want QuickBooks to assign the reference number','T','T',null,'QuickBooks',2,1);
END

if NOT EXISTS (select * from app_options where code='201')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'201','text','Reference Delimiter','Delimiter used when MobileInventory creates the reference number.','Delimiter used when MobileInventory creates the reference number','F','T','-','QuickBooks',2,1);
END

if NOT EXISTS (select * from app_options where code='202')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'202','bool','Add Invoice Notes','When Invoices are Picked short and Backorder Invoices are created, add a note to the Backorder Invoice so that it can be traced to the original.','Turning this on causes a note to be added to the memo field when a Backorder is created','F','T',null,'QuickBooks',2,1);
END

if NOT EXISTS (select * from app_options where code='203')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'203','bool','Automatic Notification of Low Order Items','Automatic notification of items which are below the minimum stock level.','Automatic notification of items which are below the minimum stock level','T','T','','Inventory',1,1);
END

if NOT EXISTS (select * from app_options where code='204')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'204','bool','Backorder Processing','Turn this option on to always create backorders for short Invoices unless specified manually. Turn it off to never create backorders unless you tell it to.','Turn this option on to always create backorders for short Invoices unless specified manually. Turn it off to never create backorders unless you tell it to.','T','T',null,'QuickBooks',2,1);
END

--300
if NOT EXISTS (select * from app_options where code='301')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'301','text','SMTP Server','An outgoing mail server that supports SMTP for delivering notification email. Set this to the same thing as the ''outgoing mail server'' in your own email program. If you don''t want InventoryControl to send notification email at all, leave this blank.','SMTP outgoing mail server','F','T','','Email',1,1);
END

if NOT EXISTS (select * from app_options where code='302')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'302','text','SMTP Port','SMTP mail server listening port. Default SMTP server listening port is 25.','SMTP mail server listening port','F','T','25','Email',1,1);
END

if NOT EXISTS (select * from app_options where code='303')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'303','text','SMTP User','If your SMTP server requires authentication to send outgoing email, enter the account name to use. Otherwise, leave this blank.','SMTP authentication user name','F','T','','Email',1,1);
END

if NOT EXISTS (select * from app_options where code='304')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'304','password','SMTP Password','If your SMTP server requires authentication to send outgoing email, enter the account password to use. Otherwise, leave this blank.','SMTP authentication password','F','T',null,'Email',1,1);
END

if NOT EXISTS (select * from app_options where code='305')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'305','bool','SMTP SSL/TSL','If your SMTP server requires a secure connection(SSL or TSL), check the box to turn this option on.','To indicate if SMTP requires a secure connection','F','T',null,'Email',1,1);
END

if NOT EXISTS (select * from app_options where code='310')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'310','text','Purchase Order CC Emails','When emailing a purchase order, list email addresses below to be carbon copied.  Use a semicolon (;) to separate each email address.','When emailing a purchase order, list email addresses below to be carbon copied.  Use a semicolon (;) to separate each email address.','F','T','','Email',1,1);
END

if NOT EXISTS (select * from app_options where code='320')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'320','text','Packing Slip CC Emails','When emailing a packing slip, list email addresses below to be carbon copied.  Use a semicolon (;) to separate each email address.','When emailing a packing slip, list email addresses below to be carbon copied.  Use a semicolon (;) to separate each email address.','F','T','','Email',1,1);
END

if NOT EXISTS (select * from app_options where code='321')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'321','text','Pick Order CC Emails','When emailing a pick order, list email addresses below to be carbon copied.  Use a semicolon (;) to separate each email address.','When emailing a pick order, list email addresses below to be carbon copied.  Use a semicolon (;) to separate each email address.','F','T','','Email',1,1);
END

if NOT EXISTS (select * from app_options where code='330')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'330','bool','Always Show Email Destination List','Turn this option off if you don''t want to show email destination list when you email purchase order, pick order or packing slip.','Turn this option off if you don''t want to show email destination list form when you email purchase order, pick order or packing slip.','T','T',null,'Email',1,1);
END

--400
if NOT EXISTS (select * from app_options where code='400')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'400','text','SQL Server Backup Location','This is an existing directory on the PC/Server where the SQL database is installed in which user has permission to store the database backups. By default the Microsoft SQL Server backup directory is being used.','Database backup directory on the Machine where the database is installed','F','T','','Support',1,1);
END

if NOT EXISTS (select * from app_options where code='401')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'401','text','Last Backup Name','Name of the last backup','Name of the last backup','F','T','','Support',1,0);
END

-- 103 Web Version
if NOT EXISTS (select * from app_options where code='103')
BEGIN
insert into app_options (user_id,code,type,name,description,tool_tip,flag,admin,option_value,option_section,record_status,company_id) values (null,'103','text','Web Version','Web Version','Web Version','F','T','1.0','Support',2,0);
END

GO


----------------------------------------------------
-- Table Name: category
----------------------------------------------------
if NOT EXISTS (select * from category where category_id=0)
BEGIN
	SET IDENTITY_INSERT [category] ON;
	insert into category (category_id,description,record_status,company_id) values (0,' ',0,0);
	SET IDENTITY_INSERT [category] OFF;
END
GO


----------------------------------------------------
-- Table Name: company_info
----------------------------------------------------
if NOT EXISTS (select * from company_info where company_id=1)
BEGIN
insert into company_info (company_id,company,email,website,record_status) values (1,'','','',1);
END
GO


----------------------------------------------------
-- Table Name: customer
----------------------------------------------------
if NOT EXISTS (select * from [customer] where customer_id=0)
BEGIN
	SET IDENTITY_INSERT [customer] ON;
	insert into customer (customer_id,customer_number,name,company_name,email,department,allow_shorting,date_added,usrdefdate1,usrdefdate2,usrdefdate3,usrdefdate4,usrdefdate5,usrdefnumber1,usrdefnumber2,usrdefnumber3,usrdefnumber4,usrdefnumber5,usrdeftext1,usrdeftext2,usrdeftext3,usrdeftext4,usrdeftext5,usrdeftext6,usrdeftext7,usrdeftext8,usrdeftext9,usrdeftext10,record_status,company_id,update_user_id,list_id) values (0,'',null,null,null,null,null,null,null,null,null,null,null,0,0,0,0,0,null,null,null,null,null,null,null,null,null,null,0,0,null,null);
	SET IDENTITY_INSERT [customer] OFF;
END
GO


----------------------------------------------------
-- Table Name: form
----------------------------------------------------
if NOT EXISTS (select * from form where form_id = 1)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (1,'Main','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 2)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (2,'CompanyInfo','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 3)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (3,'ImportExport','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 4)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (4,'Customer','T',1,1);
END

if NOT EXISTS (select * from form where form_id = 5)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (5,'Manufacturer','T',1,1);
END

if NOT EXISTS (select * from form where form_id = 6)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (6,'Item','T',1,1);
END

if NOT EXISTS (select * from form where form_id = 7)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (7,'Location','T',1,1);
END

if NOT EXISTS (select * from form where form_id = 8)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (8,'Site','T',1,1);
END
else
BEGIN
	--for some reasons, record for form 'site' in IC v3.65 is not right, case 15210
	update form set list_flag = 'T', record_status = 1 where form_id = 8;
END

if NOT EXISTS (select * from form where form_id = 9)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (9,'Supplier','T',1,1);
END

if NOT EXISTS (select * from form where form_id = 10)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10,'Category','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 11)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (11,'Inventory','T',1,1);
END

if NOT EXISTS (select * from form where form_id = 12)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (12,'History','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 13)
BEGIN
	insert into form (form_id,form_name,list_flag,record_status,company_id) values (13,'Inventory_Transactions','T',1,1);
END
else
BEGIN
	if EXISTS (select * from form where form_id = 13 AND list_flag = 'F')
	BEGIN
		update form set list_flag = 'T' where form_id = 13;
	END
END

if NOT EXISTS (select * from form where form_id = 14)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (14,'Filter','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 15)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (15,'Add','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 16)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (16,'Remove','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 17)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (17,'Move','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 18)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (18,'CheckIn','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 19)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (19,'CheckOut','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 20)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (20,'Audit','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 21)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (21,'Adjust','F',1,1);
END

if EXISTS (select * from form where form_id = 22 and record_status = 2)
BEGIN
	update form set record_status = 1 where form_id = 22
END
else
BEGIN
	if NOT EXISTS (select * from form where form_id = 22)
	BEGIN
		insert into form (form_id,form_name,list_flag,record_status,company_id) values (22,'PurchaseOrder','T',1,1);
	END
END

if NOT EXISTS (select * from form where form_id = 23)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (23,'Invoice','T',2,1);
END

if NOT EXISTS (select * from form where form_id = 24)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (24,'InvoiceLineItem','T',2,1);
END

if NOT EXISTS (select * from form where form_id = 25)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (25,'POLineItem','T',2,1);
END

if NOT EXISTS (select * from form where form_id = 26)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (26,'PickOrder','T',1,1);
END

if NOT EXISTS (select * from form where form_id = 31)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (31,'Inventory Request','T',1,1);
END

if NOT EXISTS (select * from form where form_id = 33)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (33,'Receive','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 35)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (35,'Ship','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 36)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (36,'Assemble','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 37)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (37,'Disassemble','F',1,1);
END


if NOT EXISTS (select * from form where form_id = 100)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (100,'Ma_Main','F',1,2);
END

if NOT EXISTS (select * from form where form_id = 101)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (101,'Ma_CompanyInfo','T',1,2);
END

if NOT EXISTS (select * from form where form_id = 102)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (102,'Ma_Customer','T',1,2);
END

if NOT EXISTS (select * from form where form_id = 200)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (200,'Qb_Main','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 1000)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (1000,'PDA - Add','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 1001)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (1001,'PDA - Remove','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 1002)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (1002,'PDA - Move','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 1003)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (1003,'PDA - Audit','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 1004)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (1004,'PDA - Adjust','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 1005)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (1005,'PDA - Detail','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 1006)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (1006,'PDA - Review Add','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 1007)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (1007,'PDA - Review Remove','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10000)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10000,'PDT - Main','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10001)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10001,'PDT - Add','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10002)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10002,'PDT - Remove','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10003)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10003,'PDT - Move','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10004)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10004,'PDT - Adjust','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10005)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10005,'PDT - Details','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10006)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10006,'PDT - Audit','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10008)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10008,'PDT - Site Configuration','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10010)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10010,'PDT - SN Looping','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10011)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10011,'PDT - Trackby Looping','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10012)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10012,'PDT - Item Looping','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10100)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10100,'WDT - Main','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10101)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10101,'WDT - Add','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10102)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10102,'WDT - Remove','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10103)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10103,'WDT - Move','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10104)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10104,'WDT - Adjust','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10105)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10105,'WDT - Details','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10106)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10106,'WDT - Audit','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10108)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10108,'WDT - Site Configuration','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10110)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10110,'WDT - SN Looping','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10111)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10111,'WDT - Trackby Looping','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10112)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10112,'WDT - Item Looping','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10113)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10113,'PDT - Receive','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10114)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10114,'PDT - Pick','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10200)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10200,'WPA206 - Add','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10201)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10201,'WPA206 - Remove','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10202)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10202,'WPA206 - Move','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10203)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10203,'WPA206 - Adjust','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10204)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10204,'WPA206 - Details','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10205)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10205,'WPA206 - Audit','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10206)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10206,'WPA206 - Stage','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10209)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10209,'WPA206 - Receive','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 10210)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (10210,'WPA206 - Pick','F',1,1);
END

if NOT EXISTS (select * from form where form_id = 90000)
BEGIN
insert into form (form_id,form_name,list_flag,record_status,company_id) values (90000,'Crystal Report','F',1,1);
END

GO


----------------------------------------------------
-- Table Name: form_field_meta
----------------------------------------------------
if EXISTS (SELECT     *
FROM         form_field_meta
WHERE     (label <> default_label) OR
                      (tool_tip <> default_tool_tip) OR
                      (visible <> default_visible) OR
                      (required <> default_required) )
begin
	print ' user changed default values'

	IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[ffm_bak]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
		DROP TABLE [dbo].[ffm_bak]

	SELECT     * INTO ffm_bak
	FROM         form_field_meta
	WHERE     (label <> default_label) OR
						  (tool_tip <> default_tool_tip) OR
						  (visible <> default_visible) OR
						  (required <> default_required) 

	SELECT     * FROM ffm_bak

end

DELETE FROM form_field_meta

insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Add','','Add','Click to add items into inventory.','T','T','T',30,'Add','Click to add items into inventory.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Adjust','','Adjust','Click to adjust inventory quantities.','T','T','T',30,'Adjust','Click to adjust inventory quantities.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Backup',null,'Backup','Click to back up the database.','T','T','F',30,'Backup','Click to back up the database.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','CheckIn','','Check-In','Click to check items back into inventory.','T','T','T',30,'Check-In','Click to check items back into inventory.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','CheckOut','','Check-Out','Click to check items out of inventory.','T','T','T',30,'Check-Out','Click to check items out of inventory.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','CompanyInfo','','Company Info','Click to edit the company info.','T','T','T',30,'Company Info','Click to edit the company info.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Counts','','Audit','Click to start an audit, or if already in audit mode, click to input audit counts.','T','T','F',30,'Audit','Click to start an audit, or if already in audit mode, click to input audit counts.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Export',null,'Export','Click to export data from the database.','T','T','F',30,'Export','Click to export data from the database.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','History','','History','Click to view the history of an item.','T','T','F',30,'History','Click to view the history of an item.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Import',null,'Import','Click to import data into the database.','T','T','F',30,'Import','Click to import data into the database.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Lists','','Lists','Click to view lists of the data in your system.','T','T','F',30,'Lists','Click to view lists of the data in your system.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Move','','Move','Click to move items from one location to another.','T','T','T',30,'Move','Click to move items from one location to another.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','PayMethod',null,'Manage Payment Methods','Click to edit/delete payment methods','T','T','T',30,'Manage Payment Methods','Click to edit/delete payment methods','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Pick','','Pick','Click to pick items on a pick order from  inventory','T','T','T',30,'Pick','Click to pick items on a pick order from  inventory','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Receive','','Receive','Click to receive items on a purchase order into inventory','T','T','T',30,'Receive','Click to receive items on a purchase order into inventory','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Reconcile',null,'Reconcile/End Audit','Click to reconcile audit results and end audit.','T','T','F',30,'Reconcile/End Audit','Click to reconcile audit results and end audit.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Remove','','Remove','Click to remove items from inventory.','T','T','T',30,'Remove','Click to remove items from inventory.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Restore',null,'Restore','Click to restore the database.','T','T','F',30,'Restore','Click to restore the database.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Security','','Security','Click to manage the security of users.','T','T','F',30,'Security','Click to manage the security of users.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Label','send_pc',null,'Send Data to PC',null,'T','T','T',30,'Send Data to PC',null,'T','T',30,null,null,null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','ShipMethod',null,'Manage Ship Methods','Click to edit/delete shipment methods','T','T','T',30,'Manage Ship Methods','Click to edit/delete shipment methods','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Label','Stage',null,'Stage',null,'T','T','T',30,'Stage',null,'T','T',30,null,null,null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Template',null,'Number Formats','Click to setup purchase order/pick order number templates.','T','T','T',30,'Number Formats','Click to setup purchase order/pick order number templates.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Assemble','','Assemble','Click to build assembly from existing inventory.','T','T','T',30,'Assemble','Click to build assembly from existing inventory.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1,'Button','Disassemble','','Disassemble','Click to break down assemblies.','T','T','T',30,'Disassemble','Click to break down assemblies.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Label','Address1','address1','Address 1:','Your companies address.','T','F','T',100,'Address 1:','Your companies address.','T','F',100,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Label','Address2','address2','Address 2:','Your companies address.','T','F','T',100,'Address 2:','Your companies address.','T','F',100,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Label','City','City','City:','The city your company is in.','T','F','T',50,'City:','The city your company is in.','T','F',50,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Label','Company','Company','Company Name:','The name of your company.','T','F','T',50,'Company Name:','The name of your company.','T','F',50,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Label','Country','Country','Country:','The country your company is in.','T','F','T',50,'Country:','The country your company is in.','T','F',50,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Label','Email','Email','Email:','Your company email address.','T','F','T',250,'Email:','Your company email address.','T','F',250,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Label','Fax','Fax','Fax:','Your company fax number.','T','F','T',20,'Fax:','Your company fax number.','T','F',20,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Form Name','FormName','',null,'**','T','F','F',30,null,'**','T','F',30,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Label','Phone','phone_number','Phone:','Your company phone number.','T','F','T',20,'Phone:','Your company phone number.','T','F',20,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Label','State','State','State:','The state your company is in.','T','F','T',50,'State:','The state your company is in.','T','F',50,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Label','Website','Website','Website:','Your company website.','T','F','T',255,'Website:','Your company website.','T','F',255,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (2,'Label','ZipCode','postal_code','Postal Code:','Your company postal code.','T','F','T',10,'Postal Code:','Your company postal code.','T','F',10,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','delimiter',null,'Field delimiter:','Pick the delimiter between fields in your file.','T','F','T',255,'Field delimiter:','Pick the delimiter between fields in your file.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','export_file',null,'To file:','Name the file you are exporting to.','T','F','T',255,'To file:','Name the file you are exporting to.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','export_heading',null,'Include field names on first row.','Is the first row of data the column header?','T','F','T',null,'Include field names on first row.','Is the first row of data the column header?','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','export_preview',null,'Preview of data from table: ','This window is a preview of the data.','T','F','T',255,'Preview of data from table: ','This window is a preview of the data.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','export_preview2',null,'Data Preview of Table: ','This window is a preview of the data.','T','F','T',255,'Data Preview of Table: ','This window is a preview of the data.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Radio','export_radio',null,'Export to text file','Name the file you are exporting to.','T','F','T',null,'Export to text file','Name the file you are exporting to.','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','fields_available',null,'Fields available:','This is a list of the fields available for export in the selected table.','T','F','T',255,'Fields available:','This is a list of the fields available for export in the selected table.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','fields_selected',null,'Fields selected:','This is a list of the fields you have selected.','T','F','T',255,'Fields selected:','This is a list of the fields you have selected.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','from_table',null,'Export table:','Select the table you want to export.','T','F','T',255,'Export table:','Select the table you want to export.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','import_field',null,'Import Field:','The import field','T','F','T',255,'Import Field:','The import field','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','import_file',null,'Import file:','This is the import file you selected.','T','F','T',255,'Import file:','This is the import file you selected.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','import_heading',null,'First row contains column headings','Does the first row have column headings or is the first row data?','T','F','T',255,'First row contains column headings','Does the first row have column headings or is the first row data?','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','import_map_from',null,'Map from:','This is the column header you have selected','T','F','T',null,'Map from:','This is the column header you have selected','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','import_map_to',null,'To:','Pick the field in the database you want to map the Map from: column To.','T','F','T',null,'To:','Pick the field in the database you want to map the Map from: column To.','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','import_pick_address_type',null,'Pick an "Address Type":','Importing addresses requires a Address Type. Pick the type of address this field represents.','T','F','F',null,'Pick an "Address Type":','Importing addresses requires a Address Type. Pick the type of address this field represents.','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','import_preview',null,'Preview of data from: ','This window lets you preview the data in the selected file.','T','F','T',255,'Preview of data from: ','This window lets you preview the data in the selected file.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Radio','import_radio',null,'Import into database','Import into database.','T','F','T',null,'Import into database','Import into database.','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (3,'Label','to_table',null,'To table:','The table you are importing into.','T','F','T',255,'To table:','The table you are importing into.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','address1','address1','Address 1:','This Customer''s Address Line 1.','T','F','T',100,'Address 1:','This Customer''s Address Line 1.','T','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','address2','address2','Address 2:','This Customer''s Address Line 2.','T','F','T',100,'Address 2:','This Customer''s Address Line 2.','T','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','Cell Phone','phone_number','Cell No:','This Customer''s Cell phone number.','T','F','T',20,'Cell No:','This Customer''s Cell phone number.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','city','city','City:','The City this Customer is located in.','T','F','T',50,'City:','The City this Customer is located in.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','company_name','company_name','Company Name:','This Customer''s Company Name.','T','F','T',50,'Company Name:','This Customer''s Company Name.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','country','country','Country:','The Country this Customer is headquartered in.','T','F','T',50,'Country:','The Country this Customer is headquartered in.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'List Form Name','Customer','','Customer','**','T','F','F',0,'Customer','**','T','F',0,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','customer_id','customer_id','customer_id','A Customer ID you will use throughout the system to identify this Customer.','T','F','T',4,'customer_id','A Customer ID you will use throughout the system to identify this Customer.','T','F',4,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','customer_number','customer_number','Customer No.:','A Customer Number you will use throughout the system to identify this Customer.','T','T','T',30,'Customer No.:','A Customer Number you will use throughout the system to identify this Customer.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','date_added','date_added','Date Added:','The Date the Customer was added to the system','T','F','T',8,'Date Added:','The Date the Customer was added to the system','T','F',8,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','department','department','Department:','The Department the contact at this company works in.','T','F','T',20,'Department:','The Department the contact at this company works in.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','email','email','Email:','The Email address of the contact at this company.','T','F','T',250,'Email:','The Email address of the contact at this company.','T','F',250,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','extension','extension','Extension:','The Phone Extension of the contact at this company.','T','F','T',10,'Extension:','The Phone Extension of the contact at this company.','T','F',10,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','fax','phone_number','Fax:','The Fax number of the contact at this company.','T','F','T',20,'Fax:','The Fax number of the contact at this company.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','Home Phone','phone_number','Home No:','The Home phone number of the contact at this company.','T','F','T',20,'Home No:','The Home phone number of the contact at this company.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','mail_stop','mail_stop','Mail Stop:','This Customer''s Mail Stop','T','F','T',20,'Mail Stop:','This Customer''s Mail Stop','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','name','name','Name:','The Name of the person to  contact at this company.','T','F','T',50,'Name:','The Name of the person to  contact at this company.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','note_text','note_text','Notes:','Notes about this company.','T','F','T',255,'Notes:','Notes about this company.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','phone_number','phone_number','Phone:','The Phone number of the contact at this company.','T','F','T',20,'Phone:','The Phone number of the contact at this company.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','postal_code','postal_code','Postal Code:','This Customer''s Postal Code.','T','F','T',10,'Postal Code:','This Customer''s Postal Code.','T','F',10,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','record_type','record_type','Address Type:','Address type can be one of the followings: billing, mailing, corporate shipping, and etc','T','T','F',50,'Address Type:','Address type can be one of the followings: billing, mailing, corporate shipping, and etc','T','T',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','state','state','State:','The State this Customer is in.','T','F','T',50,'State:','The State this Customer is in.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdefdate1','usrdefdate1','Custom Date 1:','Enter a custom date.','F','F','T',20,'Custom Date 1:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdefdate2','usrdefdate2','Custom Date 2:','Enter a custom date.','F','F','T',20,'Custom Date 2:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdefdate3','usrdefdate3','Custom Date 3:','Enter a custom date.','F','F','T',20,'Custom Date 3:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdefdate4','usrdefdate4','Custom Date 4:','Enter a custom date.','F','F','T',20,'Custom Date 4:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdefdate5','usrdefdate5','Custom Date 5:','Enter a custom date.','F','F','T',20,'Custom Date 5:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdefnumber1','usrdefnumber1','Custom Number 1:','Enter a custom number.','F','F','T',11,'Custom Number 1:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdefnumber2','usrdefnumber2','Custom Number 2:','Enter a custom number.','F','F','T',11,'Custom Number 2:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdefnumber3','usrdefnumber3','Custom Number 3:','Enter a custom number.','F','F','T',11,'Custom Number 3:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdefnumber4','usrdefnumber4','Custom Number 4:','Enter a custom number.','F','F','T',11,'Custom Number 4:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdefnumber5','usrdefnumber5','Custom Number 5:','Enter a custom number.','F','F','T',11,'Custom Number 5:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdeftext1','usrdeftext1','Custom Text 1:','Enter custom text.','F','F','T',100,'Custom Text 1:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdeftext10','usrdeftext10','Custom Text 10:','Enter custom text.','F','F','T',100,'Custom Text 10:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdeftext2','usrdeftext2','Custom Text 2:','Enter custom text.','F','F','T',100,'Custom Text 2:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdeftext3','usrdeftext3','Custom Text 3:','Enter custom text.','F','F','T',100,'Custom Text 3:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdeftext4','usrdeftext4','Custom Text 4:','Enter custom text.','F','F','T',100,'Custom Text 4:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdeftext5','usrdeftext5','Custom Text 5:','Enter custom text.','F','F','T',100,'Custom Text 5:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdeftext6','usrdeftext6','Custom Text 6:','Enter custom text.','F','F','T',100,'Custom Text 6:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdeftext7','usrdeftext7','Custom Text 7:','Enter custom text.','F','F','T',100,'Custom Text 7:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdeftext8','usrdeftext8','Custom Text 8:','Enter custom text.','F','F','T',100,'Custom Text 8:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (4,'Label','usrdeftext9','usrdeftext9','Custom Text 9:','Enter custom text.','F','F','T',100,'Custom Text 9:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','address1','address1','Address 1:','This Manufacturer''s Address Line 1 for the selected address type.','T','F','T',100,'Address 1:','This Manufacturer''s Address Line 1 for the selected address type.','T','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','address2','address2','Address 2:','This Manufacturer''s Address Line 2 for the selected address type.','T','F','T',100,'Address 2:','This Manufacturer''s Address Line 2 for the selected address type.','T','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','city','city','City:','The City for the selected address type.','T','F','T',50,'City:','The City for the selected address type.','T','F',50,null,null,null,1,1,'T','1','1');
GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','Contact Cell Phone','phone_number','Contact Cell No:','The Cell Phone number of the contact at this manufacturer.','T','F','T',20,'Contact Cell No:','The Cell Phone number of the contact at this manufacturer.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','Contact Fax','phone_number','Contact Fax:','The Fax number of the contact at this manufacturer.','T','F','T',20,'Contact Fax:','The Fax number of the contact at this manufacturer.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','Contact work phone','phone_number','Contact Phone:','The Phone number of the contact at this manufacturer.','T','F','T',20,'Contact Phone:','The Phone number of the contact at this manufacturer.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','Contact work phone extension','extension','Contact Ext.:','The Extension of the contact at this manufacturer.','T','F','T',10,'Contact Ext.:','The Extension of the contact at this manufacturer.','T','F',10,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','contact_name','contact_name','Contact Name:','The Name of the contact at this manufacturer.','T','F','T',50,'Contact Name:','The Name of the contact at this manufacturer.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','country','country','Country:','The Country for the selected address type.','T','F','T',50,'Country:','The Country for the selected address type.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','email','email','Email:','The Email address of this manufacturer.','T','F','T',250,'Email:','The Email address of this manufacturer.','T','F',250,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','extension','extension','Contact Ext.:','The Phone extension of the contact at this manufacturer.','T','F','T',10,'Contact Ext.:','The Phone extension of the contact at this manufacturer.','T','F',10,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','fax','phone_number','Fax:','The Fax number of this manufacturer.','T','F','T',20,'Fax:','The Fax number of this manufacturer.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','mail_stop','mail_stop','Mail Stop:','The Mail stop for the selected address type.','T','F','T',20,'Mail Stop:','The Mail stop for the selected address type.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'List Form Name','Manufacturer','','Manufacturer','**','T','F','F',0,'Manufacturer','**','T','F',0,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','manufacturer_id','manufacturer_id','manufacturer_id','**','T','F','T',30,'manufacturer_id','**','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','name','name','Name:','The name you will use to refer to this Manufacturer.','T','T','T',50,'Name:','The name you will use to refer to this Manufacturer.','T','T',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','note_text','note_text','Notes:','Notes about this Manufacturer.','T','F','T',255,'Notes:','Notes about this Manufacturer.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','phone_number','phone_number','Phone:','The Phone number for this manufacturer.','T','F','T',20,'Phone:','The Phone number for this manufacturer.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','postal_code','postal_code','Postal Code:','The Postal Code for this address type.','T','F','T',10,'Postal Code:','The Postal Code for this address type.','T','F',10,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','record_type','record_type','Address Type:','Address type can be one of the followings: billing, mailing, corporate shipping, etc.','T','T','F',50,'Address Type:','Address type can be one of the followings: billing, mailing, corporate shipping, etc.','T','T',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','state','state','State:','The State for this address type.','T','F','T',50,'State:','The State for this address type.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdefdate1','usrdefdate1','Custom Date 1:','Enter a custom date.','F','F','T',20,'Custom Date 1:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdefdate2','usrdefdate2','Custom Date 2:','Enter a custom date.','F','F','T',20,'Custom Date 2:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdefdate3','usrdefdate3','Custom Date 3:','Enter a custom date.','F','F','T',20,'Custom Date 3:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdefdate4','usrdefdate4','Custom Date 4:','Enter a custom date.','F','F','T',20,'Custom Date 4:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdefdate5','usrdefdate5','Custom Date 5:','Enter a custom date.','F','F','T',20,'Custom Date 5:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdefnumber1','usrdefnumber1','Custom Number 1:','Enter a custom number.','F','F','T',11,'Custom Number 1:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdefnumber2','usrdefnumber2','Custom Number 2:','Enter a custom number.','F','F','T',11,'Custom Number 2:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdefnumber3','usrdefnumber3','Custom Number 3:','Enter a custom number.','F','F','T',11,'Custom Number 3:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdefnumber4','usrdefnumber4','Custom Number 4:','Enter a custom number.','F','F','T',11,'Custom Number 4:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdefnumber5','usrdefnumber5','Custom Number 5:','Enter a custom number.','F','F','T',11,'Custom Number 5:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdeftext1','usrdeftext1','Custom Text 1:','Enter custom text.','F','F','T',100,'Custom Text 1:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdeftext10','usrdeftext10','Custom Text 10:','Enter custom text.','F','F','T',100,'Custom Text 10:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdeftext2','usrdeftext2','Custom Text 2:','Enter custom text.','F','F','T',100,'Custom Text 2:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdeftext3','usrdeftext3','Custom Text 3:','Enter custom text.','F','F','T',100,'Custom Text 3:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdeftext4','usrdeftext4','Custom Text 4:','Enter custom text.','F','F','T',100,'Custom Text 4:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdeftext5','usrdeftext5','Custom Text 5:','Enter custom text.','F','F','T',100,'Custom Text 5:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdeftext6','usrdeftext6','Custom Text 6:','Enter custom text.','F','F','T',100,'Custom Text 6:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdeftext7','usrdeftext7','Custom Text 7:','Enter custom text.','F','F','T',100,'Custom Text 7:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdeftext8','usrdeftext8','Custom Text 8:','Enter custom text.','F','F','T',100,'Custom Text 8:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','usrdeftext9','usrdeftext9','Custom Text 9:','Enter custom text.','F','F','T',100,'Custom Text 9:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (5,'Label','website','website','Web Site:','The Web site for this manufacturer.','T','F','T',255,'Web Site:','The Web site for this manufacturer.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','alt_item_number','alt_item_number','Alt Item Number:','Alternate item number','T','F','T',30,'Alt Item Number:','Alternate item number','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','avgcost','avgcost','Average Cost:','Item average cost (calculated).','T','F','F',8,'Average Cost:','Item average cost (calculated).','T','F',8,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','category','category','Category:','Select a Category or enter a new one.','T','F','T',255,'Category:','Select a Category or enter a new one.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','checkout_duration','checkout_duration','Checkout Length:','The default length of time a customer can have this item checked out. Used to populate the default Check Out time.','T','F','T',4,'Checkout Length:','The default length of time a customer can have this item checked out. Used to populate the default Check Out time.','T','F',4,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','cost','cost','Cost:','The cost to you of this item per unit.','T','F','F',14,'Cost:','The cost to you of this item per unit.','T','F',14,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','default_location','default_location_id','Default Location:','To set a default location for the item. This is the line item location that will be printed on the pick ticket. This is a QuickBooks only feature.','T','F','T',null,'Default Location:','To set a default location for the item. This is the line item location that will be printed on the pick ticket. This is a QuickBooks only feature.','T','F',null,null,null,null,1,1,'T','1','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','description','description','Description:','Enter an  item description.','T','F','T',255,'Description:','Enter an  item description.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','dimension_unit','dimension_unit','Dimension Unit:','The units used to describe the dimensions of one of these items.','T','F','T',50,'Dimension Unit:','The units used to describe the dimensions of one of these items.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','height','height','Height:','The Height of one of these items.','T','F','T',50,'Height:','The Height of one of these items.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','item_type_name','item_type_name','Type:','Set item as inventory or non-inventory type','T','T','F',null,'Type:','Set item as inventory or non-inventory type','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'List Form Name','Item','','Item','**',null,null,'F',null,'Item','**',null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','item_id','item_id','item_id','**','T','F','T',30,'item_id','**','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','item_number','item_number','Item Number:','Enter item number in this field. Item number must be unique.','T','T','T',30,'Item Number:','Enter item number in this field. Item number must be unique.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','lead_time','lead_time','Lead Time(In Days)','Item lead item for this supplier','T','F','T',50,'Lead Time(In Days)','Item lead item for this supplier','T','F',50,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','length','length','Length:','The Length of one of these items.','T','F','T',50,'Length:','The Length of one of these items.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','linked_file','linked_file','File Reference:','A file with information about this item.','T','F','T',255,'File Reference:','A file with information about this item.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','list_price','list_price','List Price:','The list price for this item.','T','F','T',14,'List Price:','The list price for this item.','T','F',14,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','manager','manager','Manager:','The name of the managerof this item.','T','F','T',50,'Manager:','The name of the managerof this item.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','manufacturer','manufacturer','Manufacturer:','Select the Manufacturer of this item.','T','F','T',50,'Manufacturer:','Select the Manufacturer of this item.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','max_stock_level','max_stock_level','Max Stock Level:','Enter the Maximum Stock Level for this item (maximum across all sites).','T','F','T',9,'Max Stock Level:','Enter the Maximum Stock Level for this item (maximum across all sites).','T','F',9,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','min_stock_level','min_stock_level','Min Stock Level:','Enter the Minimum Stock Level for this item (minimum across all sites).','T','F','T',9,'Min Stock Level:','Enter the Minimum Stock Level for this item (minimum across all sites).','T','F',9,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','note_text','note_text','Notes:','Notes about this item.','T','F','T',255,'Notes:','Notes about this item.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','preferred_uom','preferred_uom','Preferred?','Is this preferred order unit?','T','F','T',1,'Preferred?','Is this preferred order unit?','T','F',1,null,null,null,1,1,'T','1','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','qty_available','qty_available','Total Available:','Total available inventory.','T','F','F',50,'Total Available:','Total available inventory.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','on_order','on_order','On Order:','On Order:','T','F','F',50,'On Order:','On Order:','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','committed','committed','Committed:','Committed:','T','F','F',50,'Committed:','Committed:','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','qty_checked_out','qty_checked_out','Total Checked-Out:','Total checked-out inventory.','T','F','F',50,'Total Checked-Out:','Total checked-out inventory.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','qty_in_house','qty_in_house','Total In-House:','Total In-House inventory.','T','F','F',50,'Total In-House:','Total In-House inventory.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','quantity_eaches','quantity_eaches','Units','Quantity in Eaches','T','F','F',14,'Units','Quantity in Eaches','T','F',14,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','reorder_qty','reorder_qty','Reorder Qty:','Enter the Reorder quantity for this item.','T','F','T',9,'Reorder Qty:','Enter the Reorder quantity for this item.','T','F',9,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','require_customers','track_customers','Customer:','Is this item tracked by customer?','T','F','T',25,'Customer:','Is this item tracked by customer?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','require_pos','track_pos','Ref #:','Is this item tracked by a reference number?','T','F','T',25,'Ref #:','Is this item tracked by a reference number?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','require_suppliers','track_suppliers','Supplier','Is this item tracked by supplier?','T','F','T',25,'Supplier','Is this item tracked by supplier?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','sale_price','sale_price','Sale Price:','Enter the Sale Price for this item.','T','F','T',14,'Sale Price:','Enter the Sale Price for this item.','T','F',14,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','supplier','supplier','Supplier Name:','Select theSupplier of this item.','T','F','T',50,'Supplier Name:','Select theSupplier of this item.','T','F',50,null,null,null,1,1,'T','1','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','supplier_item_description','supplier_item_description','Supplier Item Description:','Enter item description for this supplier','T','F','T',50,'Supplier Item Description:','Enter item description for this supplier','T','F',50,null,null,null,1,1,'F','1','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','supplier_item_sku','supplier_item_sku','Supplier Item SKU','Enter supplier SKU for this item','T','T','T',50,'Supplier Item SKU','Enter supplier SKU for this item','T','T',50,null,null,null,1,1,'F','1','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','supplier_list','item_supplier_id','List of Suppliers for This Item:','List of suppliers for this item','T','F','T',50,'List of Suppliers for This Item:','List of suppliers for this item','T','F',50,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','supplier_note','note','Notes:','Notes about this item','T','F','T',255,'Notes:','Notes about this item','T','F',255,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','supplier_number','supplier_number','Supplier Code:','Select A Supplier for this item.','T','F','T',30,'Supplier Code:','Select A Supplier for this item.','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','supplier_status','supplier_status','Supplier Status:','Supplier Status','T','F','T',50,'Supplier Status:','Supplier Status','T','F',50,null,null,null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','track_date_codes','track_date_codes','Date Code:','Is this item tracked by date code?','T','F','T',25,'Date Code:','Is this item tracked by date code?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','track_lots','track_lots','Lot:','Is this item tracked by lot number?','T','F','T',25,'Lot:','Is this item tracked by lot number?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','track_pallets','track_pallets','Pallet:','Is this item tracked by pallet?','T','F','T',25,'Pallet:','Is this item tracked by pallet?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','track_serial_numbers','track_serial_numbers','Serial Number:','Is this item tracked by serial number?','T','F','T',25,'Serial Number:','Is this item tracked by serial number?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','unit_of_measure','unit_of_measure','Stocking Unit:','What units do you count this item in? By the box, gross, vial, pound, individually...','T','F','T',10,'Stocking Unit:','What units do you count this item in? By the box, gross, vial, pound, each/individually...','T','F',10,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','uom_code','uom_code','Order Unit Code','What units do you order this item in? This is for purchase order only.','T','F','F',100,'Order Unit Code','What units do you order this item in? This is for purchase order only.','T','F',100,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdefdate1','usrdefdate1','Custom Date 1:','Enter a custom date.','F','F','T',20,'Custom Date 1:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdefdate2','usrdefdate2','Custom Date 2:','Enter a custom date.','F','F','T',20,'Custom Date 2:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdefdate3','usrdefdate3','Custom Date 3:','Enter a custom date.','F','F','T',20,'Custom Date 3:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdefdate4','usrdefdate4','Custom Date 4:','Enter a custom date.','F','F','T',20,'Custom Date 4:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdefdate5','usrdefdate5','Custom Date 5:','Enter a custom date.','F','F','T',20,'Custom Date 5:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdefnumber1','usrdefnumber1','Custom Number 1:','Enter a custom number.','F','F','T',11,'Custom Number 1:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdefnumber2','usrdefnumber2','Custom Number 2:','Enter a custom number.','F','F','T',11,'Custom Number 2:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdefnumber3','usrdefnumber3','Custom Number 3:','Enter a custom number.','F','F','T',11,'Custom Number 3:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdefnumber4','usrdefnumber4','Custom Number 4:','Enter a custom number.','F','F','T',11,'Custom Number 4:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdefnumber5','usrdefnumber5','Custom Number 5:','Enter a custom number.','F','F','T',11,'Custom Number 5:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdeftext1','usrdeftext1','Custom Text 1:','Enter custom text.','F','F','T',100,'Custom Text 1:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdeftext10','usrdeftext10','Custom Text 10:','Enter custom text.','F','F','T',100,'Custom Text 10:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdeftext2','usrdeftext2','Custom Text 2:','Enter custom text.','F','F','T',100,'Custom Text 2:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdeftext3','usrdeftext3','Custom Text 3:','Enter custom text.','F','F','T',100,'Custom Text 3:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdeftext4','usrdeftext4','Custom Text 4:','Enter custom text.','F','F','T',100,'Custom Text 4:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdeftext5','usrdeftext5','Custom Text 5:','Enter custom text.','F','F','T',100,'Custom Text 5:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdeftext6','usrdeftext6','Custom Text 6:','Enter custom text.','F','F','T',100,'Custom Text 6:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdeftext7','usrdeftext7','Custom Text 7:','Enter custom text.','F','F','T',100,'Custom Text 7:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdeftext8','usrdeftext8','Custom Text 8:','Enter custom text.','F','F','T',100,'Custom Text 8:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','usrdeftext9','usrdeftext9','Custom Text 9:','Enter custom text.','F','F','T',100,'Custom Text 9:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','weight','weight','Weight:','Enter the weight of one of these items.','T','F','T',50,'Weight:','Enter the weight of one of these items.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','weight_unit','weight_unit','Weight Unit:','Enter the Units you use to measure one of these items.','T','F','T',50,'Weight Unit:','Enter the Units you use to measure one of these items.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (6,'Label','width','width','Width:','Enter the Width of one of these items','T','F','T',50,'Width:','Enter the Width of one of these items','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','code','code','Location:','Enter the indentifier you will use for this location throughout the system.','T','T','T',30,'Location:','Enter the indentifier you will use for this location throughout the system.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','default_location','default_location','Default?:','Is it the default location for this site?','T','F','T',1,'Default?:','Is it the default location for this site?','T','F',1,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','description','description','Description:','Enter a Description for this location.','T','F','T',255,'Description:','Enter a Description for this location.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'List Form Name','Location','','Location','**',null,null,'F',null,'Location','**',null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','location_id','location_id','location_id','**',null,null,'T',null,'location_id','**',null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','note_text','note_text','Notes:','Notes about this location.','T','F','T',255,'Notes:','Notes about this location.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','site','site','Site:','Pick the Site this location is in. ','T','T','T',50,'Site:','Pick the Site this location is in. ','T','T',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdefdate1','usrdefdate1','Custom Date 1:','Enter a custom date.','F','F','T',20,'Custom Date 1:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdefdate2','usrdefdate2','Custom Date 2:','Enter a custom date.','F','F','T',20,'Custom Date 2:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdefdate3','usrdefdate3','Custom Date 3:','Enter a custom date.','F','F','T',20,'Custom Date 3:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdefdate4','usrdefdate4','Custom Date 4:','Enter a custom date.','F','F','T',20,'Custom Date 4:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdefdate5','usrdefdate5','Custom Date 5:','Enter a custom date.','F','F','T',20,'Custom Date 5:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdefnumber1','usrdefnumber1','Custom Number 1:','Enter a custom number.','F','F','T',11,'Custom Number 1:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdefnumber2','usrdefnumber2','Custom Number 2:','Enter a custom number.','F','F','T',11,'Custom Number 2:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdefnumber3','usrdefnumber3','Custom Number 3:','Enter a custom number.','F','F','T',11,'Custom Number 3:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdefnumber4','usrdefnumber4','Custom Number 4:','Enter a custom number.','F','F','T',11,'Custom Number 4:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdefnumber5','usrdefnumber5','Custom Number 5:','Enter a custom number.','F','F','T',11,'Custom Number 5:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdeftext1','usrdeftext1','Custom Text 1:','Enter custom text.','F','F','T',100,'Custom Text 1:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdeftext10','usrdeftext10','Custom Text 10:','Enter custom text.','F','F','T',100,'Custom Text 10:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdeftext2','usrdeftext2','Custom Text 2:','Enter custom text.','F','F','T',100,'Custom Text 2:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdeftext3','usrdeftext3','Custom Text 3:','Enter custom text.','F','F','T',100,'Custom Text 3:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdeftext4','usrdeftext4','Custom Text 4:','Enter custom text.','F','F','T',100,'Custom Text 4:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdeftext5','usrdeftext5','Custom Text 5:','Enter custom text.','F','F','T',100,'Custom Text 5:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdeftext6','usrdeftext6','Custom Text 6:','Enter custom text.','F','F','T',100,'Custom Text 6:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdeftext7','usrdeftext7','Custom Text 7:','Enter custom text.','F','F','T',100,'Custom Text 7:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdeftext8','usrdeftext8','Custom Text 8:','Enter custom text.','F','F','T',100,'Custom Text 8:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (7,'Label','usrdeftext9','usrdeftext9','Custom Text 9:','Enter custom text.','F','F','T',100,'Custom Text 9:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','description','description','Description:','Enter a Description for this location.','T','F','T',255,'Description:','Enter a Description for this location.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','note_text','note_text','Notes:','Notes about this location.','T','F','T',255,'Notes:','Notes about this location.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'List Form Name','Site',null,'Site','**',null,null,'F',null,'Site','**',null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','site_id','site_id','location_id','**',null,null,'T',null,'location_id','**',null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','site_name','site_name','Site:','Pick the Site this location is in. ','T','T','T',50,'Site:','Pick the Site this location is in. ','T','T',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdefdate1','usrdefdate1','Custom Date 1:','Enter a custom date.','F','F','T',20,'Custom Date 1:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdefdate2','usrdefdate2','Custom Date 2:','Enter a custom date.','F','F','T',20,'Custom Date 2:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdefdate3','usrdefdate3','Custom Date 3:','Enter a custom date.','F','F','T',20,'Custom Date 3:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdefdate4','usrdefdate4','Custom Date 4:','Enter a custom date.','F','F','T',20,'Custom Date 4:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdefdate5','usrdefdate5','Custom Date 5:','Enter a custom date.','F','F','T',20,'Custom Date 5:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdefnumber1','usrdefnumber1','Custom Number 1:','Enter a custom number.','F','F','T',11,'Custom Number 1:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdefnumber2','usrdefnumber2','Custom Number 2:','Enter a custom number.','F','F','T',11,'Custom Number 2:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdefnumber3','usrdefnumber3','Custom Number 3:','Enter a custom number.','F','F','T',11,'Custom Number 3:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdefnumber4','usrdefnumber4','Custom Number 4:','Enter a custom number.','F','F','T',11,'Custom Number 4:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdefnumber5','usrdefnumber5','Custom Number 5:','Enter a custom number.','F','F','T',11,'Custom Number 5:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdeftext1','usrdeftext1','Custom Text 1:','Enter custom text.','F','F','T',100,'Custom Text 1:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdeftext10','usrdeftext10','Custom Text 10:','Enter custom text.','F','F','T',100,'Custom Text 10:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdeftext2','usrdeftext2','Custom Text 2:','Enter custom text.','F','F','T',100,'Custom Text 2:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdeftext3','usrdeftext3','Custom Text 3:','Enter custom text.','F','F','T',100,'Custom Text 3:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdeftext4','usrdeftext4','Custom Text 4:','Enter custom text.','F','F','T',100,'Custom Text 4:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdeftext5','usrdeftext5','Custom Text 5:','Enter custom text.','F','F','T',100,'Custom Text 5:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdeftext6','usrdeftext6','Custom Text 6:','Enter custom text.','F','F','T',100,'Custom Text 6:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdeftext7','usrdeftext7','Custom Text 7:','Enter custom text.','F','F','T',100,'Custom Text 7:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdeftext8','usrdeftext8','Custom Text 8:','Enter custom text.','F','F','T',100,'Custom Text 8:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (8,'Label','usrdeftext9','usrdeftext9','Custom Text 9:','Enter custom text.','F','F','T',100,'Custom Text 9:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','fax_number','phone_number','Fax:','Fax number','T','F','T',20,'Fax:','Fax Number','T','F',20,null,null,null,1,1,'T','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','fax','phone_number','Fax:','The Fax for this supplier.','T','F','T',20,'Fax:','The Fax for this supplier.','T','F',20,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','address1','address1','Address 1:','This Supplier''s Address line 1 for the selected address type.','T','F','T',100,'Address 1:','This Supplier''s Address line 1 for the selected address type.','T','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','address2','address2','Address 2:','This Supplier''s Address line 2 for the selected address type.','T','F','T',100,'Address 2:','This Supplier''s Address line 2 for the selected address type.','T','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','city','city','City:','The City for the selected address type.','T','F','T',50,'City:','The City for the selected address type.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','Contact Cell Phone','phone_number','Contact Cell No:','The Cell phone number for the contact.','T','F','T',20,'Contact Cell No:','The Cell phone number for the contact.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','Contact Fax','phone_number','Contact Fax:','The Fax number for the contact.','T','F','T',20,'Contact Fax:','The Fax number for the contact.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','Contact work phone','phone_number','Contact Phone:','The Phone number for the contact.','T','F','T',20,'Contact Phone:','The Phone number for the contact.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','Contact work phone extension','extension','Contact Ext.:','The Phone extension for the contact.','T','F','T',10,'Contact Ext.:','The Phone extension for the contact.','T','F',10,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','contact_name','contact_name','Contact Name: ','The Name of a contact at this supplier.','T','F','T',50,'Contact Name: ','The Name of a contact at this supplier.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','country','country','Country:','The Country for the selected address type.','T','F','T',50,'Country:','The Country for the selected address type.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','email','email','Email:','The Email address for this supplier.','T','F','T',250,'Email:','The Email address for this supplier.','T','F',250,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','extension','extension','Extension:','The Phone extension for the contact.','T','F','T',10,'Extension:','The Phone extension for the contact.','T','F',10,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','mail_stop','mail_stop','Mail Stop:','The Mail stop for the selected address type.','T','F','T',20,'Mail Stop:','The Mail stop for the selected address type.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','name','name','Name:','Enter the name of this supplier.','T','F','T',50,'Name:','Enter the name of this supplier.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','note_text','note_text','Notes:','Notes about this supplier.','T','F','T',255,'Notes:','Notes about this supplier.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','phone_number','phone_number','Phone:','The Phone number of this supplier.','T','F','T',20,'Phone:','The Phone number of this supplier.','T','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','postal_code','postal_code','Postal Code:','The Postal Code for the selected address type.','T','F','T',10,'Postal Code:','The Postal Code for the selected address type.','T','F',10,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','record_type','record_type','Address Type:','Address type can be one of the followings: billing, mailing, corporate shipping, etc.','T','T','F',50,'Address Type:','Address type can be one of the followings: billing, mailing, corporate shipping, etc.','T','T',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','state','state','State:','The State for the selected address type.','T','F','T',50,'State:','The State for the selected address type.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'List Form Name','Supplier','','Supplier','',null,null,'F',null,'Supplier','',null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','supplier_id','supplier_id','Supplier ID','','T','F','T',30,'Supplier ID','','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','supplier_number','supplier_number','Supplier Code:','Enter Supplier Code','T','T','T',30,'Supplier Code:','Enter Supplier Code','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdefdate1','usrdefdate1','Custom Date 1:','Enter a custom date.','F','F','T',20,'Custom Date 1:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdefdate2','usrdefdate2','Custom Date 2:','Enter a custom date.','F','F','T',20,'Custom Date 2:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdefdate3','usrdefdate3','Custom Date 3:','Enter a custom date.','F','F','T',20,'Custom Date 3:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdefdate4','usrdefdate4','Custom Date 4:','Enter a custom date.','F','F','T',20,'Custom Date 4:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdefdate5','usrdefdate5','Custom Date 5:','Enter a custom date.','F','F','T',20,'Custom Date 5:','Enter a custom date.','F','F',20,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdefnumber1','usrdefnumber1','Custom Number 1:','Enter a custom number.','F','F','T',11,'Custom Number 1:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdefnumber2','usrdefnumber2','Custom Number 2:','Enter a custom number.','F','F','T',11,'Custom Number 2:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdefnumber3','usrdefnumber3','Custom Number 3:','Enter a custom number.','F','F','T',11,'Custom Number 3:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdefnumber4','usrdefnumber4','Custom Number 4:','Enter a custom number.','F','F','T',11,'Custom Number 4:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdefnumber5','usrdefnumber5','Custom Number 5:','Enter a custom number.','F','F','T',11,'Custom Number 5:','Enter a custom number.','F','F',11,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdeftext1','usrdeftext1','Custom Text 1:','Enter custom text.','F','F','T',100,'Custom Text 1:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdeftext10','usrdeftext10','Custom Text 10:','Enter custom text.','F','F','T',100,'Custom Text 10:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdeftext2','usrdeftext2','Custom Text 2:','Enter custom text.','F','F','T',100,'Custom Text 2:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdeftext3','usrdeftext3','Custom Text 3:','Enter custom text.','F','F','T',100,'Custom Text 3:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdeftext4','usrdeftext4','Custom Text 4:','Enter custom text.','F','F','T',100,'Custom Text 4:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdeftext5','usrdeftext5','Custom Text 5:','Enter custom text.','F','F','T',100,'Custom Text 5:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdeftext6','usrdeftext6','Custom Text 6:','Enter custom text.','F','F','T',100,'Custom Text 6:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdeftext7','usrdeftext7','Custom Text 7:','Enter custom text.','F','F','T',100,'Custom Text 7:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdeftext8','usrdeftext8','Custom Text 8:','Enter custom text.','F','F','T',100,'Custom Text 8:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','usrdeftext9','usrdeftext9','Custom Text 9:','Enter custom text.','F','F','T',100,'Custom Text 9:','Enter custom text.','F','F',100,null,null,null,1,1,'T','1','1');
GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (9,'Label','website','website','Web Site:','The Web Site for this supplier.','T','F','T',255,'Web Site:','The Web Site for this supplier.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10,'List Form Name','Category','',null,'**',null,null,'F',null,null,'**',null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','code','code','Location:','**','T','T','T',null,'Location:','**','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','date_acquired','date_acquired','Date Acquired:','Date the item was acquired','T','F','T',null,'Date Acquired:','Date the item was acquired','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','date_code','date_code','Date Code:','**','T','F','T',null,'Date Code:','**','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'List Form Name','Inventory','','Inventory','**',null,null,'F',null,'Inventory','**',null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','item_desc','item_desc','Item Description:','**','T','F','F',null,'Item Description:','**','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','item_number','item_number','Item Number:','**','T','T','T',null,'Item Number:','**','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','lot','lot','Lot:','**','T','F','T',null,'Lot:','**','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','max_stock_level','max_stock_level','Max Stock Level','Enter the Maximum Stock Level for this item (maximum across all sites).','T','F','T',30,'Max Stock Level','Enter the Maximum Stock Level for this item (maximum across all sites).','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','min_stock_level','min_stock_level','Min Stock Level','Enter the Minimum Stock Level for this item (minimum across all sites).','T','F','T',30,'Min Stock Level','Enter the Minimum Stock Level for this item (minimum across all sites).','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','newest','date_acquired','Latest Date Acquired:','Date the item was last acquired','T','F','T',null,'Latest Date Acquired:','Date the item was last acquired','T','F',null,null,null,null,1,1,'F','1','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','oldest','date_acquired','Oldest Date Acquired:','Date the item was first acquired','T','F','T',null,'Oldest Date Acquired:','Date the item was first acquired','T','F',null,null,null,null,1,1,'F','1','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','pallet','pallet','Pallet:','**','T','F','T',null,'Pallet:','**','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','po','po','Ref #:','**','T','F','T',null,'Ref #:','**','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','primary_location','primary_location','Primary Location',null,'T','F','T',null,'Primary Location',null,'T','F',null,null,null,null,1,1,'T','1','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','quantity','quantity','Quantity:','Transaction Quantity','T','T','T',null,'Quantity:','Transaction Quantity','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','rec_id','rec_id','rec_id','rec_id','F','F','F',null,'rec_id','rec_id','F','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','reorder_qty','reorder_qty','Reorder Qty','Enter the Reorder quantity for this item.','T','F','T',30,'Reorder Qty','Enter the Reorder quantity for this item.','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','serial_number','serial_number','Serial Number:','**','T','F','T',null,'Serial Number:','**','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','site_name','site_name','Site:','**','T','T','T',null,'Site:','**','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','supplier_number','supplier_number','Supplier Code:','','T','F','T',null,'Supplier Code:','','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (11,'Label','category','category','Category:','Select a Category or enter a new one.','T','F','F',255,'Category:','Select a Category or enter a new one.','T','F',255,null,null,null,1,1,'T','1','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (12,'List Form Name','History','','History','**',null,null,'F',null,'History','**',null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','action_type','action_type','Action','Action','T','T','T',null,'Action','Action','T','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','adjust_code','adjust_code','Adjust Reason Code','Adjust Reason Code','T','T','T',null,'Adjust Reason Code','Adjust Reason Code','T','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','adjust_trans_code','adjust_trans_code','Transaction Code:','Enter the transaction code for the adjustment','T','F','T',25,'Transaction Code:','Enter the transaction code for the adjustment','T','F',25,null,null,null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','adjust_type','adjust_type','Adjust Type','Adjust Type','T','T','T',null,'Adjust Type','Adjust Type','T','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','audited_qty','quantity','Audited Qty','Audited Quantity','T','T','T',null,'Audited Qty','Audited Quantity','T','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','code','code','Location:','Select a Location from the drop list','T','T','T',null,'Location:','Select a Location from the drop list','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','cost','cost','Cost:','Item Cost','T','T','T',null,'Cost:','Item Cost','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','current_qty','current_qty','Current Qty:','Current Qty','F','T','T',null,'Current Qty:','Current Qty','F','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','customer_id','Customer_id','Customer:','Customer','T','T','T',null,'Customer:','Customer','T','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','customer_number','customer_number','Customer Number:','Customer Number','T','T','T',null,'Customer Number:','Customer Number','T','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','customer_number_trn','customer_number_trn','Customer:','Customer','T','T','T',null,'Customer:','Customer','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','date_acquired','date_acquired','Date Acquired:','Date the item was acquired','T','T','T',null,'Date Acquired:','Date the item was acquired','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','date_code','date_code','Date Code:','Date Code','T','T','T',null,'Date Code:','Date Code','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','description','description','Item Description:','Item Description','T','T','T',null,'Item Description:','Item Description','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','due_date','date_acquired','Due Date:','Date the item was due to check back in.','T','F','T',null,'Due Date:','Date the item was due to check back in','T','F',null,null,null,null,1,1,'T','1','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','entry_date','entry_date','Entry Date','Transaction entry date','T','F','T',null,'Entry Date','Transaction entry date','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'List Form Name','Inventory_Transactions','Transactions','Transactions','**',null,null,'F',null,'Transactions','**',null,null,null,null,null,null,1,1,'T','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','invoice','invoice','Invoice No.:','Invoice Number','T','T','T',null,'Invoice No.:','Invoice Number','T','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','item_number','item_number','Item Number:','Item Number','T','T','T',null,'Item Number:','Item Number','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','last_name','last_name','User','Transaction Operator','T','T','F',null,'User','Transaction Operator','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','lot','Lot','Lot:','Lot','T','T','T',null,'Lot:','Lot','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','name','name','Customer:','Customer','T','T','T',null,'Customer:','Customer','T','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','other_location','other_location','To Location:','To Location','T','T','T',null,'To Location:','To Location','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','other_site','other_site','To Site:','To Site','T','T','T',null,'To Site:','To Site','T','T',null,null,null,null,1,1,'T','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','order_number','order_number','Pick Order #:','Pick Order Number','T','T','T',null,'Pick Order #:','Pick Order Number','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','pallet','pallet','Pallet:','Pallet','T','T','T',null,'Pallet:','Pallet','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','po','po','Ref #:','Reference Number','T','T','T',null,'Ref #:','Reference Number','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','po_number','po_number','PO #:','PO Number','T','T','T',null,'PO #:','PO Number','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','print_label_no','print_label_no','No. of Labels:','Enter the number of labels that you wish to print for the inventory.','T','F','T',25,'No. of Labels:','Enter the number of labels that you wish to print for the inventory.','T','F',25,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','quantity','quantity','Quantity:','Transaction Quantity','T','T','T',null,'Quantity:','Transaction Quantity','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','record_source','record_source','Record Source','Transaction record source','T','F','T',null,'Record Source','Transaction record source','T','F',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','remaining_qty','remaining_qty','Quantity Remaining:','Quantity Remaining','F','T','T',null,'Quantity Remaining:','Quantity Remaining','F','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','serial_number','serial_number','Serial Number:','Serial Number','T','T','T',null,'Serial Number:','Serial Number','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','site_name','site_name','Site','Site','T','T','T',null,'Site','Site','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','supplier_id','supplier_id','Supplier:','Supplier','T','T','T',null,'Supplier:','Supplier','T','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','supplier_number','supplier_number','Supplier:','Supplier','T','T','T',null,'Supplier:','Supplier','T','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','supplier_number_trn','supplier_number_trn','Supplier:','Supplier','T','T','T',null,'Supplier:','Supplier','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','trans_date','trans_date','Trans Date:','Transaction Date','T','T','T',null,'Trans Date:','Transaction Date','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','trans_type','trans_type','Trans Type:','Transaction Type','T','T','T',null,'Trans Type:','Transaction Type','T','T',null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','transaction_id','transaction_id','transaction_id','Transaction Id','F','T','F',null,'transaction_id','Transaction Id','F','T',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','is_receive_or_ship','is_receive_or_ship','Is Receive Or Pick','Is Receive Or Pick','F','F','F',null,'Is Receive Or Pick','Is Receive Or Pick','F','F',null,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','other_transaction_id','other_transaction_id','other_transaction_id','Other Transaction Id','F','F','F',null,'other_transaction_id','other_Transaction Id','F','F',null,null,null,null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','category','category','Category:','Select a Category or enter a new one.','T','F','F',255,'Category:','Select a Category or enter a new one.','T','F',255,null,null,null,1,1,'T','1','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (13,'Label','receipt_no','receipt_no','Receipt Number:','Receipt Number','T','F','T',null,'Receipt Number:','Receipt Number','T','F',null,null,'F',null,1,1,'T','1','0');

insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','cost','cost','Cost:','The cost to you of this item per unit.','T','F','F',14,'Cost:','The cost to you of this item per unit.','T','F',14,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','description','description','Description:','The description of this item.','T','F','T',255,'Description:','The description of this item.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','item_number','item_number','Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T','T',30,'Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','manufacturer','manufacturer','Manufacturer:','Select the Manufacturer of this item.','T','F','T',50,'Manufacturer:','Select the Manufacturer of this item.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','note_text','note_text','Notes:','Enter the notes for the receiving transaction of this PO','T','F','T',255,'Notes:','Enter the notes for the receiving transaction of this PO','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','print_label','print_label','No. of Labels:','Enter the number of labels that you wish to print for the inventory.','T','F','T',25,'No. of Labels:','Enter the number of labels that you wish to print for the inventory.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','require_packlist','require_packlist','Pack List:','Is this item tracked by purchase order number?','T','F','T',25,'Pack List:','Is this item tracked by purchase order number?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','require_pos','track_pos','Ref #:','Enter the reference number.','T','F','T',25,'PO:','Enter the reference number.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','require_suppliers','track_suppliers','Supplier Code:','Select the Supplier Code for this item.','T','F','T',30,'Supplier Code:','Select the Supplier Code for this item.','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','require_vendor','track_suppliers','Supplier:','Is this item tracked by supplier?','T','F','T',25,'Supplier:','Is this item tracked by supplier?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','require_customers','track_customers','Customer:','Is this item tracked by customer?','T','F','T',25,'Customer:','Is this item tracked by customer?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','track_date_codes','track_date_codes','Date Code:','Enter the Date Code for this item.','T','F','T',25,'Date Code:','Enter the Date Code for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','track_date_codes_1','track_date_codes','Date Code:','Enter the Date Code for this item. Date Code format is YYYYMMDD.','T','F','T',25,'Date Code:','Enter the Date Code for this item. Date Code format is YYYYMMDD.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','track_lots','track_lots','Lot:','Enter the Lot for this item.','T','F','T',25,'Lot:','Enter the Lot for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','track_pallets','track_pallets','Pallet:','Enter the Pallet for this item.','T','F','T',25,'Pallet:','Enter the Pallet for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (15,'Label','track_serial_numbers','track_serial_numbers','Serial Number:','Enter the Serial Number for this item.','T','F','T',25,'Serial Number:','Enter the Serial Number for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (16,'Label','description','description','Description:','The description of this item.','T','F','T',255,'Description:','The description of this item.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (16,'Label','item_number','item_number','Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T','T',30,'Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (16,'Label','note_text','note_text','Notes:','Enter the notes for the receiving transaction of this PO','T','F','T',255,'Notes:','Enter the notes for the receiving transaction of this PO','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (16,'Label','pick_ticket_number','pick_ticket_number','Pick Ticket No.:','Enter the Pick Ticket Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T','T',30,'Pick Ticket No.:','Enter the Pick Ticket Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (16,'Label','require_customers','track_customers','Customer:','Is this item tracked by customer?','T','F','T',25,'Customer:','Is this item tracked by customer?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (16,'Label','track_date_codes','track_date_codes','Date Code:','Enter the Date Code for this item.','T','F','T',25,'Date Code:','Enter the Date Code for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (16,'Label','track_lots','track_lots','Lot:','Enter the Lot for this item.','T','F','T',25,'Lot:','Enter the Lot for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (16,'Label','track_pallets','track_pallets','Pallet:','Enter the Pallet for this item.','T','F','T',25,'Pallet:','Enter the Pallet for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (16,'Label','track_serial_numbers','track_serial_numbers','Serial Number:','Enter the Serial Number for this item.','T','F','T',25,'Serial Number:','Enter the Serial Number for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (16,'Label','trans_date','trans_date','Remove Date:','Enter the remove date for this item.','T','F','F',25,'Remove Date:','Enter the remove date for this item.','F','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (17,'Label','description','description','Description:','The description of this item.','T','F','T',255,'Description:','The description of this item.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (17,'Label','item_number','item_number','Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T','T',30,'Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (17,'Label','note_text','note_text','Notes:','Notes about this transaction..','T','F','T',255,'Notes:','Notes about this transaction..','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (17,'Label','track_date_codes','track_date_codes','Date Code:','Enter the Date Code for this item.','T','F','T',25,'Date Code:','Enter the Date Code for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (17,'Label','track_lots','track_lots','Lot:','Enter the Lot for this item.','T','F','T',25,'Lot:','Enter the Lot for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (17,'Label','track_pallets','track_pallets','Pallet:','Enter the Pallet for this item.','T','F','T',25,'Pallet:','Enter the Pallet for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (17,'Label','track_serial_numbers','track_serial_numbers','Serial Number:','Enter the Serial Number for this item.','T','F','T',25,'Serial Number:','Enter the Serial Number for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (18,'Label','description','description','Description:','The description of this item.','T','F','T',255,'Description:','The description of this item.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (18,'Label','item_number','item_number','Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T','T',30,'Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (18,'Label','note_text','note_text','Notes:','Notes about this transaction..','T','F','T',255,'Notes:','Notes about this transaction..','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (18,'Label','require_customers','track_customers','Customer:','Pick a customer from the list or enter the customer number.','T','F','T',25,'Customer:','Pick a customer from the list or enter the customer number.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (18,'Label','customer_info','customer_info','Customer Information:','Customer address and phone information.','T','F','F',255,'Customer Information:','Customer address and phone information.','T','F',255,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (18,'Label','track_date_codes','track_date_codes','Date Code:','Enter the Date Code for this item.','T','F','T',25,'Date Code:','Enter the Date Code for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (18,'Label','track_lots','track_lots','Lot:','Enter the Lot for this item.','T','F','T',25,'Lot:','Enter the Lot for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (18,'Label','track_pallets','track_pallets','Pallet:','Enter the Pallet for this item.','T','F','T',25,'Pallet:','Enter the Pallet for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (18,'Label','track_serial_numbers','track_serial_numbers','Serial Number:','Enter the Serial Number for this item.','T','F','T',25,'Serial Number:','Enter the Serial Number for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (19,'Label','checkout_duration','checkout_duration','Checkout Length:','The default length of time a customer can have this item checked out. Used to populate the default Check Out time.','T','F','T',4,'Checkout Length:','The default length of time a customer can have this item checked out. Used to populate the default Check Out time.','T','F',4,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (19,'Label','description','description','Description:','The description of this item.','T','F','T',255,'Description:','The description of this item.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (19,'Label','item_number','item_number','Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T','T',30,'Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (19,'Label','note_text','note_text','Notes:','Notes about this transaction..','T','F','T',255,'Notes:','Notes about this transaction..','T','F',255,null,null,null,1,1,'T','1','1');
GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (19,'Label','require_customers','track_customers','Customer:','Pick a customer from the list or enter the customer number.','T','F','T',25,'Customer:','Pick a customer from the list or enter the customer number.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (19,'Label','customer_info','customer_info','Customer Information:','Customer address and phone information.','T','F','F',255,'Customer Information:','Customer address and phone information.','T','F',255,null,null,null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (19,'Label','track_date_codes','track_date_codes','Date Code:','Enter the Date Code for this item.','T','F','T',25,'Date Code:','Enter the Date Code for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (19,'Label','track_lots','track_lots','Lot:','Enter the Lot for this item.','T','F','T',25,'Lot:','Enter the Lot for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (19,'Label','track_pallets','track_pallets','Pallet:','Enter the Pallet for this item.','T','F','T',25,'Pallet:','Enter the Pallet for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (19,'Label','track_serial_numbers','track_serial_numbers','Serial Number:','Enter the Serial Number for this item.','T','F','T',25,'Serial Number:','Enter the Serial Number for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (20,'Label','adjust_trans_code','adjust_trans_code','Transaction Code:','Enter the transaction code for the audit','T','F','T',25,'Transaction Code:','Enter the transaction code for the audit','T','F',25,null,null,null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (20,'Label','description','description','Description:','The description of this item.','T','F','T',255,'Description:','The description of this item.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (20,'Label','item_number','item_number','Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T','T',30,'Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (20,'Label','note_text','note_text','Notes:','Notes about this transaction..','T','F','T',255,'Notes:','Notes about this transaction..','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (20,'Label','track_date_codes','track_date_codes','Date Code:','Enter the Date Code for this item.','T','F','T',25,'Date Code:','Enter the Date Code for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (20,'Label','track_lots','track_lots','Lot:','Enter the Lot for this item.','T','F','T',25,'Lot:','Enter the Lot for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (20,'Label','track_pallets','track_pallets','Pallet:','Enter the Pallet for this item.','T','F','T',25,'Pallet:','Enter the Pallet for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (20,'Label','track_serial_numbers','track_serial_numbers','Serial Number:','Enter the Serial Number for this item.','T','F','T',25,'Serial Number:','Enter the Serial Number for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (21,'Label','absolute_adjust','absolute_adjust','By Counts','Pick a reason from the list for adjustment','T','F','T',25,'By Counts','Pick a reason from the list for adjustment','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (21,'Label','adjust_reason','adjust_reason','Reason:','Pick a reason from the list for adjustment','T','F','T',25,'Reason:','Pick a reason from the list for adjustment','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (21,'Label','adjust_trans_code','adjust_trans_code','Transaction Code:','Enter the transaction code for the adjustment','T','F','T',25,'Transaction Code:','Enter the transaction code for the adjustment','T','F',25,null,null,null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (21,'Label','description','description','Description:','The description of this item.','T','F','T',255,'Description:','The description of this item.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (21,'Label','item_number','item_number','Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T','T',30,'Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (21,'Label','note_text','note_text','Notes:','Notes about this transaction..','T','F','T',255,'Notes:','Notes about this transaction..','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (21,'Label','relative_adjust','relative_adjust','By Difference','Pick a reason from the list for adjustment','T','F','T',25,'By Difference','Pick a reason from the list for adjustment','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (21,'Label','track_date_codes','track_date_codes','Date Code:','Enter the Date Code for this item.','T','F','T',25,'Date Code:','Enter the Date Code for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (21,'Label','track_lots','track_lots','Lot:','Enter the Lot for this item.','T','F','T',25,'Lot:','Enter the Lot for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (21,'Label','track_pallets','track_pallets','Pallet:','Enter the Pallet for this item.','T','F','T',25,'Pallet:','Enter the Pallet for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (21,'Label','track_serial_numbers','track_serial_numbers','Serial Number:','Enter the Serial Number for this item.','T','F','T',25,'Serial Number:','Enter the Serial Number for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','cost','cost','Cost','Cost','T','F','F',null,'Cost','Cost','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','customer_name','customer_name','Customer Name','Customer Name','F','F','T',null,'Customer Name','Customer Name','F','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','customer_number','customer_number','Customer No.','Customer No.','F','F','T',30,'Customer No.','Customer No.','F','F',30,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','due_date','due_date','Due Date:','Due Date','T','F','T',null,'Due Date:','Due Date','T','F',null,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','entry_date','entry_date','Receive Date:','The date this PO is received.','F','F','F',null,'Receive Date:','The date this PO is received.','F','F',20,null,'F',null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','item_description','item_description','Description','Description','T','F','F',null,'Description','Description','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','item_number','item_number','Item No','Item No','T','F','F',null,'Item No','Item No','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','line_item_type','line_item_type','Type','Type','T','F','T',null,'Type','Type','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','line_totals','line_totals','Line Total','Line Total','T','F','F',null,'Line Total','Line Total','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','manufacturer','manufacturer','manufacturer','Manufacturer','T','F','F',null,'manufacturer','Manufacturer','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','note','note','Notes: ','Notes','T','F','F',1000,'Notes: ','Notes','T','F',1000,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','order_date','order_date','Order Date:','PO Order Date','T','F','T',null,'Order Date:','PO Order Date','T','F',null,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','pay_method_text','pay_method_text','Pay Method:','PO Pay Method','T','F','T',255,'Pay Method:','PO Pay Method','T','F',255,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','po_number','po_number','PO Number:','PO Number','T','T','T',38,'PO Number:','PO Number','T','T',38,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','po_status','po_status','Status','Status','T','F','T',null,'Status','Status','T','F',null,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','po_type','po_type','Type','Type','T','F','T',null,'Type','Type','T','F',null,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'List Form Name','PurchaseOrder','**','Purchase Order','**','T','F','T',0,'Purchase Order','**','T','F',0,null,'F',null,1,1,'T','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','quantity_ordered','quantity_ordered','Ordered Qty','Quantity','T','F','F',null,'Ordered Qty','Quantity','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','quantity_original','quantity_original','Quantity','Quantity','T','F','F',null,'Quantity','Quantity','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','quantity_received','quantity_received','Recv''d Qty','Quantity','T','F','F',null,'Recv''d Qty','Quantity','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','record_status','record_status','Record Status','Record Status','F','F','T',null,'Record Status','Record Status','F','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','ref_number','ref_number','Reference Number:','Reference Number:','T','F','T',100,'Reference Number:','Reference Number:','T','F',100,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','ship_method_text','ship_method_text','Ship Method:','PO Ship Method','T','F','T',255,'Ship Method:','PO Ship Method','T','F',255,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','ship_to_address','ship_to_address','Ship To Address: ','Ship To Address','T','F','F',null,'Ship To Address: ','Ship To Address','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','supplier_address','supplier_address','Supplier Address:','Supplier Address','T','T','T',null,'Supplier Address:','Supplier Address','T','T',null,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','supplier_name','supplier_name','Supplier:','Supplier Name','T','T','T',30,'Supplier:','Supplier Name','T','T',30,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','supplier_number','supplier_number','Supplier No.','Supplier No.','T','T','T',30,'Supplier No.','Supplier No.','T','T',30,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','supplier_item_sku','supplier_item_sku','Supplier SKU','Supplier SKU for this item','T','F','F',255,'Supplier SKU','Supplier SKU for this item','T','F',255,null,'F',null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','totals','totals','Grand Totals: ','Grand Totals','T','F','F',null,'Grand Totals: ','Grand Totals','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (22,'Label','unit_of_measure','unit_of_measure','Order Unit','Order Unit Code','T','F','F',null,'Order Unit','Order Unit Code','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (23,'Label','child_bo','child_bo','Backorder',null,null,null,'T',null,'Backorder',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (23,'Label','customer_name','customer_name','Customer Name',null,null,null,'T',null,'Customer Name',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (23,'Label','customer_number','customer_number','Customer No.',null,null,null,'T',null,'Customer No.',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (23,'Label','due_date','due_date','Due Date',null,null,null,'T',null,'Due Date',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (23,'List Form Name','Invoice',null,'Invoice','**','T','F','T',0,'Invoice','**','T','F',0,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (23,'Label','invoice_status','invoice_status','Status',null,null,null,'T',null,'Status',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (23,'Label','invoice_type','has_bo','Has B.O.?',null,null,null,'T',null,'Has B.O.?',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (23,'Label','parent_bo','parent_bo','Backorder From',null,null,null,'T',null,'Backorder From',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (23,'Label','po_number','po_number','PO Number',null,null,null,'T',null,'PO Number',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (23,'Label','record_status','record_status','Record Status',null,null,null,'T',null,'Record Status',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (23,'Label','ref_number','ref_number','Number',null,null,null,'T',null,'Number',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (24,'Label','picked_quantity',null,'Picked Qty',null,null,null,'T',null,'Picked Qty',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (24,'Label','quantity',null,'Quantity',null,null,null,'T',null,'Quantity',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (24,'Label','quantity_received',null,'Recv''d Qty',null,null,null,'T',null,'Recv''d Qty',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (24,'Label','shorted',null,'Shorted?',null,null,null,'T',null,'Shorted?',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (25,'Label','quantity',null,'Quantity',null,null,null,'T',null,'Quantity',null,null,null,null,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','available_quantity','available_quantity','Available Qty:','Quantity Available To Pick','T','F','F',null,'Available Qty:','Quantity Available To Pick','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','creation_date','creation_date','Order Date:','Pick Order Creation Date','T','F','T',null,'Order Date:','Pick Order Creation Date','T','F',null,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','customer_address','customer_address','Customer Address:','Customer Address','T','T','T',null,'Customer Address:','Customer Address','T','T',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','customer_name','customer_name','Customer Name:','Customer Name','T','T','T',30,'Customer Name:','Customer Name','T','T',30,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','customer_number','customer_number','Customer No.:','Customer No.','T','T','T',30,'Customer No.:','Customer No.','T','T',30,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','due_date','due_date','Due Date:','Due Date','T','F','T',null,'Due Date:','Due Date','T','F',null,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','email_on_save','email_on_save','EMail On Save','EMail On Save','T','F','F',null,'EMail On Save','EMail On Save','T','F',null,null,'F',null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','item_description','item_description','Description','Description','T','F','T',null,'Description','Description','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','item_number','item_number','Item No','Item No','T','F','T',null,'Item No','Item No','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','line_item_type','line_item_type','Type','Type','T','F','T',null,'Type','Type','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','note','note','Notes:','Notes','T','F','T',1000,'Notes:','Notes','T','F',1000,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','order_number','order_number','Order Number:','Order Number:','T','T','T',38,'Order Number:','Order Number:','T','T',38,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','order_status','order_status','Status','Status','T','F','T',null,'Status','Status','T','F',null,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','picked_quantity','picked_quantity','Picked Qty','Picked Quantity','T','F','F',null,'Picked Qty','Picked Quantity','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'List Form Name','PickOrder','**','Pick Order','**','T','F','T',0,'Pick Order','**','T','F',0,null,'F',null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','print_on_save','print_on_save','Print On Save','Print On Save','T','F','F',null,'Print On Save','Print On Save','T','F',null,null,'F',null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','record_status','record_status','Record Status','Record Status','F','F','F',null,'Record Status','Record Status','F','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','ref_number','ref_number','Reference No.:','Pick Order Reference Number','T','F','T',100,'Reference No.:','Pick Order Reference Number','T','F',100,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','request_quantity','request_quantity','Request Qty','Cistomer Request Quantity','T','F','F',null,'Request Qty','Cistomer Request Quantity','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','ship_date','ship_date','Pick Date:','Pick Order Pick Date','T','F','T',null,'Pick Date:','Pick Order Pick Date','T','F',null,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','ship_method_text','ship_method_text','Ship Via:','Pick Order Ship Method','T','F','T',255,'Ship Via:','Pick Order Ship Method','T','F',255,null,'F',null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','supplier_name','supplier_name','Supplier Name','Supplier Name','T','F','T',null,'Supplier Name','Supplier Name','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','supplier_number','supplier_number','Supplier No.','Supplier No.','T','F','T',null,'Supplier No.','Supplier No.','T','F',null,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','track_date_codes','track_date_codes','Date Code:','Enter the Date Code for this item.','T','F','T',25,'Date Code:','Enter the Date Code for this item.','T','F',25,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','track_lots','track_lots','Lot:','Enter the Lot for this item.','T','F','T',25,'Lot:','Enter the Lot for this item.','T','F',25,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','track_pallets','track_pallets','Pallet:','Enter the Pallet for this item.','T','F','T',25,'Pallet:','Enter the Pallet for this item.','T','F',25,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','track_serial_numbers','track_serial_numbers','Serial Number:','Enter the Serial Number for this item.','T','F','T',25,'Serial Number:','Enter the Serial Number for this item.','T','F',25,null,'F',null,1,1,'F','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (26,'Label','tracking_number','tracking_number','Tracking NO.:','Shipping Tracking Number:','F','F','T',null,'Tracking NO.:','Shipping Tracking Number:','F','F',null,null,'F',null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','backorder_number','backorder_number','Backorder Number:','','T','F','T',50,'Backorder Number:','','T','F',50,null,null,null,1,1,'T','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','carrier','carrier','Carrier: ','Enter the carrier name for this request.','T','F','T',255,'Carrier: ','Enter the carrier name for this request.','T','F',255,null,null,null,1,1,'T','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','cost','cost','Unit Cost','The cost to you of this item per unit.','T','F','F',8,'Unit Cost','The cost to you of this item per unit.','T','F',8,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','creation_date','creation_date','Created On: ','The date that this inventory request is created on.','T','F','T',30,'Created On: ','The date that this inventory request is created on.','T','F',30,null,null,null,1,1,'T','1','2');
GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','customer_number','customer_number','Customer Number: ','Select the customer that this inventory request is for.','T','F','T',30,'Customer Number: ','Select the customer that this inventory request is for.','T','F',30,null,null,null,1,1,'T','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','due_date','due_date','Planned Ship Date: ','Enter the due date that this inventory request is due to ship.','T','F','T',20,'Planned Ship Date: ','Enter the due date that this inventory request is due to ship.','T','F',20,null,null,null,1,1,'T','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','item_number','item_number','Item Number','Item Number','T','F','T',31,'Item Number','Item Number','T','F',31,null,null,null,1,1,'F','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','label','label','Status: ','Status of this inventory request.','T','F','T',100,'Status: ','Status of this inventory request.','T','F',100,null,null,null,1,1,'T','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','last_modified_date','last_modified_date','Last Modified: ','The date that this inventory request is last modified.','T','F','T',30,'Last Modified: ','The date that this inventory request is last modified.','T','F',30,null,null,null,1,1,'T','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','last_printed_date','last_printed_date','Last Printed: ','The date that this inventory request is last printed.','T','F','T',30,'Last Printed: ','The date that this inventory request is last printed.','T','F',30,null,null,null,1,1,'T','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','line_total','line_total','Line Total','The cost to you of this item per unit.','T','F','F',8,'Line Total','The cost to you of this item per unit.','T','F',8,null,null,null,1,1,'F','F','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'List Form Name','List Form Name',null,'Inventory Request','**','T','F','F',30,'Inventory Request','**','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','order_qty','order_qty','Requested Qty','Requested Qty','T','F','T',100,'Requested Qty','Requested Qty','T','F',100,null,null,null,1,1,'F','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','pick_qty','pick_qty','Pick Qty','Picked Qty','T','F','T',100,'Pick Qty','Picked Qty','T','F',100,null,null,null,1,1,'F','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','request_number','request_number','Request Number: ','Enter the inventory request number for this inventory request.','T','F','T',50,'Request Number: ','Enter the inventory request number for this inventory request.','T','F',50,null,null,null,1,1,'T','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','ship_date','ship_date','Actual Ship Date: ','The actual date that this inventory request is shipped to the the customer.','T','F','T',10,'Actual Ship Date: ','The actual date that this inventory request is shipped to the the customer.','T','F',10,null,null,null,1,1,'T','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','staging_location','staging_location','Staging Location: ','Staging location for this inventory request.','T','F','T',255,'Staging Location: ','Staging location for this inventory request.','T','F',255,null,null,null,1,1,'F','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','total_cost','total_cost','Total Cost: ','Total item cost for this inventory request.','T','F','T',100,'Total Cost: ','Total item cost for this inventory request.','T','F',100,null,null,null,1,1,'F','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (31,'Label','tracking_number','tracking_number','Tracking Number: ','Enter the carrier tracking number.','T','F','T',255,'Tracking Number: ','Enter the carrier tracking number.','T','F',255,null,null,null,1,1,'T','1','2');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (33,'Label','entry_date','entry_date','Receive Date:','The date this PO is received.','T','T','T',20,'Receive Date:','The date this PO is received.','T','T',20,null,'F',null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (33,'Label','note','note','Notes: ','Notes','T','F','F',255,'Notes: ','Notes','T','F',255,null,'F',null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (33,'Label','receipt_no','receipt_no','Receipt Number:','Receipt Number','T','F','T',null,'Receipt Number:','Receipt Number','T','F',null,null,'F',null,1,1,'F','0','0');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','cost','cost','Cost:','The cost to you of this item per unit.','T','F','F',14,'Cost:','The cost to you of this item per unit.','T','F',14,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','description','description','Description:','The description of this item.','T','F','T',255,'Description:','The description of this item.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','item_number','item_number','Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T','T',30,'Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','note_text','note_text','Notes:','Enter the notes for the receiving transaction of this PO','T','F','T',255,'Notes:','Enter the notes for the receiving transaction of this PO','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','print_label','print_label','No. of Labels:','Enter the number of labels that you wish to print for the inventory.','T','F','T',25,'No. of Labels:','Enter the number of labels that you wish to print for the inventory.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','date_built','date_built','Date Built:','On which day is this assembly item built?','T','F','T',25,'Date Built:','On which day is this assembly item built?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','require_pos','track_pos','Ref #:','Enter the reference number.','T','F','T',25,'PO:','Enter the reference number.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','require_suppliers','track_suppliers','Supplier Code:','Select the Supplier Code for this item.','T','F','T',30,'Supplier Code:','Select the Supplier Code for this item.','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','require_vendor','track_suppliers','Supplier:','Is this item tracked by supplier?','T','F','T',25,'Supplier:','Is this item tracked by supplier?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','require_customers','track_customers','Customer:','Is this item tracked by customer?','T','F','T',25,'Customer:','Is this item tracked by customer?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','track_date_codes','track_date_codes','Date Code:','Enter the Date Code for this item.','T','F','T',25,'Date Code:','Enter the Date Code for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','track_date_codes_1','track_date_codes','Date Code:','Enter the Date Code for this item. Date Code format is YYYYMMDD.','T','F','T',25,'Date Code:','Enter the Date Code for this item. Date Code format is YYYYMMDD.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','track_lots','track_lots','Lot:','Enter the Lot for this item.','T','F','T',25,'Lot:','Enter the Lot for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','track_pallets','track_pallets','Pallet:','Enter the Pallet for this item.','T','F','T',25,'Pallet:','Enter the Pallet for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (36,'Label','track_serial_numbers','track_serial_numbers','Serial Number:','Enter the Serial Number for this item.','T','F','T',25,'Serial Number:','Enter the Serial Number for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','cost','cost','Cost:','The cost to you of this item per unit.','T','F','F',8,'Cost:','The cost to you of this item per unit.','T','F',8,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','description','description','Description:','The description of this item.','T','F','T',255,'Description:','The description of this item.','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','item_number','item_number','Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T','T',30,'Item Number:','Enter the Item Number. You can pick from the list, enter the number through the keyboard or scan it in.','T','T',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','manufacturer','manufacturer','Manufacturer:','Select the Manufacturer of this item.','T','F','T',50,'Manufacturer:','Select the Manufacturer of this item.','T','F',50,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','note_text','note_text','Notes:','Enter the notes for the receiving transaction of this PO','T','F','T',255,'Notes:','Enter the notes for the receiving transaction of this PO','T','F',255,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','print_label','print_label','No. of Labels:','Enter the number of labels that you wish to print for the inventory.','T','F','T',25,'No. of Labels:','Enter the number of labels that you wish to print for the inventory.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','date_disassemble','date_disassemble','Date Disassembled:','On which day is this assembly item being disassembled?','T','F','F',25,'Date Disassembled:','On which day is this assembly item being disassembled?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','require_pos','track_pos','Ref #:','Enter the reference number.','T','F','T',25,'PO:','Enter the reference number.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','require_suppliers','track_suppliers','Supplier Code:','Select the Supplier Code for this item.','T','F','T',30,'Supplier Code:','Select the Supplier Code for this item.','T','F',30,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','require_vendor','track_suppliers','Supplier:','Is this item tracked by supplier?','T','F','T',25,'Supplier:','Is this item tracked by supplier?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','require_customers','track_customers','Customer:','Is this item tracked by customer?','T','F','T',25,'Customer:','Is this item tracked by customer?','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','track_date_codes','track_date_codes','Date Code:','Enter the Date Code for this item.','T','F','T',25,'Date Code:','Enter the Date Code for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','track_date_codes_1','track_date_codes','Date Code:','Enter the Date Code for this item. Date Code format is YYYYMMDD.','T','F','T',25,'Date Code:','Enter the Date Code for this item. Date Code format is YYYYMMDD.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','track_lots','track_lots','Lot:','Enter the Lot for this item.','T','F','T',25,'Lot:','Enter the Lot for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','track_pallets','track_pallets','Pallet:','Enter the Pallet for this item.','T','F','T',25,'Pallet:','Enter the Pallet for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (37,'Label','track_serial_numbers','track_serial_numbers','Serial Number:','Enter the Serial Number for this item.','T','F','T',25,'Serial Number:','Enter the Serial Number for this item.','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Add','','Add','Click to add items into inventory.','T','T','T',30,'Add','Click to add items into inventory.','T','T',30,2,null,3,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin Advanced Find',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,101,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin Find',null,'Find',null,null,null,'F',null,'Find',null,null,null,null,1,null,1,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin New',null,'New',null,null,null,'F',null,'New',null,null,null,null,1,null,2,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin New Asset',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,200,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin New CC/Department',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,202,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin New Company',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,208,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin New Customer',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,201,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin New Employee',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,205,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin New Location',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,203,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin New Manufacturer',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,207,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin New Site',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,204,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Admin Simple Find',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,100,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Administration',null,'Administration',null,null,null,'F',null,'Administration',null,null,null,null,0,null,1,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Archive Transactions',null,null,null,null,null,'T',null,null,null,null,null,null,6,null,3,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset Advanced Find',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,101,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset Find',null,'Find',null,null,null,'F',null,'Find',null,null,null,null,2,null,1,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset Management',null,'Asset Management',null,null,null,'F',null,'Asset Management',null,null,null,null,0,null,2,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset New',null,'New',null,null,null,'F',null,'New',null,null,null,null,2,null,2,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset New Asset',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,200,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset New CC / Department',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,202,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset New Company',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,208,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset New Customer',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,201,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset New Employee',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,205,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset New Location',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,203,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset New Manufacturer',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,207,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset New Site',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,204,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset Reports',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,1,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset Simple Find',null,null,null,null,null,'F',null,null,null,null,null,null,2,null,100,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset Tags',null,null,null,null,null,'T',null,null,null,null,null,null,3,null,1,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset Tags by Location',null,null,null,null,null,'T',null,null,null,null,null,null,3,null,100,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset Tags by SerialNumber',null,null,null,null,null,'T',null,null,null,null,null,null,3,null,101,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Asset Tags by Site',null,null,null,null,null,'T',null,null,null,null,null,null,3,null,102,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Assets by Employee',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,102,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Assets by Location',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,101,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Assets by Serial Number',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,103,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Assets by Site',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,100,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Audit',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,8,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Audit History',null,null,null,null,null,'F',null,null,null,null,null,null,4,null,300,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Audit Reports',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,3,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Audit Unreconciled',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,301,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Backup',null,null,null,null,null,'F',null,null,null,null,null,null,6,null,1,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Change Password',null,null,null,null,null,'T',null,null,null,null,null,null,6,null,5,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Check-In',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,6,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Check-In By Customer',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,601,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Check-In By Employee',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,602,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Check-In By Serial Number',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,600,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Check-Out',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,7,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Check-Out Reports',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,2,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Check-Out To Customer',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,700,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Check-Out To Employee',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,701,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Checked Out By Customer',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,200,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Checked Out Overdue',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,201,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Company Information',null,'Company Information',null,null,null,'T',null,'Company Information',null,null,null,null,1,null,3,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Customer Labels',null,null,null,null,null,'T',null,null,null,null,null,null,3,null,201,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Customize Names',null,'Customize Names',null,null,null,'T',null,'Customize Names',null,null,null,null,1,null,7,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Database Management',null,'Database Management -- this is a test for a reall',null,null,null,'F',null,'Database Management -- this is a test for a reall',null,null,null,null,0,null,6,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Dispose',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,4,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Dispose By Location',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,400,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Dispose By Serial Number',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,401,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Dispose By Site',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,402,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Employee Badges',null,null,null,null,null,'T',null,null,null,null,null,null,3,null,202,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','End Audit',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,802,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Export Wizard',null,'Export Wizard',null,null,null,'F',null,'Export Wizard',null,null,null,null,1,null,501,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Falcon',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,2,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Falcon Create Database',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,201,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Falcon PC to PDT',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,202,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Falcon PDT to PC',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,203,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Falcon Setup',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,200,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Import / Export Wizard',null,'Import / Export Wizard',null,null,null,'T',null,'Import / Export Wizard',null,null,null,null,1,null,5,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Import Wizard',null,'Import Wizard',null,null,null,'F',null,'Import Wizard',null,null,null,null,1,null,500,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Labels',null,'Labels',null,null,null,'F',null,'Labels',null,null,null,null,0,null,3,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','License Management',null,'License Management',null,null,null,'T',null,'License Management',null,null,null,null,1,null,8,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','List Assets',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,400,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','List CC/Departments',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,403,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','List Companies',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,409,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','List Customers',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,402,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','List Employees',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,406,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','List Inventory',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,401,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','List Locations',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,404,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','List Manufacturers',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,408,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','List Sites',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,405,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','List Suppliers',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,407,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Lists','','List Forms','Click to view lists of the data in your system.','T','T','F',30,'List Forms','Click to view lists of the data in your system.','T','T',30,1,null,4,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Location By Company',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,401,1,2,'T','1','1');
GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Location By Site',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,400,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Location Labels',null,null,null,null,null,'T',null,null,null,null,null,null,3,null,200,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Location Reports',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,4,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Login As Different User',null,null,null,null,null,'T',null,null,null,null,null,null,6,null,6,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Mobility',null,'Mobility',null,null,null,'F',null,'Mobility',null,null,null,null,0,null,5,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Move',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,5,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Move By Cost Center',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,503,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Move By Location',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,500,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Move By Serial Number',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,501,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Move By Site',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,502,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Options',null,'Options',null,null,null,'T',null,'Options',null,null,null,null,1,null,9,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Other',null,null,null,null,null,'T',null,null,null,null,null,null,3,null,2,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','PDA',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,1,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','PDA Create Database',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,102,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','PDA Customize PDA Interface',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,101,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','PDA PC to PDA',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,103,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','PDA PDA to PC',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,104,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','PDA Setup',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,100,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Process Mobile Device Data',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,4,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Reconcile',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,801,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Rename Add',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,700,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Rename Audit',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,701,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Rename Check-In',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,702,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Rename Check-Out',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,703,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Rename Dispose',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,704,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Rename Move',null,null,null,null,null,'T',null,null,null,null,null,null,1,null,705,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Reports',null,'Reports',null,null,null,'F',null,'Reports',null,null,null,null,0,null,4,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Reset All Labels',null,null,null,null,null,'T',null,null,null,null,null,null,6,null,4,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Restore',null,null,null,null,null,'T',null,null,null,null,null,null,6,null,2,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Security','','Security','Click to manage the security of users.','T','T','F',30,'Security','Click to manage the security of users.','T','T',30,1,null,6,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Start Audit',null,null,null,null,null,'T',null,null,null,null,null,null,2,null,800,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Transaction - Add',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,500,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Transaction - Check-In',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,504,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Transaction - Check-Out',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,503,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Transaction - Dispose',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,501,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Transaction - Move',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,502,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','Transaction Reports',null,null,null,null,null,'T',null,null,null,null,null,null,4,null,5,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','WDT2200',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,3,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','WDT2200 Create Database',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,301,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','WDT2200 PC to PDT',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,302,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','WDT2200 PDT to PC',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,303,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (100,'TreeNode','WDT2200 Setup',null,null,null,null,null,'T',null,null,null,null,null,null,5,null,300,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Label','Address1','address1','Address 1:','Your companies address.','T','F','T',100,'Address 1:','Your companies address.','T','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Label','Address2','address2','Address 2:','Your companies address.','T','F','T',100,'Address 2:','Your companies address.','T','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Label','City','City','City:','The city your company is in.','T','F','T',50,'City:','The city your company is in.','T','F',50,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Label','Company','Company','Company Name:','The name of your company.','T','F','T',50,'Company Name:','The name of your company.','T','F',50,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Label','Country','Country','Country:','The country your company is in.','T','F','T',50,'Country:','The country your company is in.','T','F',50,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Label','Email','Email','Email:','Your company email address.','T','F','T',250,'Email:','Your company email address.','T','F',250,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Label','Fax','Fax','Fax:','Your company fax number.','T','F','T',20,'Fax:','Your company fax number.','T','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Form Name','FormName','',null,'**','T','F','F',30,null,'**','T','F',30,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Label','Phone','phone_number','Phone:','Your company phone number.','T','F','T',20,'Phone:','Your company phone number.','T','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Label','State','State','State:','The state your company is in.','T','F','T',50,'State:','The state your company is in.','T','F',50,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Label','Website','Website','Website:','Your company website.','T','F','T',255,'Website:','Your company website.','T','F',255,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (101,'Label','ZipCode','postal_code','Postal Code:','Your company postal code.','T','F','T',10,'Postal Code:','Your company postal code.','T','F',10,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','address1','address1','Address 1:','This Customer''s Address Line 1.','T','F','T',100,'Address 1:','This Customer''s Address Line 1.','T','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','address2','address2','Address 2:','This Customer''s Address Line 2.','T','F','T',100,'Address 2:','This Customer''s Address Line 2.','T','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','Cell Phone','phone_number','Cell No:','This Customer''s Cell phone number.','T','F','T',20,'Cell No:','This Customer''s Cell phone number.','T','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','city','city','City:','The City this Customer is located in.','T','F','T',50,'City:','The City this Customer is located in.','T','F',50,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','company_name','company_name','Company Name:','This Customer''s Company Name.','T','F','T',50,'Company Name:','This Customer''s Company Name.','T','F',50,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','country','country','Country:','The Country this Customer is headquartered in.','T','F','T',50,'Country:','The Country this Customer is headquartered in.','T','F',50,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'List Form Name','Customer','','Customer','**','T','F','F',0,'Customer','**','T','F',0,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','customer_id','customer_id','customer_id','A Customer ID you will use throughout the system to identify this Customer.','T','F','T',4,'customer_id','A Customer ID you will use throughout the system to identify this Customer.','T','F',4,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','customer_number','customer_number','Customer No.:','A Customer Number you will use throughout the system to identify this Customer.','T','T','T',30,'Customer No.:','A Customer Number you will use throughout the system to identify this Customer.','T','T',30,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','date_added','date_added','Date Added:','The Date the Customer was added to the system','T','F','T',8,'Date Added:','The Date the Customer was added to the system','T','F',8,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','department','department','Department:','The Department the contact at this company works in.','T','F','T',20,'Department:','The Department the contact at this company works in.','T','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','email','email','Email:','The Email address of the contact at this company.','T','F','T',250,'Email:','The Email address of the contact at this company.','T','F',250,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','extension','extension','Extension:','The Phone Extension of the contact at this company.','T','F','T',10,'Extension:','The Phone Extension of the contact at this company.','T','F',10,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','fax','phone_number','Fax:','The Fax number of the contact at this company.','T','F','T',20,'Fax:','The Fax number of the contact at this company.','T','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','Home Phone','phone_number','Home No:','The Home phone number of the contact at this company.','T','F','T',20,'Home No:','The Home phone number of the contact at this company.','T','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','mail_stop','mail_stop','Mail Stop:','This Customer''s Mail Stop','T','F','T',20,'Mail Stop:','This Customer''s Mail Stop','T','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','name','name','Name:','The Name of the person to  contact at this company.','T','F','T',50,'Name:','The Name of the person to  contact at this company.','T','F',50,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','note_text','note_text','Notes:','Notes about this company.','T','F','T',255,'Notes:','Notes about this company.','T','F',255,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','phone_number','phone_number','Phone:','The Phone number of the contact at this company.','T','F','T',20,'Phone:','The Phone number of the contact at this company.','T','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','postal_code','postal_code','Postal Code:','This Customer''s Postal Code.','T','F','T',10,'Postal Code:','This Customer''s Postal Code.','T','F',10,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','record_type','record_type','Address Type:','Address type can be one of the followings: billing, mailing, corporate shipping, and etc','T','T','F',50,'Address Type:','Address type can be one of the followings: billing, mailing, corporate shipping, and etc','T','T',50,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','state','state','State:','The State this Customer is in.','T','F','T',50,'State:','The State this Customer is in.','T','F',50,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdefdate1','usrdefdate1','Custom Date 1:','Enter a custom date.','F','F','T',20,'Custom Date 1:','Enter a custom date.','F','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdefdate2','usrdefdate2','Custom Date 2:','Enter a custom date.','F','F','T',20,'Custom Date 2:','Enter a custom date.','F','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdefdate3','usrdefdate3','Custom Date 3:','Enter a custom date.','F','F','T',20,'Custom Date 3:','Enter a custom date.','F','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdefdate4','usrdefdate4','Custom Date 4:','Enter a custom date.','F','F','T',20,'Custom Date 4:','Enter a custom date.','F','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdefdate5','usrdefdate5','Custom Date 5:','Enter a custom date.','F','F','T',20,'Custom Date 5:','Enter a custom date.','F','F',20,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdefnumber1','usrdefnumber1','Custom Number 1:','Enter a custom number.','F','F','T',11,'Custom Number 1:','Enter a custom number.','F','F',11,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdefnumber2','usrdefnumber2','Custom Number 2:','Enter a custom number.','F','F','T',11,'Custom Number 2:','Enter a custom number.','F','F',11,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdefnumber3','usrdefnumber3','Custom Number 3:','Enter a custom number.','F','F','T',11,'Custom Number 3:','Enter a custom number.','F','F',11,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdefnumber4','usrdefnumber4','Custom Number 4:','Enter a custom number.','F','F','T',11,'Custom Number 4:','Enter a custom number.','F','F',11,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdefnumber5','usrdefnumber5','Custom Number 5:','Enter a custom number.','F','F','T',11,'Custom Number 5:','Enter a custom number.','F','F',11,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdeftext1','usrdeftext1','Custom Text 1:','Enter custom text.','F','F','T',100,'Custom Text 1:','Enter custom text.','F','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdeftext10','usrdeftext10','Custom Text 10:','Enter custom text.','F','F','T',100,'Custom Text 10:','Enter custom text.','F','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdeftext2','usrdeftext2','Custom Text 2:','Enter custom text.','F','F','T',100,'Custom Text 2:','Enter custom text.','F','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdeftext3','usrdeftext3','Custom Text 3:','Enter custom text.','F','F','T',100,'Custom Text 3:','Enter custom text.','F','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdeftext4','usrdeftext4','Custom Text 4:','Enter custom text.','F','F','T',100,'Custom Text 4:','Enter custom text.','F','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdeftext5','usrdeftext5','Custom Text 5:','Enter custom text.','F','F','T',100,'Custom Text 5:','Enter custom text.','F','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdeftext6','usrdeftext6','Custom Text 6:','Enter custom text.','F','F','T',100,'Custom Text 6:','Enter custom text.','F','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdeftext7','usrdeftext7','Custom Text 7:','Enter custom text.','F','F','T',100,'Custom Text 7:','Enter custom text.','F','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdeftext8','usrdeftext8','Custom Text 8:','Enter custom text.','F','F','T',100,'Custom Text 8:','Enter custom text.','F','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (102,'Label','usrdeftext9','usrdeftext9','Custom Text 9:','Enter custom text.','F','F','T',100,'Custom Text 9:','Enter custom text.','F','F',100,null,null,null,1,2,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Add','110','Add','Click to add items into inventory.','T','T','T',30,'Add','Click to add items into inventory.','T','T',30,10,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Adjust','17','Adjust','Click to adjust the inventory.','T','T','T',null,'Adjust','Click to adjust the inventory.','T','T',null,1,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Admin Advanced Find','26','Advanced Find','To find a set of data using several criteria use Advanced Find.','T','T','T',null,'Advanced Find','To find a set of data using several criteria use Advanced Find.','T','T',null,16,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Admin Simple Find','25','Find','To find data in a table based on one search parameter use Find.','T','T','T',null,'Find','To find data in a table based on one search parameter use Find.','T','T',null,16,null,1,1,1,'T','1','1');
GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Administration','3','Administration','Restricted area which allows user to perform administrative functions, such as setting up company information, granting user logon privileges etc.','T','T','F',null,'Administration','Restricted area which allows user to perform administrative functions, such as setting up company information, granting user logon privileges etc.','T','T',null,0,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Archive Transactions','79','Archive Transactions','Click to archive transactions. Use this feature to speed up the database.','T','T','T',null,'Archive Transactions','Click to archive transactions. Use this feature to speed up the database.','T','T',null,7,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Audit','15','Audit','The items in this tree allow you to manage the audit process.','T','T','T',null,'Audit','The items in this tree allow you to manage the audit process.','T','T',null,1,null,9,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Backup','77','Backup','Click to backup the database.','T','T','F',null,'Backup','Click to backup the database.','T','T',null,7,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Change Password','81','Change Password','Click to change your password.','T','T','T',null,'Change Password','Click to change your password.','T','T',null,21,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Check-In','13','Check-In','Click to check items back into inventory.','T','T','T',null,'Check-In','Click to check items back into inventory.','T','T',null,1,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Check-Out','14','Check-Out','Click to check items out of inventory.','T','T','T',null,'Check-Out','Click to check items out of inventory.','T','T',null,1,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Company Information','18','Company Information','Click to view and edit company information.','T','T','T',null,'Company Information','Click to view and edit company information.','T','T',null,3,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Customer Labels','91','Customer Labels','Customer Labels.','T','T','T',null,'Customer Labels','Customer Labels.','T','T',null,4,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Customize Names','22','Customize Names','The items in this tree allow you to customize the labels you see in some trees.','T','T','T',null,'Customize Names','The items in this tree allow you to customize the labels you see in some trees.','T','T',null,3,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Database Management','7','Database Management','The items in this tree are restricted to users with administration privalages. This tree allows you to  manage the database, such as backup/restore database, purge database transactions and etc.','T','T','F',null,'Database Management','The items in this tree are restricted to users with administration privalages. This tree allows you to  manage the database, such as backup/restore database, purge database transactions and etc.','T','T',null,3,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','DoAudit','98','Audit','Click to enter audit counts.','T','T','T',null,'Audit','Click to enter audit counts.','T','T',null,15,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','End Audit','97','End Audit','Click to end the audit.','T','T','T',null,'End Audit','Click to end the audit.','T','T',null,15,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Export Wizard','40','Export Wizard','Click to export data from the database.','T','T','F',null,'Export Wizard','Click to export data from the database.','T','T',null,20,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Falcon','61','Falcon','The items in this tree allow you to manage the Falcon unit.','T','T','T',null,'Falcon','The items in this tree allow you to manage the Falcon unit.','T','T',null,6,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Falcon Create Database','70','Create Database','Click to create the database for the Falcon.','T','T','T',null,'Create Database','Click to create the database for the Falcon.','T','T',null,61,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Falcon PC to PDT','71','PC to PDT','Click to transfer the database from the  PC to the Falcon.','T','T','T',null,'PC to PDT','Click to transfer the database from the  PC to the Falcon.','T','T',null,61,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Falcon PDT to PC','72','PDT to PC','Click to transfer the Falcon data to the PC.','T','T','T',null,'PDT to PC','Click to transfer the Falcon data to the PC.','T','T',null,61,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Falcon Setup','69','Setup','Click to setup the Falcon unit and its connection to the PC.','T','T','T',null,'Setup','Click to setup the Falcon unit and its connection to the PC.','T','T',null,61,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Import / Export Wizard','20','Import / Export Wizard','The items in this tree allow you to import data into the database or export data from the database.','T','T','F',null,'Import / Export Wizard','The items in this tree allow you to import data into the database or export data from the database.','T','T',null,3,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Import Wizard','39','Import Wizard','Click to import data into the database.','T','T','F',null,'Import Wizard','Click to import data into the database.','T','T',null,20,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Inventory Advanced Find','89','Advanced Find','To find a set of data using several criteria use Advanced Find.','T','T','T',null,'Advanced Find','To find a set of data using several criteria use Advanced Find.','T','T',null,8,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Inventory Find','8','Find','To find data in a table based on one search parameter use Find.','T','T','F',null,'Find','To find data in a table based on one search parameter use Find.','T','T',null,1,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Inventory Management','1','Inventory Management','The items in this tree allow you to manage your inventory.','T','T','F',null,'Inventory Management','The items in this tree allow you to manage your inventory.','T','T',null,0,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Inventory New','9','New','The items in this tree allow you to create new entries in the database.','T','T','F',null,'New','The items in this tree allow you to create new entries in the database.','T','T',null,1,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Inventory New Location','92','Location','Click to add a new Location.','T','T','T',null,'Location','Click to add a new Location.','T','T',null,9,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Inventory New Manufacturer','94','Manufacturer','Click to add a new Manufacturer.','T','T','T',null,'Manufacturer','Click to add a new Manufacturer.','T','T',null,9,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Inventory New Site','93','Site','Click to add a new Site.','T','T','T',null,'Site','Click to add a new Site.','T','T',null,9,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Inventory Simple Find','88','Find','To find data in a table based on one search parameter use Find.','T','T','F',null,'Find','To find data in a table based on one search parameter use Find.','T','T',null,8,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Invoice Detail List','99','Pick Ticket (Invoice) Detail','Click to view the Invoice Detail list.','T','T','T',null,'Pick Ticket (Invoice) Detail','Click to view the Invoice Detail list.','T','T',null,19,null,11,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Item Receipt Summary','37','Item Receipt (Purchase Order) Detail','Click to view the Item Receipt Summary list.','T','T','T',null,'Item Receipt (Purchase Order) Detail','Click to view the Item Receipt Summary list.','T','T',null,19,null,9,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Labels','4','Labels','The items in this tree allow you to view, print, edit and create new labels.','T','T','F',null,'Labels','The items in this tree allow you to view, print, edit and create new labels.','T','T',null,0,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','License Management','23','License Management','Click to manage the product licenses.','T','T','T',null,'License Management','Click to manage the product licenses.','T','T',null,3,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','List Customers','34','Customers','Click to view a Customer list.','T','T','T',null,'Customers','Click to view a Customer list.','T','T',null,19,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','List Inventory','31','Inventory','Click to see an Inventory list.','T','T','T',null,'Inventory','Click to see an Inventory list.','T','T',null,19,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','List Item','30','Items','Click to see an Item list.','T','T','T',null,'Items','Click to see an Item list.','T','T',null,19,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','List Locations','33','Locations','Click to see a Location list.','T','T','T',null,'Locations','Click to see a Location list.','T','T',null,19,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','List Manufacturers','36','Manufacturers','Click to see a Manufacturer list.','T','T','T',null,'Manufacturers','Click to see a Manufacturer list.','T','T',null,19,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','List Purchase Order','38','Item Receipt (Purchase Order) Summary','Click to see a Purchase Order list.','T','T','T',null,'Item Receipt (Purchase Order) Summary','Click to see a Purchase Order list.','T','T',null,19,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','List Sites','32','Sites','Click to see a Site list.','T','T','T',null,'Sites','Click to see a Site list.','T','T',null,19,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','List Suppliers','35','Suppliers','Click to see a Supplier list.','T','T','T',null,'Suppliers','Click to see a Supplier list.','T','T',null,19,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Lists','19','List Forms','The items in this tree allow you to view lists of the data in this database.','T','T','F',30,'List Forms','The items in this tree allow you to view lists of the data in this database.','T','T',30,0,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Location Labels','90','Location Labels','Location Labels.','T','T','T',null,'Location Labels','Location Labels.','T','T',null,4,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Mobility','6','Mobility','The items in this tree allow you to manage your mobile devices.','T','T','F',null,'Mobility','The items in this tree allow you to manage your mobile devices.','T','T',null,0,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Move','12','Move','Click to Move inventory from one place to another.','T','T','T',null,'Move','Click to Move inventory from one place to another.','T','T',null,1,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Options','24','Options','Click to change the options for this program.','T','T','T',null,'Options','Click to change the options for this program.','T','T',null,3,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','PDA','60','Mobile Palm Device','The items in this tree allow you to manage your Mobile Palm Devices and data.','T','T','T',null,'Mobile Palm Device','The items in this tree allow you to manage your Mobile Palm Devices and data.','T','T',null,6,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','PDA Create Database','66','Create PDA Database','Click to create the PDA database.','T','T','T',null,'Create PDA Database','Click to create the PDA database.','T','T',null,60,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','PDA Customize PDA Interface','65','Customize PDA Interface','Click to customize the PDA interface.','T','T','T',null,'Customize PDA Interface','Click to customize the PDA interface.','T','T',null,60,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','PDA PC to PDA','67','PC to PDA','Click to prepare the PC to receive data from the PDA.','T','T','T',null,'PC to PDA','Click to prepare the PC to receive data from the PDA.','T','T',null,60,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','PDA PDA to PC','68','PDA to PC','Click to prepare the PC to send data to the PDA.','T','T','T',null,'PDA to PC','Click to prepare the PC to send data to the PDA.','T','T',null,60,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','PDA Setup','64','Send Program to PDA','Click to setup the PDA and send this program to the PDA.','T','T','T',null,'Send Program to PDA','Click to setup the PDA and send this program to the PDA.','T','T',null,60,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Pick Tickets Summary','101','Pick Ticket (Invoice) Summary','Click to view the Pick Ticket Summary list.','T','T','T',null,'Pick Ticket (Invoice) Summary','Click to view the Pick Ticket Summary list.','T','T',null,19,null,10,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Picking','11','Picking','The items in this tree provide functionality to Pick items from inventory.','T','T','T',null,'Picking','The items in this tree provide functionality to Pick items from inventory.','T','T',null,1,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','PrintItemReceipts','111','Print Item Receipts','Click to print reciepts for all the POs that are waiting for some quantity to be received.','T','T','T',null,'Print Item Receipts','Click to print reciepts for all the POs that are waiting for some quantity to be received.','T','T',null,10,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','PrintPickReceipt','103','Print Pick Receipts','Click to print receipts for all the active Invoices with some quantity picked for them.','T','T','T',null,'Print Pick Receipts','Click to print receipts for all the active Invoices with some quantity picked for them.','T','T',null,11,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Process Mobile Device Data','63','Process Mobile Device Data','Click to process data received from a mobile device into the database.','T','T','T',null,'Process Mobile Device Data','Click to process data received from a mobile device into the database.','T','T',null,6,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','QBCompare','204','Compare Inventories','Click to compare the QuickBooks inventory counts with the quantities in this database.','T','T','T',null,'Compare Inventories','Click to compare the QuickBooks inventory counts with the quantities in this database.','T','T',null,2,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','QBImport','202','Transfer Data from QuickBooks','Click to transfer the QuickBooks Data (Items, Vendors, Customers, Purchase Orders, etc.) to this database.','T','T','T',null,'Transfer Data from QuickBooks','Click to transfer the QuickBooks Data (Items, Vendors, Customers, Purchase Orders, etc.) to this database.','T','T',null,2,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','QBPickTicket','205','Commit  Pick Tickets to QuickBooks','Click to update and mark as final Invoices that have been picked.','T','T','T',null,'Commit  Pick Tickets to QuickBooks','Click to update and mark as final Invoices that have been picked.','T','T',null,2,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','QBPrintPickTickets','206','Print Pick Tickets','Click to print Pick Tickets for Invoices that are waiting to be picked.','T','T','T',null,'Print Pick Tickets','Click to print Pick Tickets for Invoices that are waiting to be picked.','T','T',null,11,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','QBPurchase','203','Print Item Receipts for QuickBooks Data Entry','Click to Print Item Receipts to be entered into QuickBooks.','T','T','T',null,'Print Item Receipts for QuickBooks Data Entry','Click to Print Item Receipts to be entered into QuickBooks.','T','T',null,2,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','QBSetup','201','Setup Connection to QuickBooks','Click to setup the connection between this application and QuickBooks.','T','T','T',null,'Setup Connection to QuickBooks','Click to setup the connection between this application and QuickBooks.','T','T',null,2,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','QuickBooks','2','Integrate with QuickBooks','The items in this tree allow you to manage the relationship between this application and QuickBooks.','T','T','F',null,'Integrate with QuickBooks','The items in this tree allow you to manage the relationship between this application and QuickBooks.','T','T',null,0,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Receiving','10','Receiving','The items in this tree provide functionality to Receive items into inventory.','T','T','T',30,'Receiving','The items in this tree provide functionality to Receive items into inventory.','T','T',30,1,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Reconcile','96','Reconcile','Click to Reconcile all audited counts before commiting them to the database.','T','T','T',null,'Reconcile','Click to Reconcile all audited counts before commiting them to the database.','T','T',null,15,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Remove','100','Remove','Click to Remove items from inventory.','T','T','T',null,'Remove','Click to Remove items from inventory.','T','T',null,11,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Rename Add','41','Add','Rename the label for Add','T','T','T',null,'Add','Rename the label for Add','T','T',null,22,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Rename Adjust','49','Adjust','Rename the label for Adjust.','T','T','T',null,'Adjust','Rename the label for Adjust.','T','T',null,22,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Rename Audit','46','Audit','Rename the label for Audit.','T','T','T',null,'Audit','Rename the label for Audit.','T','T',null,22,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Rename Check-In','45','Check-In','Rename the label for Check-In.','T','T','T',null,'Check-In','Rename the label for Check-In.','T','T',null,22,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Rename Check-Out','44','Check-Out','Rename the label for Check-Out.','T','T','T',null,'Check-Out','Rename the label for Check-Out.','T','T',null,22,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Rename Company Information','48','Company Info','Rename the label for Company Information.','T','T','T',null,'Company Info','Rename the label for Company Information.','T','T',null,22,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Rename Move','43','Move','Rename the label for Move.','T','T','T',null,'Move','Rename the label for Move.','T','T',null,22,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Rename Remove','42','Remove','Rename the label forRemove.','T','T','T',null,'Remove','Rename the label forRemove.','T','T',null,22,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Reports','5','Reports','The items in this tree allow you to view and print various reports.','T','T','F',null,'Reports','The items in this tree allow you to view and print various reports.','T','T',null,0,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Reset All Field Names','80','Reset All Field Names','Click to reset all field names to the factory defaults.','T','T','T',null,'Reset All Field Names','Click to reset all field names to the factory defaults.','T','T',null,22,null,9,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Restore','78','Restore','Click to restore a backup of the datbase.','T','T','T',null,'Restore','Click to restore a backup of the datbase.','T','T',null,7,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Security','21','Security','Click to manage the security of users.','T','T','F',30,'Security','Click to manage the security of users.','T','T',30,3,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Select Site','47','Set Default Working Site','Click to set default source and destination sites.','T','T','T',null,'Set Default Working Site','Click to set default source and destination sites.','T','T',null,3,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','Start Audit','95','Start Audit','Click to start an audit.','T','T','T',null,'Start Audit','Click to start an audit.','T','T',null,15,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','User Management','16','User Management','Click to manage the security of users.','T','T','T',null,'User Management','Click to manage the security of users.','T','T',null,21,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','WDT2200','62','WDT2200','Items in this tree allow you to manage the WDT2200 device.','T','T','T',null,'WDT2200','Items in this tree allow you to manage the WDT2200 device.','T','T',null,6,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','WDT2200 Create Database','74','Create Database','Click to create the database for the WDT2200.','T','T','T',null,'Create Database','Click to create the database for the WDT2200.','T','T',null,62,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','WDT2200 PC to PDT','75','PC to PDT','Click to send data to the WDT2200.','T','T','T',null,'PC to PDT','Click to send data to the WDT2200.','T','T',null,62,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','WDT2200 PDT to PC','76','PDT to PC','Click to recieve data from the WDT2200.','T','T','T',null,'PDT to PC','Click to recieve data from the WDT2200.','T','T',null,62,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (200,'TreeNode','WDT2200 Setup','73','Setup','Click to setup the WDT2200.','T','T','T',null,'Setup','Click to setup the WDT2200.','T','T',null,62,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Title','Add','na','Add','na',null,null,'T',null,'Add','na',null,null,null,null,null,0,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Label','alt_item_number','alt_item_number','Alt #:','Alt Item Number','T','T','T',30,'Alt #:','Alt Item Number','T','T',30,null,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Label','date_code','date_code','Date Code:','Date Code',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Label','desc','description','Desc:','Description','T','T','T',30,'Desc:','Description','T','T',30,null,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Label','item_number','item_number','Item #:','Item Number','T','T','T',30,'Item #:','Item Number','T','T',30,null,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Label','location','location','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Label','lot','lot','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Label','pallet','pallet','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,9,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Label','po','po','PO:','PO',null,null,'T',null,'PO:','PO',null,null,null,null,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Label','quantity','quantity','Qty:','Receive Qty',null,null,'T',null,'Qty:','Receive Qty',null,null,null,null,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Label','serial_no','serial_number','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1000,'Label','supplier','supplier','Supplier:','',null,null,'T',null,'Supplier:','',null,null,null,null,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1001,'Label','alt_item_number','alt_item_number','Alt #:','Alt Item Number','T','T','T',30,'Alt #:','Alt Item Number','T','T',30,null,null,3,1,1,'T','1','1');
GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1001,'Label','customer','customer','Customer:','Customer',null,null,'T',null,'Customer:','Customer',null,null,null,null,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1001,'Label','date_code','date_code','Date Code:','Date Code',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1001,'Label','desc','description','Desc:','Description','T','T','T',30,'Desc:','Description','T','T',30,null,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1001,'Label','item_number','item_number','Item #:','Item Number','T','T','T',30,'Item #:','Item Number','T','T',30,null,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1001,'Label','location','location','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1001,'Label','lot','lot','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1001,'Label','pallet','pallet','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,9,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1001,'Label','quantity','quantity','Qty:','Quantity',null,null,'T',null,'Qty:','Quantity',null,null,null,null,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1001,'Title','Remove','na','Remove','na',null,null,'T',null,'Remove','na',null,null,null,null,null,0,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1001,'Label','serial_no','serial_number','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1002,'Label','alt_item_number','alt_item_number','Alt #:','Alt Item Number','T','T','T',30,'Alt #:','Alt Item Number','T','T',30,null,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1002,'Label','date_code','date_code','Date Code:','Date Code',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,9,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1002,'Label','desc','description','Desc:','Description','T','T','T',30,'Desc:','Description','T','T',30,null,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1002,'Label','from_location','from_location','From:','From',null,null,'T',null,'From:','From',null,null,null,null,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1002,'Label','item_number','item_number','Item #:','Item Number','T','T','T',30,'Item #:','Item Number','T','T',30,null,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1002,'Label','lot','lot','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1002,'Title','Move','na','Move','na',null,null,'T',null,'Move','na',null,null,null,null,null,0,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1002,'Label','pallet','pallet','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,10,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1002,'Label','quantity','quantity','Mov Qty:','Mov Qty',null,null,'T',null,'Mov Qty:','Mov Qty',null,null,null,null,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1002,'Label','serial_no','serial_number','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1002,'Label','to_location','to_location','To:','To Location',null,null,'T',null,'To:','To Location',null,null,null,null,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1003,'Label','alt_item_number','alt_item_number','Alt #:','Alt Item Number','T','T','T',30,'Alt #:','Alt Item Number','T','T',30,null,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1003,'Title','Audit','na','Audit','na',null,null,'T',null,'Audit','na',null,null,null,null,null,0,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1003,'Label','date_code','date_code','Date Code:','Date Code',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1003,'Label','desc','description','Desc:','Description','T','T','T',30,'Desc:','Description','T','T',30,null,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1003,'Label','item_number','item_number','Item #:','Item Number','T','T','T',30,'Item #:','Item Number','T','T',30,null,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1003,'Label','location','location','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1003,'Label','lot','lot','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1003,'Label','pallet','pallet','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1003,'Label','quantity','quantity','Count:','Count',null,null,'T',null,'Count:','Count',null,null,null,null,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1003,'Label','serial_no','serial_number','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1003,'Label','trancode','trancode','TranCode:','Transaction Code',null,null,'T',null,'TranCode:','Transaction Code',null,null,null,null,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','absolute_adjust','absolute_adjust','By Count','Pick a reason from the list for adjustment','T','F','T',25,'By Count','Pick a reason from the list for adjustment','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Title','Adjust','na','Adjust','na',null,null,'T',null,'Adjust','na',null,null,null,null,null,0,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','alt_item_number','alt_item_number','Alt #:','Alt Item Number','T','T','T',30,'Alt #:','Alt Item Number','T','T',30,null,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','date_code','date_code','Date Code:','Date Code',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','desc','description','Desc:','Description','T','T','T',30,'Desc:','Description','T','T',30,null,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','diff_type','diff_type','Adjust:','Adjust Type',null,null,'T',null,'Adjust:','Adjust Type',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','item_number','item_number','Item #:','Item Number','T','T','T',30,'Item #:','Item Number','T','T',30,null,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','location','location','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','lot','lot','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','pallet','pallet','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,9,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','quantity','quantity','Qty:','Qty',null,null,'T',null,'Qty:','Qty',null,null,null,null,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','reason','reason','Reason:','Reason',null,null,'T',null,'Reason:','Reason',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','relative_adjust','relative_adjust','By Diff','Pick a reason from the list for adjustment','T','F','T',25,'By Diff','Pick a reason from the list for adjustment','T','F',25,null,null,null,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','serial_no','serial_number','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1004,'Label','trancode','trancode','TranCode:','Transaction Code',null,null,'T',null,'TranCode:','Transaction Code',null,null,null,null,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1005,'Label','alt_item_number','alt_item_number','Alt #:','Alt Item Number','T','T','T',30,'Alt #:','Alt Item Number','T','T',30,null,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1005,'Label','date_code','date_code','Date Code:','Date Code',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1005,'Label','desc','description','Desc:','Description','T','T','T',30,'Desc:','Description','T','T',30,null,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1005,'Title','Details','na','Details','na',null,null,'T',null,'Details','na',null,null,null,null,null,0,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1005,'Label','item_number','item_number','Item #:','Item Number','T','T','T',30,'Item #:','Item Number','T','T',30,null,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1005,'Label','location','location','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1005,'Label','lot','log','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1005,'Label','pallet','pallet','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,9,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1005,'Label','serial_no','serial_number','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1006,'Label','alt_item_number','alt_item_number','Alt #:','Alt Item Number','T','T','T',30,'Alt #:','Alt Item Number','T','T',30,null,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1006,'Label','desc','description','Desc:','Description','T','T','T',30,'Desc:','Description','T','T',30,null,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1006,'Label','item_number','item_number','Item #:','Item Number','T','T','T',30,'Item #:','Item Number','T','T',30,null,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1006,'Label','location','location','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1006,'Label','po','po','PO:','PO',null,null,'T',null,'PO:','PO',null,null,null,null,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1006,'Label','quantity','quantity','Add Qty:','Add Qty',null,null,'T',null,'Add Qty:','Add Qty',null,null,null,null,null,8,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1006,'Title','Review - Add','na','Review Receive','na','T','T','T',null,'Review Receive','na','T','T',null,null,null,0,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1006,'Label','serial_no','serial_number','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1006,'Label','supplier','supplier','Supplier:',null,null,null,'T',null,'Supplier:',null,null,null,null,null,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1007,'Label','alt_item_number','alt_item_number','Alt #:','Alt Item Number','T','T','T',30,'Alt #:','Alt Item Number','T','T',30,null,null,3,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1007,'Label','customer','customer','Customer:','Customer',null,null,'T',null,'Customer:','Customer',null,null,null,null,null,5,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1007,'Label','desc','description','Desc:','Description','T','T','T',30,'Desc:','Description','T','T',30,null,null,2,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1007,'Label','item_number','item_number','Item #:','Item Number','T','T','T',30,'Item #:','Item Number','T','T',30,null,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1007,'Label','location','location','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,4,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1007,'Label','quantity','quantity','Qty:','Quantity',null,null,'T',null,'Qty:','Quantity',null,null,null,null,null,7,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1007,'Title','Review - Remove','na','Review Pick','na','T','T','T',null,'Review Pick','na','T','T',null,null,null,0,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (1007,'Label','serial_no','serial_number','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,6,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10000,null,'about',null,'About',null,null,null,'T',null,'About',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10000,null,'add',null,'Add',null,null,null,'T',null,'Add',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10000,null,'adjust',null,'Adjust',null,null,null,'T',null,'Adjust',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10000,null,'audit',null,'Audit',null,null,null,'T',null,'Audit',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10000,null,'details',null,'Details',null,null,null,'T',null,'Details',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10000,null,'move',null,'Move',null,null,null,'T',null,'Move',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10000,null,'recv_from_pc',null,'Receive From PC',null,null,null,'T',null,'Receive From PC',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10000,null,'remove',null,'Remove',null,null,null,'T',null,'Remove',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10000,null,'send_to_pc',null,'Send To PC',null,null,null,'T',null,'Send To PC',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10000,null,'site_config',null,'Site Config',null,null,null,'T',null,'Site Config',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10000,null,'title',null,'MobileInventory',null,null,null,'T',null,'MobileInventory',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10001,null,'date_code',null,'Date Code:',null,null,null,'T',null,'Date Code:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10001,null,'item_no',null,'Item #:',null,null,null,'T',null,'Item #:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10001,null,'location',null,'Location:',null,null,null,'T',null,'Location:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10001,null,'lot',null,'Lot:',null,null,null,'T',null,'Lot:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10001,null,'pallet',null,'Pallet:',null,null,null,'T',null,'Pallet:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10001,null,'po',null,'PO:',null,null,null,'T',null,'PO:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10001,null,'quantity',null,'Qty:',null,null,null,'T',null,'Qty:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10001,null,'sn',null,'SN:',null,null,null,'T',null,'SN:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10001,null,'supplier',null,'Supplier:',null,null,null,'T',null,'Supplier:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10001,null,'title',null,'Add',null,null,null,'T',null,'Add',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10002,null,'customer',null,'Customer:',null,null,null,'T',null,'Customer:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10002,null,'date_code',null,'Date Code:',null,null,null,'T',null,'Date Code:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10002,null,'item_no',null,'Item #:',null,null,null,'T',null,'Item #:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10002,null,'location',null,'Location:',null,null,null,'T',null,'Location:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10002,null,'lot',null,'Lot:',null,null,null,'T',null,'Lot:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10002,null,'pallet',null,'Pallet:',null,null,null,'T',null,'Pallet:',null,null,null,null,null,null,null,null,null,'T','1','1');
GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10002,null,'quantity',null,'Qty:',null,null,null,'T',null,'Qty:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10002,null,'sn',null,'SN:',null,null,null,'T',null,'SN:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10002,null,'title',null,'Remove',null,null,null,'T',null,'Remove',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10003,null,'date_code',null,'Date Code:',null,null,null,'T',null,'Date Code:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10003,null,'from',null,'From:',null,null,null,'T',null,'From:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10003,null,'item_no',null,'Item #:',null,null,null,'T',null,'Item #:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10003,null,'lot',null,'Lot:',null,null,null,'T',null,'Lot:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10003,null,'pallet',null,'Pallet:',null,null,null,'T',null,'Pallet:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10003,null,'quantity',null,'Qty:',null,null,null,'T',null,'Qty:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10003,null,'sn',null,'SN:',null,null,null,'T',null,'SN:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10003,null,'title',null,'Move',null,null,null,'T',null,'Move',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10003,null,'to',null,'To:',null,null,null,'T',null,'To:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10004,null,'date_code',null,'Date Code:',null,null,null,'T',null,'Date Code:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10004,null,'item_no',null,'Item #:',null,null,null,'T',null,'Item #:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10004,null,'location',null,'Location:',null,null,null,'T',null,'Location:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10004,null,'lot',null,'Lot:',null,null,null,'T',null,'Lot:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10004,null,'pallet',null,'Pallet:',null,null,null,'T',null,'Pallet:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10004,null,'quantity',null,'Qty:',null,null,null,'T',null,'Qty:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10004,null,'sn',null,'SN:',null,null,null,'T',null,'SN:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10004,null,'title',null,'Adjust',null,null,null,'T',null,'Adjust',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10005,null,'date_code',null,'Date Code:',null,null,null,'T',null,'Date Code:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10005,null,'item_no',null,'Item #:',null,null,null,'T',null,'Item #:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10005,null,'location',null,'Location:',null,null,null,'T',null,'Location:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10005,null,'lot',null,'Lot:',null,null,null,'T',null,'Lot:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10005,null,'pallet',null,'Pallet:',null,null,null,'T',null,'Pallet:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10005,null,'sn',null,'SN:',null,null,null,'T',null,'SN:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10005,null,'title',null,'Details',null,null,null,'T',null,'Details',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10006,null,'date_code',null,'Date Code:',null,null,null,'T',null,'Date Code:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10006,null,'item_no',null,'Item #:',null,null,null,'T',null,'Item #:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10006,null,'location',null,'Location:',null,null,null,'T',null,'Location:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10006,null,'lot',null,'Lot:',null,null,null,'T',null,'Lot:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10006,null,'pallet',null,'Pallet:',null,null,null,'T',null,'Pallet:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10006,null,'quantity',null,'Qty:',null,null,null,'T',null,'Qty:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10006,null,'sn',null,'SN:',null,null,null,'T',null,'SN:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10006,null,'title',null,'Audit',null,null,null,'T',null,'Audit',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10008,null,'source_site',null,'Source Site',null,null,null,'T',null,'Source Site',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10008,null,'title',null,'Site Configuration',null,null,null,'T',null,'Site Configuration',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10008,null,'to_site',null,'Destination Site',null,null,null,'T',null,'Destination Site',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10010,null,'count',null,'Count:',null,null,null,'T',null,'Count:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10010,null,'sn',null,'SN:',null,null,null,'T',null,'SN:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10011,null,'quantity',null,'Quantity:',null,null,null,'T',null,'Quantity:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10011,null,'quantity_total',null,'Quantity Total:',null,null,null,'T',null,'Quantity Total:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10012,null,'item_no',null,'Item #:',null,null,null,'T',null,'Item #:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10012,null,'quantity',null,'Quantity:',null,null,null,'T',null,'Quantity:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10012,null,'transaction_count',null,'Transaction Count:',null,null,null,'T',null,'Transaction Count:',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'about',null,'About',null,null,null,'T',null,'About',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,'','add',null,'Add',null,null,null,'T',null,'Add',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'adjust',null,'Adjust',null,null,null,'T',null,'Adjust',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'audit',null,'Audit',null,null,null,'T',null,'Audit',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'details',null,'Details',null,null,null,'T',null,'Details',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'logout',null,'LOGOUT',null,null,null,'T',null,'LOGOUT',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'move',null,'Move',null,null,null,'T',null,'Move',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'receive',null,'Receive',null,null,null,'T',null,'Receive',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'recv_from_pc',null,'Receive from PC',null,null,null,'T',null,'Receive from PC',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'remove',null,'Remove',null,null,null,'T',null,'Remove',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'send_to_pc',null,'Send to PC',null,null,null,'T',null,'Send to PC',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'ship',null,'Pick',null,null,null,'T',null,'Pick',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'site_config',null,'Site Config',null,null,null,'T',null,'Site Config',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'stage',null,'Stage',null,null,null,'T',null,'Stage',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10100,null,'title',null,'MobileInventory',null,null,null,'T',null,'MobileInventory',null,null,null,null,null,null,null,null,null,'T','1','1');

GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10101,null,'date_code','track_date_codes','Date Code',null,null,null,'T',null,'Date Code',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10101,null,'item_no','item_number','Item #','',null,null,'T',null,'Item #',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10101,null,'location','code','Location','',null,null,'T',null,'Location',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10101,null,'lot','track_lots','Lot','',null,null,'T',null,'Lot',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10101,null,'pallet','track_pallets','Pallet','',null,null,'T',null,'Pallet',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10101,null,'po','track_pos','Ref #',null,null,null,'T',null,'Ref #',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10101,null,'quantity','quantity','Qty',null,null,null,'T',null,'Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10101,null,'sn','track_serial_numbers','SN','',null,null,'T',null,'SN',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10101,null,'supplier','supplier','Supplier',null,null,null,'T',null,'Supplier',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10101,null,'title',null,'Add',null,null,null,'T',null,'Add',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10102,null,'customer','track_customers','Customer',null,null,null,'T',null,'Customer',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10102,null,'date_code','track_date_codes','Date Code','Enter the Date Code for this item.',null,null,'T',null,'Date Code',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10102,null,'item_no','item_number','Item #','',null,null,'T',null,'Item #',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10102,null,'location','code','Location','',null,null,'T',null,'Location',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10102,null,'lot','track_lots','Lot','',null,null,'T',null,'Lot',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10102,null,'pallet','track_pallets','Pallet','',null,null,'T',null,'Pallet',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10102,null,'quantity','quantity','Qty',null,null,null,'T',null,'Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10102,null,'sn','track_serial_numbers','SN','',null,null,'T',null,'SN',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10102,null,'title',null,'Remove',null,null,null,'T',null,'Remove',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10103,null,'date_code','track_date_codes','Date Code',null,null,null,'T',null,'Date Code',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10103,null,'from',null,'From',null,null,null,'T',null,'From',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10103,null,'item_no','item_number','Item #','',null,null,'T',null,'Item #',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10103,null,'lot','track_lots','Lot','',null,null,'T',null,'Lot',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10103,null,'pallet','track_pallets','Pallet','',null,null,'T',null,'Pallet',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10103,null,'quantity','quantity','Qty',null,null,null,'T',null,'Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10103,null,'sn','track_serial_numbers','SN','',null,null,'T',null,'SN',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10103,null,'title',null,'Move',null,null,null,'T',null,'Move',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10103,null,'to',null,'To',null,null,null,'T',null,'To',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10104,null,'date_code','track_date_codes','Date Code','',null,null,'T',null,'Date Code',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10104,null,'item_no','item_number','Item #','',null,null,'T',null,'Item #',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10104,null,'location','code','Location','',null,null,'T',null,'Location',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10104,null,'lot','track_lots','Lot','',null,null,'T',null,'Lot',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10104,null,'pallet','track_pallets','Pallet','',null,null,'T',null,'Pallet',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10104,null,'quantity','quantity','Qty',null,null,null,'T',null,'Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10104,null,'sn','track_serial_numbers','SN','',null,null,'T',null,'SN',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10104,null,'title',null,'Adjust',null,null,null,'T',null,'Adjust',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10104,null,'trancode','trancode','TranCode','Transaction Code',null,null,'T',null,'TranCode','Transaction Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10105,null,'date_code','track_date_codes','Date Code','Enter the Date Code for this item.',null,null,'T',null,'Date Code',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10105,null,'item_no','item_number','Item #','',null,null,'T',null,'Item #',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10105,null,'location','code','Location','',null,null,'T',null,'Location',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10105,null,'lot','track_lots','Lot','',null,null,'T',null,'Lot',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10105,null,'pallet','track_pallets','Pallet','',null,null,'T',null,'Pallet',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10105,null,'sn','track_serial_numbers','SN','',null,null,'T',null,'SN',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10105,null,'title',null,'Details',null,null,null,'T',null,'Details',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10106,null,'date_code','track_date_codes','Date Code','',null,null,'T',null,'Date Code',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10106,null,'item_no','item_number','Item #','',null,null,'T',null,'Item #',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10106,null,'location','code','Location','',null,null,'T',null,'Location',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10106,null,'lot','track_lots','Lot','',null,null,'T',null,'Lot',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10106,null,'pallet','track_pallets','Pallet','',null,null,'T',null,'Pallet',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10106,null,'quantity','quantity','Qty',null,null,null,'T',null,'Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10106,null,'sn','track_serial_numbers','SN','',null,null,'T',null,'SN',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10106,null,'title',null,'Audit',null,null,null,'T',null,'Audit',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10106,null,'trancode','trancode','TranCode','Transaction Code',null,null,'T',null,'TranCode','Transaction Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10108,null,'source_site',null,'Source Site',null,null,null,'T',null,'Source Site',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10108,null,'title',null,'Site Configuration',null,null,null,'T',null,'Site Configuration',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10108,null,'to_site',null,'Destination Site',null,null,null,'T',null,'Destination Site',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10110,null,'count',null,'Count',null,null,null,'T',null,'Count',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10110,null,'sn','track_serial_numbers','SN','',null,null,'T',null,'SN',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10111,null,'quantity','quantity','Quantity',null,null,null,'T',null,'Quantity',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10111,null,'quantity_total',null,'Quantity Total',null,null,null,'T',null,'Quantity Total',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10112,null,'date_code','track_date_codes','Date Code','',null,null,'T',null,'Date Code',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10112,null,'from',null,'From',null,null,null,'T',null,'From',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10112,null,'item_no','item_number','Item #','',null,null,'T',null,'Item #',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10112,null,'lot','track_lots','Lot','',null,null,'T',null,'Lot',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10112,null,'orderno','order_number','Request Number',null,null,null,'T',null,'Request Number',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10112,null,'pallet','track_pallets','Pallet','',null,null,'T',null,'Pallet',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10112,null,'quantity','quantity','Quantity',null,null,null,'T',null,'Quantity',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10112,null,'sn','track_serial_numbers','SN','',null,null,'T',null,'SN',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10112,null,'title',null,'Stage',null,null,null,'T',null,'Stage',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10112,null,'to',null,'Stage Location',null,null,null,'T',null,'Stage Location',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10112,null,'transaction_count',null,'Transaction Count',null,null,null,'T',null,'Transaction Count',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10113,null,'date_code','track_date_codes','Date Code','Enter the Date Code for this item.',null,null,'T',null,'Date Code',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10113,null,'item_no','item_number','Item #','',null,null,'T',null,'Item #',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10113,null,'location','code','Location',null,null,null,'T',null,'Location',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10113,null,'lot','track_lots','Lot','',null,null,'T',null,'Lot',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10113,null,'pallet','track_pallets','Pallet','',null,null,'T',null,'Pallet',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10113,null,'po','track_pos','PO',null,null,null,'T',null,'PO',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10113,null,'quantity','quantity','Qty',null,null,null,'T',null,'Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10113,null,'sn','track_serial_numbers','SN','',null,null,'T',null,'SN',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10113,null,'supplier','supplier','Supplier',null,null,null,'T',null,'Supplier',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10113,null,'title',null,'Receive',null,null,null,'T',null,'Receive',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10114,null,'customer','track_customers','Customer',null,null,null,'T',null,'Customer',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10114,null,'date_code','track_date_codes','Date Code','',null,null,'T',null,'Date Code',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10114,null,'item_no','item_number','Item #','',null,null,'T',null,'Item #',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10114,null,'location','code','Location',null,null,null,'T',null,'Location',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10114,null,'lot','track_lots','Lot','',null,null,'T',null,'Lot',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10114,null,'pallet','track_pallets','Pallet','',null,null,'T',null,'Pallet',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10114,null,'po','track_pos','Order #',null,null,null,'T',null,'Order #',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10114,null,'quantity','quantity','Qty',null,null,null,'T',null,'Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10114,null,'sn','track_serial_numbers','SN','',null,null,'T',null,'SN',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10114,null,'title',null,'Pick',null,null,null,'T',null,'Pick',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10200,null,'date_code','track_date_codes','Date Code:','',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10200,null,'item_number','item_number','Item #:','Item Number',null,null,'T',null,'Item #:','Item Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10200,null,'location','code','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10200,null,'lot','track_lots','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10200,null,'pallet','track_pallets','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10200,null,'po','track_pos','Ref #:','Ref #',null,null,'T',null,'Ref #:','Ref #',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10200,null,'quantity','quantity','Qty:','Qty',null,null,'T',null,'Qty:','Qty',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10200,null,'serial_no','track_serial_numbers','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10200,null,'site','site','Site:','Site',null,null,'T',null,'Site:','Site',null,null,null,null,null,null,null,null,'T','1','1');
GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10200,null,'supplier','supplier','Supplier:','Supplier',null,null,'T',null,'Supplier:','Supplier',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10201,null,'customer','track_customers','Customer:','Customer',null,null,'T',null,'Customer:','Customer',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10201,null,'date_code','track_date_codes','Date Code:','Enter the Date Code for this item.',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10201,null,'item_number','item_number','Item #:','Item Number',null,null,'T',null,'Item #:','Item Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10201,null,'location','code','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10201,null,'lot','track_lots','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10201,null,'pallet','track_pallets','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10201,null,'quantity','quantity','Qty:','Qty',null,null,'T',null,'Qty:','Qty',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10201,null,'serial_no','track_serial_numbers','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10201,null,'site','site','Site:','Site',null,null,'T',null,'Site:','Site',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10202,null,'date_code','track_date_codes','Date Code:','',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10202,null,'fromlocation',null,'From Loc:','From Loc',null,null,'T',null,'From Loc:','From Loc',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10202,null,'fromsite',null,'From Site:','From Site',null,null,'T',null,'From Site:','From Site',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10202,null,'item_number','item_number','Item #:','Item Number',null,null,'T',null,'Item #:','Item Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10202,null,'lot','track_lots','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10202,null,'pallet','track_pallets','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10202,null,'quantity','quantity','Qty:','Qty',null,null,'T',null,'Qty:','Qty',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10202,null,'serial_no','track_serial_numbers','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10202,null,'tolocation',null,'To Loc:','To Loc',null,null,'T',null,'To Loc:','To Loc',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10202,null,'tosite',null,'To Site:','To Site',null,null,'T',null,'To Site:','To Site',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10203,null,'date_code','track_date_codes','Date Code:','',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10203,null,'item_number','item_number','Item #:','Item Number',null,null,'T',null,'Item #:','Item Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10203,null,'location','code','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10203,null,'lot','track_lots','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10203,null,'pallet','track_pallets','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10203,null,'quantity','quantity','Qty:','Qty',null,null,'T',null,'Qty:','Qty',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10203,null,'reason',null,'Reason:','Reason',null,null,'T',null,'Reason:','Reason',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10203,null,'serial_no','track_serial_numbers','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10203,null,'site','site','Site:','Site',null,null,'T',null,'Site:','Site',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10203,null,'trancode','trancode','Trans Code:','Trans Code',null,null,'T',null,'Trans Code:','Trans Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10204,null,'date_code','track_date_codes','Date Code:','',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10204,null,'item_number','item_number','Item #:','Item Number',null,null,'T',null,'Item #:','Item Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10204,null,'location','code','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10204,null,'lot','track_lots','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10204,null,'pallet','track_pallets','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10204,null,'quantity','quantity','Qty:','Qty',null,null,'T',null,'Qty:','Qty',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10204,null,'serial_no','track_serial_numbers','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10204,null,'site','site','Site:','Site',null,null,'T',null,'Site:','Site',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10205,null,'date_code','track_date_codes','Date Code:','',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10205,null,'item_number','item_number','Item #:','Item Number',null,null,'T',null,'Item #:','Item Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10205,null,'location','code','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10205,null,'lot','track_lots','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10205,null,'pallet','track_pallets','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10205,null,'quantity','quantity','Qty:','Qty',null,null,'T',null,'Qty:','Qty',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10205,null,'serial_no','track_serial_numbers','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10205,null,'site','site','Site:','Site',null,null,'T',null,'Site:','Site',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10205,null,'trancode','trancode','Trans Code:','Trans Code',null,null,'T',null,'Trans Code:','Trans Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10206,null,'date_code',null,'Date Code:','Date Code',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10206,null,'fromlocation',null,'From Loc:','From Loc',null,null,'T',null,'From Loc:','From Loc',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10206,null,'fromsite',null,'From Site:','From Site',null,null,'T',null,'From Site:','From Site',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10206,null,'item_number',null,'Item #:','Item Number',null,null,'T',null,'Item #:','Item Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10206,null,'lot',null,'Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10206,null,'orderno',null,'Req #:','Reqno',null,null,'T',null,'Req #:','Reqno',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10206,null,'pallet',null,'Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10206,null,'quantity',null,'Qty:','Qty',null,null,'T',null,'Qty:','Qty',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10206,null,'serial_no',null,'Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10206,null,'tolocation',null,'Stage Loc:','Stage Loc',null,null,'T',null,'Stage Loc:','Stage Loc',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10206,null,'tosite',null,'Stage Site:','Stage Site',null,null,'T',null,'Stage Site:','Stage Site',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10209,null,'date_code','track_date_codes','Date Code:','',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10209,null,'item_number','item_number','Item #:','Item Number',null,null,'T',null,'Item #:','Item Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10209,null,'location','code','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10209,null,'lot','track_lots','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10209,null,'pallet','track_pallets','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10209,null,'po','track_pos','Ref #:','Ref #',null,null,'T',null,'Ref #:','Ref #',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10209,null,'quantity','quantity','Qty:','Qty',null,null,'T',null,'Qty:','Qty',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10209,null,'serial_no','track_serial_numbers','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10209,null,'site','site','Site:','Site',null,null,'T',null,'Site:','Site',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10209,null,'supplier','supplier','Supplier:','Supplier',null,null,'T',null,'Supplier:','Supplier',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10210,null,'customer','track_customers','Customer:','Customer',null,null,'T',null,'Customer:','Customer',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10210,null,'date_code','track_date_codes','Date Code:','Enter the Date Code for this item.',null,null,'T',null,'Date Code:','Date Code',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10210,null,'item_number','item_number','Item #:','Item Number',null,null,'T',null,'Item #:','Item Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10210,null,'location','code','Location:','Location',null,null,'T',null,'Location:','Location',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10210,null,'lot','track_lots','Lot:','Lot',null,null,'T',null,'Lot:','Lot',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10210,null,'pallet','track_pallets','Pallet:','Pallet',null,null,'T',null,'Pallet:','Pallet',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10210,null,'quantity','quantity','Qty:','Qty',null,null,'T',null,'Qty:','Qty',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10210,null,'serial_no','track_serial_numbers','Serial #:','Serial Number',null,null,'T',null,'Serial #:','Serial Number',null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (10210,null,'site','site','Site:','Site',null,null,'T',null,'Site:','Site',null,null,null,null,null,null,null,null,'T','1','1');
GO

insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','accepted_qty','accepted_qty','Accepted Qty',null,null,null,'T',null,'Accepted Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','active','active','Active',null,null,null,'T',null,'Active',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','add_date','add_date','Add Date',null,'T','T','T',null,'Add Date',null,'T','T',null,62,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','add_total','add_total','Adds',null,null,null,'T',null,'Adds',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','adjust_date','adjust_date','Adjust Date',null,null,null,'T',null,'Adjust Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','adjustin_total','adjustin_total','Adjusts In',null,null,null,'T',null,'Adjusts In',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','adjustout_total','adjustout_total','Adjusts Out',null,null,null,'T',null,'Adjusts Out',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','audit_date','audit_date','Audit Date',null,null,null,'T',null,'Audit Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','audited_qty','audited_qty','Audited Qty',null,null,null,'T',null,'Audited Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','back_order','back_order','Back Order',null,null,null,'T',null,'Back Order',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','bill_to','bill_to','BILL TO',null,null,null,'T',null,'BILL TO',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','checkin_date','checkin_date','Check-in Date',null,null,null,'T',null,'Check-in Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','checkout_date','checkout_date','Check-out Date',null,null,null,'T',null,'Check-out Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','current_qty','current_qty','Current Qty',null,null,null,'T',null,'Current Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','customer','customer','Customer',null,null,null,'T',null,'Customer',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','customer_message','customer_message','Customer Message',null,null,null,'T',null,'Customer Message',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','customer_name','customer_name','Customer Name',null,null,null,'T',null,'Customer Name',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','date','date','Date','','T','T','T',null,'Date','','T','T',null,62,null,1,1,1,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','date_shipped','date_shipped','Date Shipped',null,null,null,'T',null,'Date Shipped',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','description','description','Description',null,null,null,'T',null,'Description',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','discrepancy','discrepancy','Discrepancy',null,null,null,'T',null,'Discrepancy',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','due_date','due_date','Due Date',null,null,null,'T',null,'Due Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','dvalue','dvalue','Dvalue',null,null,null,'T',null,'Dvalue',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','end_date','end_date','End  Date',null,null,null,'T',null,'End  Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','end_total','end_total','Ending',null,null,null,'T',null,'Ending',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','error_description','error_description','Error Description',null,null,null,'T',null,'Error Description',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','error_number','error_number','Error Number',null,null,null,'T',null,'Error Number',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','error_type','error_type','Error Type',null,null,null,'T',null,'Error Type',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','expected_date','expected_date','Expected Date',null,null,null,'T',null,'Expected Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','first_name','first_name','First Name',null,null,null,'T',null,'First Name',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','grand_total','grand_total','Grand Total',null,null,null,'T',null,'Grand Total',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','id_reference','id_reference','ID/Reference',null,null,null,'T',null,'ID/Reference',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','inactive','inactive','Inactive',null,null,null,'T',null,'Inactive',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','internal_id','internal_id','Internal ID',null,null,null,'T',null,'Internal ID',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','invoice_status','invoice_status','Invoice Status',null,null,null,'T',null,'Invoice Status',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','item','item','Item',null,null,null,'T',null,'Item',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','item_description','item_description','Item Number : Description',null,null,null,'T',null,'Item Number : Description',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','item_total','item_total','Item Total',null,null,null,'T',null,'Item Total',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','last_name','last_name','Last Name',null,null,null,'T',null,'Last Name',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','line_item_count','line_item_count','Line Item Count',null,null,null,'T',null,'Line Item Count',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','login_name','login_name','Login Name',null,null,null,'T',null,'Login Name',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','memo','memo','Memo',null,null,null,'T',null,'Memo',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','min_date','min_date','1800',null,null,null,'T',null,'1800',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','move_date','move_date','Move Date',null,null,null,'T',null,'Move Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','notes','notes','Notes',null,null,null,'T',null,'Notes',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','object_type','object_type','Object Type',null,null,null,'T',null,'Object Type',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','obsolete','obsolete','Obsolete',null,null,null,'T',null,'Obsolete',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','order_quantity','order_quantity','Original Order Qty',null,null,null,'T',null,'Original Order Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','original_data','original_data','Original Data',null,null,null,'T',null,'Original Data',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','original_qty','original_qty','Original Qty',null,null,null,'T',null,'Original Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','originating','originating','Originating',null,null,null,'T',null,'Originating',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','out_date','out_date','Out Date',null,null,null,'T',null,'Out Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','parent','parent','Parent',null,null,null,'T',null,'Parent',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','pick_date','pick_date','Pick Date',null,null,null,'T',null,'Pick Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','po_status','po_status','PO Status',null,null,null,'T',null,'PO Status',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','process_type','process_type','Process Type',null,null,null,'T',null,'Process Type',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','putaway_location','putaway_location','Put-away Location',null,null,null,'T',null,'Put-away Location',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','putaway_site','putaway_site','Put-away Site',null,null,null,'T',null,'Put-away Site',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','quantity','quantity','Quantity',null,null,null,'T',null,'Quantity',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','quantity_picked','quantity_picked','Quantity Picked',null,null,null,'T',null,'Quantity Picked',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','receive_date','receive_date','Receive Date',null,null,null,'T',null,'Receive Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','received_by','received_by','Added By',null,null,null,'T',null,'Added By',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','received_quantity','received_quantity','Received Qty',null,null,null,'T',null,'Received Qty',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','remove_date','remove_date','Remove Date',null,null,null,'T',null,'Remove Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','remove_total','remove_total','Removes',null,null,null,'T',null,'Removes',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','security_options','security_options','Security Options',null,null,null,'T',null,'Security Options',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','ship_date','ship_date','Remove Date',null,null,null,'T',null,'Remove Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','ship_quantity','ship_quantity','Ship Quantity',null,null,null,'T',null,'Ship Quantity',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','ship_to','ship_to','SHIP TO',null,null,null,'T',null,'SHIP TO',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','shipped_by','shipped_by','Removed By',null,null,null,'T',null,'Removed By',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','shipped_quantity','shipped_quantity','Shipped Quantity',null,null,null,'T',null,'Shipped Quantity',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','shipped_to','shipped_to','Shipped To',null,null,null,'T',null,'Shipped To',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','shipped_value','shipped_vlaue','Removed Value',null,null,null,'T',null,'Removed Value',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','site_total','site_total','Site Total',null,null,null,'T',null,'Site Total',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','slow','slow','Slow',null,null,null,'T',null,'Slow',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','start_date','start_date','Start Date',null,null,null,'T',null,'Start Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','start_total','start_total','Beginning',null,null,null,'T',null,'Beginning',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','status','status','Status',null,null,null,'T',null,'Status',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','supplier','supplier','Supplier',null,null,null,'T',null,'Supplier',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','total','total','Total',null,null,null,'T',null,'Total',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','transaction_date','transaction_date','Transaction Date',null,null,null,'T',null,'Transaction Date',null,null,null,null,null,null,null,null,null,'T','1','1');
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','type','type','Type',null,null,null,'T',null,'Type',null,null,null,null,null,null,null,null,null,'T','1','1');
GO
insert into form_field_meta (form_id,control,field,db_field,label,tool_tip,visible,required,user_editable,field_length,default_label,default_tool_tip,default_visible,default_required,default_field_length,data_type,send_to_palm,sort_order,record_status,company_id,should_find,should_export,should_import) values (90000,'CR','user_name','user_name','User Name',null,null,null,'T',null,'User Name',null,null,null,null,null,null,null,null,null,'T','1','1');
GO



IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[ffm_bak]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
begin
	update form_field_meta set label = b.label,
	tool_tip = b.tool_tip, visible = b.visible,
	required = b.required
	FROM         ffm_bak b INNER JOIN
						  form_field_meta f ON b.form_id = f.form_id AND b.control = f.control AND 
						  b.field = f.field AND b.record_status = f.record_status AND 
						  b.company_id = f.company_id
end



----------------------------------------------------
-- Table Name: inventory_request
----------------------------------------------------
if NOT EXISTS (select * from [inventory_request] where inventory_request_id = 0)
BEGIN
	SET IDENTITY_INSERT [inventory_request] ON;
	insert into inventory_request (inventory_request_id,request_number,creation_date,last_modified_date,due_date,ship_date,request_status,customer_id,carrier,tracking_number,staging_location_id,is_canceled,company_id,record_status,line_item_count,parent_id,backorder_id,is_printed,print_no,last_printed_date) values (0,'  ',null,null,null,null,0,0,null,null,null,'F',1,3,0,0,0,'T',0,null);
	SET IDENTITY_INSERT [inventory_request] OFF;
END
GO



----------------------------------------------------
-- Table Name: item_type
----------------------------------------------------
if NOT EXISTS (select * from item_type where item_type_id = 1)
BEGIN
	insert into item_type (item_type_id, item_type_name) values (1,'Inventory');
	insert into item_type (item_type_id, item_type_name) values (2,'Non-Inventory');
	insert into item_type (item_type_id, item_type_name) values (3,'Manual');
	insert into item_type (item_type_id, item_type_name) values (4,'Kit');
	insert into item_type (item_type_id, item_type_name) values (5,'Assembly');
END
GO



----------------------------------------------------
-- Table Name: manufacturer
----------------------------------------------------
if NOT EXISTS (select * from [manufacturer] where manufacturer_id = 0)
BEGIN
	SET IDENTITY_INSERT [manufacturer] ON;
	insert into manufacturer (manufacturer_id,name,email,website,contact_name,usrdefdate1,usrdefdate2,usrdefdate3,usrdefdate4,usrdefdate5,usrdefnumber1,usrdefnumber2,usrdefnumber3,usrdefnumber4,usrdefnumber5,usrdeftext1,usrdeftext2,usrdeftext3,usrdeftext4,usrdeftext5,usrdeftext6,usrdeftext7,usrdeftext8,usrdeftext9,usrdeftext10,record_status,company_id) values (0,' ','','','',null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,0,0);
	SET IDENTITY_INSERT [manufacturer] OFF;
END
GO




----------------------------------------------------
-- Table Name: supplier
----------------------------------------------------
if NOT EXISTS (select * from [supplier] where supplier_id = 0)
BEGIN
	SET IDENTITY_INSERT [supplier] ON;
	insert into supplier (supplier_id,supplier_number,name,email,website,contact_name,usrdefdate1,usrdefdate2,usrdefdate3,usrdefdate4,usrdefdate5,usrdefnumber1,usrdefnumber2,usrdefnumber3,usrdefnumber4,usrdefnumber5,usrdeftext1,usrdeftext2,usrdeftext3,usrdeftext4,usrdeftext5,usrdeftext6,usrdeftext7,usrdeftext8,usrdeftext9,usrdeftext10,record_status,company_id,update_user_id,list_id) values (0,'',' ',null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,1,0,null,null);
	SET IDENTITY_INSERT [supplier] OFF;
END
GO




----------------------------------------------------
-- Table Name: label_names
----------------------------------------------------
DELETE FROM label_names

insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (201,1002,1,'Location Tags','Location Tags','Location Tags',null);
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (204,1002,4,'Serial Number Tags','Serial Number Tags','Serial Number Tags',null);
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (202,1002,3,'Site Tags','Site Tags','Site Tags',null);
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (301,1003,1,'Employee Badges','Employee Badges','Employee Badges',null);
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (101,1001,-1,'Item Receive Labels','Item Receive Labels','Item Receive Labels',null);
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (103,1001,3,'Shipping Labels','Shipping Labels','Shipping Labels',null);
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (203,1002,3,'PO Number Tags','PO Number Tags','PO Number Tags',null);
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (102,1001,2,'Item Bar Code Labels','Item Bar Code Labels','Item Bar Code Labels',null);
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (1001,1010,1,'New','New','New',null);
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (1002,1010,2,'Browse...','Browse...','Browse...',null);
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (104,1004,-1,'Add, Assemble, Receive Item Label','AddTransactionItemLabelDB','Pending added items','Edit to change the item label that prints when an item is added, assembled or received.');
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (105,1004,-1,'Load Ticket Label','LoadTicketDB','Load Ticket','');
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (401,1004,1,'Item Label','Inventory Item','Inventory Item','Edit to change the label that prints from the item list print labels option.');
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (402,1004,2,'Transaction Label Lot','Inventory Lot','Inventory Lot','Edit to change the Lot label that prints from the transaction list print labels option.');
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (403,1004,3,'Transaction Label Pallet','Inventory Pallet','Inventory Pallet','Edit to change the Pallet label that prints from the transaction list print labels option.');
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (404,1004,4,'Transaction Label Date Code','Inventory DateCode','Inventory DateCode','Edit to change the Date Code label that prints from the transaction list print labels option.');
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (405,1004,5,'Location Label','Inventory Location','Inventory Location','Edit to change the location label that prints from the location list print labels option.');
insert into label_names (lbl_id,lbl_type,lbl_display_order,lbl_name,lbl_file_name,lbl_default_name,lbl_tool_tips) values (406,1004,6,'Transaction Label Serial Number','Inventory Serial Number','Inventory Serial Number','Edit to change the Serial Number label that prints from the transaction list print labels option.');
GO


----------------------------------------------------
-- Table Name: item
----------------------------------------------------
if NOT EXISTS (select * from [item] where item_id = 0)
BEGIN
	SET IDENTITY_INSERT [item] ON;
	insert into item (item_id,item_number,description,default_location_id,cost,avgcost,manufacturer_id,category_id,unit_of_measure,reorder_qty,alt_item_number,linked_file,list_price,sale_price,supplier_id,min_stock_level,max_stock_level,qty_available,qty_checked_out,qty_in_house,track_serial_numbers,track_lots,track_date_codes,track_pallets,track_pos,track_suppliers,track_customers,allow_fraction_qty,manager,checkout_duration,width,height,length,dimension_unit,weight,weight_unit,usrdefdate1,usrdefdate2,usrdefdate3,usrdefdate4,usrdefdate5,usrdefnumber1,usrdefnumber2,usrdefnumber3,usrdefnumber4,usrdefnumber5,usrdeftext1,usrdeftext2,usrdeftext3,usrdeftext4,usrdeftext5,usrdeftext6,usrdeftext7,usrdeftext8,usrdeftext9,usrdeftext10,record_status,company_id,list_id,date_updated,auto_sn,auto_sn_value) values (0,'','',0,0,0,0,0,'',0,'',null,0,0,0,0,0,0,0,0,'F','F','F','F','F','F','F','F',null,0,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,1,0,null,null,'F',0);
	SET IDENTITY_INSERT [item] OFF;
END
GO




----------------------------------------------------
-- Table Name: sites
----------------------------------------------------
if NOT EXISTS (select * from [sites] where site_id = 0)
BEGIN
	SET IDENTITY_INSERT [sites] ON;
	insert into sites (site_id,site_name,description,usrdefdate1,usrdefdate2,usrdefdate3,usrdefdate4,usrdefdate5,usrdefnumber1,usrdefnumber2,usrdefnumber3,usrdefnumber4,usrdefnumber5,usrdeftext1,usrdeftext2,usrdeftext3,usrdeftext4,usrdeftext5,usrdeftext6,usrdeftext7,usrdeftext8,usrdeftext9,usrdeftext10,record_status,company_id,update_user_id) values (0,'','',null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,1,0,null);
	SET IDENTITY_INSERT [sites] OFF;
END
GO



----------------------------------------------------
-- Table Name: location
----------------------------------------------------
if NOT EXISTS (select * from [location] where location_id = 0)
BEGIN
	SET IDENTITY_INSERT [location] ON;
	insert into location (location_id,site_id,description,code,default_location,usrdefdate1,usrdefdate2,usrdefdate3,usrdefdate4,usrdefdate5,usrdefnumber1,usrdefnumber2,usrdefnumber3,usrdefnumber4,usrdefnumber5,usrdeftext1,usrdeftext2,usrdeftext3,usrdeftext4,usrdeftext5,usrdeftext6,usrdeftext7,usrdeftext8,usrdeftext9,usrdeftext10,record_status,company_id,update_user_id) values (0,0,null,'',null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,2,0,null);
	SET IDENTITY_INSERT [location] OFF;
END
GO


----------------------------------------------------
-- Table Name: inventory
----------------------------------------------------
if NOT EXISTS (select * from [inventory] where inventory_id = 0)
BEGIN
	SET IDENTITY_INSERT [inventory] ON;
	insert into [inventory] ([inventory_id], [item_id]
           ,[location_id]
           ,[quantity]
           ,[max_stock_level]
           ,[min_stock_level]
           ,[reorder_qty]
           ,[record_status]
           ,[company_id]
           ,[primary_location]
           ,[lsgrid_only])
 values (0,0,0,0,-1,-1,0,2,1,'F','F');
	SET IDENTITY_INSERT [inventory] OFF;
END
GO





----------------------------------------------------
-- Table Name: number_template
----------------------------------------------------
if NOT EXISTS (select * from number_template where format_name = 'order_number')
BEGIN
	insert into number_template (format_name,f_order_no,f_type,f_value,f_length,company_id) values ('order_number',1,'Counter','00001',5,1);
END	

if NOT EXISTS (select * from number_template where format_name = 'po_number')
BEGIN
	insert into number_template (format_name,f_order_no,f_type,f_value,f_length,company_id) values ('po_number',1,'Counter','00001',5,1);
END	
GO




----------------------------------------------------
-- Table Name: pay_methods
----------------------------------------------------
if NOT EXISTS (select * from [pay_methods] where pay_method_id = 0)
BEGIN
	SET IDENTITY_INSERT [pay_methods] ON;
	insert into pay_methods (pay_method_id,pay_method_text,company_id,record_status) values (0,'',1,1);
	insert into pay_methods (pay_method_id,pay_method_text,company_id,record_status) values (1,'1% 10 Net 30',1,1);
	insert into pay_methods (pay_method_id,pay_method_text,company_id,record_status) values (2,'2% 10 Net 30',1,1);
	insert into pay_methods (pay_method_id,pay_method_text,company_id,record_status) values (3,'Due on Receipt',1,1);
	insert into pay_methods (pay_method_id,pay_method_text,company_id,record_status) values (4,'Net 15',1,1);
	insert into pay_methods (pay_method_id,pay_method_text,company_id,record_status) values (5,'Net 30',1,1);
	insert into pay_methods (pay_method_id,pay_method_text,company_id,record_status) values (6,'Net 60',1,1);
	insert into pay_methods (pay_method_id,pay_method_text,company_id,record_status) values (7,'COD',1,1);
	insert into pay_methods (pay_method_id,pay_method_text,company_id,record_status) values (8,'Credit Card',1,1);
	insert into pay_methods (pay_method_id,pay_method_text,company_id,record_status) values (9,'Other - Add to comments',1,1);
	SET IDENTITY_INSERT [pay_methods] OFF;
END
GO




----------------------------------------------------
-- Table Name: phone
----------------------------------------------------
if NOT EXISTS (select * from phone where (phone_id = 1) AND (table_name='company_info'))
BEGIN
	insert into phone (phone_id,table_name,phone_type_id,record_type,phone_number,extension,record_status) values (1,'company_info',1,'Company Phone',null,null,1);
	insert into phone (phone_id,table_name,phone_type_id,record_type,phone_number,extension,record_status) values (1,'company_info',2,'Company Fax',null,null,1);
END
GO




----------------------------------------------------
-- Table Name: po_invoice_status
----------------------------------------------------
if NOT EXISTS (select * from po_invoice_status where status_id = 11)
BEGIN
	insert into po_invoice_status (status_id,description) values (11,'Waiting To Be Picked');
	insert into po_invoice_status (status_id,description) values (12,'Picking In Progress');
	insert into po_invoice_status (status_id,description) values (13,'Fully Picked');
	insert into po_invoice_status (status_id,description) values (21,'Waiting To Be Received');
	insert into po_invoice_status (status_id,description) values (22,'Receiving In Progress');
	insert into po_invoice_status (status_id,description) values (23,'Fully Received');
END
GO



----------------------------------------------------
-- Table Name: po_lineitem_type
----------------------------------------------------
if NOT EXISTS (select * from po_lineitem_type where po_lineitem_type_id = 1)
BEGIN
	insert into po_lineitem_type (po_lineitem_type_id,po_lineitem_type_name) values (1,'Inventory');
	insert into po_lineitem_type (po_lineitem_type_id,po_lineitem_type_name) values (2,'Non-Inventory');
	insert into po_lineitem_type (po_lineitem_type_id,po_lineitem_type_name) values (3,'Manual');
END
GO



----------------------------------------------------
-- Table Name: po_status
----------------------------------------------------
if NOT EXISTS (select * from po_status where po_status_id = 1)
BEGIN
	insert into po_status (po_status_id,po_status_text,company_id,record_status) values (1,'New',1,1);
	insert into po_status (po_status_id,po_status_text,company_id,record_status) values (2,'Issued',1,1);
	insert into po_status (po_status_id,po_status_text,company_id,record_status) values (3,'In Process',1,1);
	insert into po_status (po_status_id,po_status_text,company_id,record_status) values (4,'Complete (Open)',1,1);
	insert into po_status (po_status_id,po_status_text,company_id,record_status) values (20,'Closed, Complete',1,1);
	insert into po_status (po_status_id,po_status_text,company_id,record_status) values (21,'Closed, Short',1,1);
END
GO



----------------------------------------------------
-- Table Name: reasons_adjustment
----------------------------------------------------
SET IDENTITY_INSERT [reasons_adjustment] ON;

if NOT EXISTS (select reason_id from reasons_adjustment where reason_id=1)
BEGIN
insert into reasons_adjustment (reason_id,sort_order,adjust_code,description,calculation_method,company_id,record_status) values (1,5,'Breakage',null,-1,1,1);
END

if NOT EXISTS (select reason_id from reasons_adjustment where reason_id=2)
BEGIN
insert into reasons_adjustment (reason_id,sort_order,adjust_code,description,calculation_method,company_id,record_status) values (2,6,'Lost',null,-1,1,1);
END

if NOT EXISTS (select reason_id from reasons_adjustment where reason_id=3)
BEGIN
insert into reasons_adjustment (reason_id,sort_order,adjust_code,description,calculation_method,company_id,record_status) values (3,4,'Negative',null,-1,1,1);
END

if NOT EXISTS (select reason_id from reasons_adjustment where reason_id=6)
BEGIN
insert into reasons_adjustment (reason_id,sort_order,adjust_code,description,calculation_method,company_id,record_status) values (6,2,'Found',null,1,1,1);
END

if NOT EXISTS (select reason_id from reasons_adjustment where reason_id=7)
BEGIN
insert into reasons_adjustment (reason_id,sort_order,adjust_code,description,calculation_method,company_id,record_status) values (7,3,'Return',null,1,1,1);
END

if NOT EXISTS (select reason_id from reasons_adjustment where reason_id=8)
BEGIN
insert into reasons_adjustment (reason_id,sort_order,adjust_code,description,calculation_method,company_id,record_status) values (8,1,'Positive',null,1,1,1);
END

if NOT EXISTS (select reason_id from reasons_adjustment where reason_id=11)
BEGIN
insert into reasons_adjustment (reason_id,sort_order,adjust_code,description,calculation_method,company_id,record_status) values (11,11,'Reversal','This Audit reverses a transaction',-1,1,2);
END

if NOT EXISTS (select reason_id from reasons_adjustment where reason_id=12)
BEGIN
insert into reasons_adjustment (reason_id,sort_order,adjust_code,description,calculation_method,company_id,record_status) values (12,12,'Reset Counts on Inventory List','The counts on Inventory List are wrong. Correct Counts on Inventory List.',0,1,4);
END

SET IDENTITY_INSERT [reasons_adjustment] OFF;
GO





----------------------------------------------------
-- Table Name: record_status
----------------------------------------------------
if NOT EXISTS (select * from record_status where status_id = 1)
BEGIN
	insert into record_status (status_id,description) values (1,'Active');
	insert into record_status (status_id,description) values (2,'Inactive');
	insert into record_status (status_id,description) values (3,'Delete');
	insert into record_status (status_id,description) values (4,'Pending');
END
GO





----------------------------------------------------
-- Table Name: report_hidden_fields
----------------------------------------------------
DELETE FROM report_hidden_fields

insert into report_hidden_fields (hidden_fields) values ('action_type                                       ');
insert into report_hidden_fields (hidden_fields) values ('category_id                                       ');
insert into report_hidden_fields (hidden_fields) values ('Company_id                                        ');
insert into report_hidden_fields (hidden_fields) values ('Customer_id                                       ');
insert into report_hidden_fields (hidden_fields) values ('inventory_id                                      ');
insert into report_hidden_fields (hidden_fields) values ('item_id                                           ');
insert into report_hidden_fields (hidden_fields) values ('location_id                                       ');
insert into report_hidden_fields (hidden_fields) values ('manufacturer_id                                   ');
insert into report_hidden_fields (hidden_fields) values ('other_id                                          ');
insert into report_hidden_fields (hidden_fields) values ('phone_id                                          ');
insert into report_hidden_fields (hidden_fields) values ('record_source                                     ');
insert into report_hidden_fields (hidden_fields) values ('record_status                                     ');
insert into report_hidden_fields (hidden_fields) values ('record_type                                       ');
insert into report_hidden_fields (hidden_fields) values ('site_id                                           ');
insert into report_hidden_fields (hidden_fields) values ('supplier_id                                       ');
insert into report_hidden_fields (hidden_fields) values ('trans_type                                        ');
insert into report_hidden_fields (hidden_fields) values ('transaction_id                                    ');
insert into report_hidden_fields (hidden_fields) values ('update_user_id                                    ');
insert into report_hidden_fields (hidden_fields) values ('user_id                                           ');
GO




----------------------------------------------------
-- Table Name: report_label_types
----------------------------------------------------
DELETE FROM report_label_types

insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (1,110,'Item Reports','Item Reports');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (2,120,'Inventory Reports','Inventory Reports');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (3,130,'Location Reports','Location Reports');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (4,100,'Customer Reports','Customer Reports');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (5,150,'Check-out Reports','Check-out Reports');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (6,140,'Transaction Reports','Transaction Reports');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (7,110,'Invoice Pick Reports','Invoice Pick Reports');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (8,160,'Item Receipt Reports','Item Receipt Reports');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (10,200,'Other Reports','Other Reports');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (11,180,'Audit Reports','Audit Reports');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (1001,1,'Labels','Labels');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (1002,2,'Tags','Tags');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (1003,-3,'Badges','Badges');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (1010,10,'Other Labels','Other Labels');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (12,170,'Purchase Order/Pick Order Reports','Purchase Order/Pick Order Reports');
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (13,190,'Pick Order Reports','Pick Order Reports')
insert into report_label_types (type_id,type_display_order,type_name,type_default_name) values (14,195,'Purchase Order / Receiving','Purchase Order / Receiving')

GO




----------------------------------------------------
-- Table Name: report_labels
----------------------------------------------------
DELETE FROM report_labels

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'quantity',null,'Inventory',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'pallet',null,'Inventory',11,'pallet',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'customer_name',null,'Customer',4,'name0000',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'entry_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (0,'site_name',null,'Site',8,'site_name',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (101,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (101,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (101,'cost',null,'Item',6,'cost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (101,'avgcost',null,'Item',6,'avgcost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (101,'category_description',null,'Category',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (101,'supplier_name',null,'Supplier',9,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (101,'manufacturer_name',null,'Manufacturer',6,'manufacturer',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (102,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (102,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (102,'cost',null,'Item',6,'cost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (102,'avgcost',null,'Item',6,'avgcost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (102,'category_description',null,'Category',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (102,'supplier_name',null,'Supplier',9,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (102,'manufacturer_name',null,'Manufacturer',6,'manufacturer',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (103,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (103,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (103,'reorder_qty',null,'vTotalInventorySummary',6,'reorder_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (103,'min_stock_level',null,'vTotalInventorySummary',6,'min_stock_level',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (103,'supplier_name',null,'Supplier',9,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (103,'current_quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (104,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (104,'item_des',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (104,'quantity',null,'Inventory',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (104,'max_stock_level',null,'Item',6,'max_stock_level',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (104,'min_stock_level',null,'vTotalInventorySummary',6,'min_stock_level',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (104,'reorder_qty',null,'vTotalInventorySummary',6,'reorder_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (104,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (104,'location',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (105,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (105,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (105,'quantity',null,'Inventory',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (105,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (105,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (106,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (106,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (106,'supplier_name',null,'Supplier',9,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (106,'current_quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (106,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (106,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (106,'supplier_name',null,'Supplier',9,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (106,'current_quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (107,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (107,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (107,'supplier_name',null,'Supplier',9,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (107,'max_stock_level',null,'Item',6,'max_stock_level',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (107,'current_quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (107,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (107,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (107,'supplier_name',null,'Supplier',9,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (107,'max_stock_level',null,'Item',6,'max_stock_level',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (107,'current_quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (108,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (108,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (108,'location',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (108,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (108,'supplier_number',null,'Supplier',9,'supplier_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (109,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (109,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (109,'supplier_number',null,'Supplier',9,'supplier_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (109,'quantity',null,'Inventory',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (109,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (109,'location',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (109,'max_stock_level',null,'Item',6,'max_stock_level',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (110,'entry_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (110,'moveto_site_name',null,'Move to',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (110,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (110,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (110,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (110,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (110,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (110,'moveto_location',null,'Move to',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (110,'item_type_name',null,'Item Type',6,'item_type_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (111,'item_des',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (111,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (111,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (111,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (111,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (111,'first_name',null,'UserSecurity',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (112,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (112,'cost',null,'Item',6,'cost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (112,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (112,'category_description',null,'Category',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (112,'supplier_name',null,'Supplier',6,'Supplier',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (112,'manufacturer_name',null,'Manufacturer',6,'manufacturer',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (113,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (112,'avgcost',null,'Item',6,'avgcost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (113,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (113,'cost',null,'Item',6,'cost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (113,'avgcost',null,'Item',6,'avgcost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (113,'category_description',null,'Category',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (113,'supplier_name',null,'Supplier',6,'Supplier',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (113,'manufacturer_name',null,'Manufacturer',6,'manufacturer',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (114,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (114,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (114,'cost',null,'Item',6,'cost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (114,'avgcost',null,'Item',6,'avgcost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (114,'category_description',null,'Category',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (114,'supplier_name',null,'Supplier',6,'Supplier',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (114,'manufacturer_name',null,'Manufacturer',6,'manufacturer',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (115,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (115,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (116,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (116,'description',null,'Item',6,'description',null);

GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (201,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (201,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (201,'location_description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (201,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (201,'site_description',null,'Site',8,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (201,'quantity',null,'Item',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (201,'CheckedoutQty',null,'Item',6,'qty_checked_out',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (201,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (202,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (202,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (202,'description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (202,'quantity',null,'Inventory',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (202,'site_description',null,'Site',8,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (202,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (202,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (203,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (203,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (203,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (203,'location_description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (203,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (203,'site_description',null,'Site',8,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (203,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (204,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (204,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (204,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (204,'pallet',null,'Inventory',11,'pallet',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (204,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (204,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (204,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (204,'remaining_quantity',null,'Item',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (204,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (205,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (205,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (205,'trans_date',null,'Inventory',90000,'adjust_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (205,'current_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (205,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (205,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (205,'first_name',null,'User',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (205,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (205,'adjust_type',null,'Inventory',13,'adjust_type',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (205,'adjust_code',null,'Adjust Reason',21,'adjust_reason',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (206,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (206,'item_des',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (206,'supplier_number',null,'Supplier',9,'supplier_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (206,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (206,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (206,'ref_number',null,'Inventory',11,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (206,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (206,'first_name',null,'UserSecurity',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (207,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (207,'item_des',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (207,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (207,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (207,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (207,'first_name',null,'UserSecurity',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (208,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (208,'item_des',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (208,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (208,'location',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (208,'birth_date',null,'Birth',90000,'date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (208,'qty',null,'Inventory',90000,'received_quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (208,'cost',null,'Item',6,'cost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (209,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (209,'item_des',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (209,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (209,'location',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (209,'qtyActive',null,'vInventoryAgingInfo',0,null,null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (209,'qtySlow',null,'vInventoryAgingInfo',0,null,null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (209,'qtyInActive',null,'vInventoryAgingInfo',0,null,null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (209,'qtyObsolete',null,'vInventoryAgingInfo',0,null,null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (210,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (210,'item_des',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (210,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (210,'location',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (210,'birth_date',null,'Birth',13,'date_acquired',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (210,'qty',null,'Inventory',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (211,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (211,'item_des',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (211,'quantity',null,'Inventory',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (211,'min_stock_level',null,'vTotalInventorySummary',6,'min_stock_level',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (211,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (211,'location',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (212,'quantity',null,'Inventory',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (212,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (212,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (212,'avgcost',null,'Item',6,'avgcost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (212,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (212,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (213,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (213,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (213,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (213,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (213,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (213,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (213,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (213,'remaining_quantity',null,'Item',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (213,'pallet',null,'Inventory',11,'pallet',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (301,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (301,'site_description',null,'Site',8,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (301,'location_description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (301,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (301,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (301,'site_description',null,'Site',8,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (301,'location_description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (301,'code',null,'Location',7,'code',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'company_name',null,
'Customer', 4, 'company_name',null)
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'email',null,'Customer',4,'email',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'date_added',null,'Customer',4,'date_added',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'phone_number','Phone Number','Customer',4,null,'phone_number');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'extension',null,'Customer',4,'extension',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'fax','Fax','Customer',4,null,'fax');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'hphone','Home Phone','Customer',4,null,'Home Phone');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'ccell','Cell Phone','Customer',4,null,'Cell Phone');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'address1',null,'Customer',4,'address1',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'address2',null,'Customer',4,'address2',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'city',null,'Customer',4,'city',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'state',null,'Customer',4,'state',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'postal_code',null,'Customer',4,'postal_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (401,'country',null,'Customer',4,'country',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'company_name',null, 'Customer', 4, 'company_name',null)
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'email',null,'Customer',4,'email',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'date_added',null,'Customer',4,'date_added',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'phone_number','Phone Number','Customer',4,null,'phone_number');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'extension',null,'Customer',4,'extension',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'fax','Fax','Customer',4,null,'fax');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'hphone','Home Phone','Customer',4,null,'Home Number');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'ccell','Cell Phone','Customer',4,null,'Cell Number');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'address1',null,'Customer',4,'address1',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'address2',null,'Customer',4,'address2',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'city',null,'Customer',4,'city',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'state',null,'Customer',4,'state',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'postal_code',null,'Customer',4,'postal_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (402,'country',null,'Customer',4,'country',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'company_name',null, 'Customer', 4, 'company_name',null)
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'email',null,'Customer',4,'email',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'date_added',null,'Customer',4,'date_added',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'phone_number','Phone Number','Customer',4,null,'phone_number');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'extension',null,'Customer',4,'extension',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'fax','Fax','Customer',4,null,'fax');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'hphone','Home Phone','Customer',4,null,'Home Phone');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'ccell','Cell Phone','Customer',4,null,'Cell Phone');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'address1',null,'Customer',4,'address1',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'address2',null,'Customer',4,'address2',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'city',null,'Customer',4,'city',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'state',null,'Customer',4,'state',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'postal_code',null,'Customer',4,'postal_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (403,'country',null,'Customer',4,'country',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'company_name',null, 'Customer', 4, 'company_name',null)
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'email',null,'Customer',4,'email',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'date_added',null,'Customer',4,'date_added',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'phone_number',null,'Customer',4,null,'phone_number');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'extension',null,'Customer',4,'extension',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'fax',null,'Customer',4,null,'fax');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'hphone',null,'Customer',4,null,'Home Phone');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'ccell',null,'Customer',4,null,'Cell Phone');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'address1',null,'Customer',4,'address1',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'address2',null,'Customer',4,'address2',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'city',null,'Customer',4,'city',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'state',null,'Customer',4,'state',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'postal_code',null,'Customer',4,'postal_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (404,'country',null,'Customer',4,'country',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (405,'trans_date',null,'Inventory',90000,'transaction_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (405,'cost',null,'Item',6,'cost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (405,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (405,'customer_name',null,'Customer',4,'name0000',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (405,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (405,'item_des',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (405,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (405,'trans_description',null,'Item',13,'trans_type',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (406,'item_des',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (406,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (406,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (406,'cost',null,'Item',6,'cost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (406,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (406,'customer_name',null,'Customer',4,'name',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (501,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (501,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (501,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (501,'trans_date',null,'Inventory',90000,'out_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (501,'date_acquired',null,'Inventory',90000,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (501,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (501,'remaining_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (501,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (502,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (502,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (502,'trans_date',null,'Inventory',90000,'out_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (502,'date_acquired',null,'Inventory',90000,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (502,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (502,'remaining_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (502,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (503,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (503,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (503,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (503,'trans_date',null,'Inventory',90000,'out_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (503,'date_acquired',null,'Inventory',90000,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (503,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (503,'remaining_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (503,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (504,'trans_date',null,'Inventory',90000,'out_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (504,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (504,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (504,'date_acquired',null,'Inventory',90000,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (504,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (504,'remaining_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (504,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (505,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (505,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (505,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (505,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (505,'remaining_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (505,'date_acquired',null,'Inventory',90000,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (505,'trans_date',null,'Inventory',90000,'out_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (505,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (506,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (506,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (506,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (506,'date_acquired',null,'Inventory',90000,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (506,'remaining_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (506,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (506,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (506,'trans_date',null,'Inventory',90000,'out_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (507,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (507,'trans_date',null,'Inventory',90000,'out_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (507,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (507,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (507,'date_acquired',null,'Inventory',90000,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (507,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (507,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (507,'remaining_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (507,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (508,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (508,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (508,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (508,'trans_date',null,'Inventory',90000,'out_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (508,'date_acquired',null,'Inventory',90000,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (508,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (508,'remaining_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (508,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (508,'avgcost',null,'Cost',6,'cost',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (601,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (601,'first_name',null,'User',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (601,'last_name','Last Name','User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (601,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (601,'ref_number',null,'Inventory',11,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (601,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (601,'date_acquired',null,'Inventory',13,'date_acquired',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (601,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (601,'date_acquired',null,'Inventory',13,'date_acquired',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (601,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (602,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (602,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (602,'supplier_number',null,'Supplier',9,'supplier_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (602,'supplier_name',null,'Supplier',9,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (602,'first_name',null,'User',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (602,'date_acquired',null,'Inventory',13,'date_acquired',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (602,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (602,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (602,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (602,'quantity',null,'Inventory',11,'quantity',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (603,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (603,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (603,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (603,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (603,'first_name',null,'UserSecurity',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (603,'date_acquired',null,'Inventory',90000,'add_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (603,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (603,'site_name',null,'Site',8,'site_name',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (604,'ref_number',null,'Inventory',11,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (604,'date_acquired',null,'Inventory',13,'date_acquired',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (604,'first_name',null,'User',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (604,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (604,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (604,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (604,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (604,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (604,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (605,'supplier_name',null,'Supplier',9,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (605,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (605,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (605,'first_name',null,'User',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (605,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (605,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (605,'date_acquired',null,'Inventory',13,'date_acquired',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (605,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (605,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (605,'supplier_number',null,'Supplier',9,'supplier_number',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'adjust_code',null,'Adjust Reason',21,'adjust_reason',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'trans_date',null,'Inventory',90000,'adjust_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'current_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'first_name',null,'UserSecurity',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'adjust_type',null,'Inventory',13,'adjust_type',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (606,'adjust_trans_code',null,'vAdjustInventory',13,'adjust_trans_code',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (607,'first_name',null,'UserSecurity',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (607,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (607,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (607,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (607,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (607,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (607,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (607,'trans_date',null,'Inventory',90000,'checkin_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (607,'quantity',null,'Inventory',90000,'quantity',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (608,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (608,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (608,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (608,'first_name',null,'UserSecurity',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (608,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (608,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (608,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (608,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (608,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (608,'trans_date',null,'Inventory',90000,'checkout_date',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (609,'moveto_site_name',null,'Move to',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (609,'entry_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (609,'code',null,null,7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (609,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (609,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (609,'site_name',null,null,8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (609,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (609,'moveto_location',null,'Move to',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (610,'entry_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (610,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (610,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (610,'moveto_site_name',null,'Move to',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (610,'moveto_location',null,'Move to',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (610,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (610,'code',null,null,7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (610,'site_name',null,null,8,'site_name',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (611,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (611,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (611,'entry_date',null,'Inventory',90000,'move_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (611,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (611,'moveto_location',null,'to',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (611,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (611,'code',null,'from',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (611,'first_name',null,'UserSecurity',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (611,'site_name',null,'from',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (611,'moveto_site_name',null,'to',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (611,'last_name',null,'User',90000,'last_name',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (612,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (612,'trans_date',null,'Inventory',90000,'remove_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (612,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (612,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (612,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (612,'first_name',null,'UserSecurity',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (612,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (612,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (612,'code',null,'Location',7,'code',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'trans_date',null,'Inventory',90000,'remove_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'pallet',null,'Inventory',11,'pallet',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'entry_date',null,'Inventory',13,'trans_date000',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'customer_name',null,'Customer',4,'name0000',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (613,'site_name',null,'Site',8,'site_name',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (617,'trans_date',null,'Audit Date',90000,'audit_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (617,'item_number',null,'Item Number',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (617,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (617,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (617,'current_qty',null,'Original Qty',90000,'original_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (617,'quantity',null,'Discrepancy',90000,'discrepancy',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (617,'current_qty',null,'Accepted Qty',90000,'accepted_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (617,'serial_number',null,'Serial Number',6,'track_serial_numbers',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (617,'note_text',null,'Notes',90000,'notes',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (618,'trans_date',null,'Audit Date',90000,'audit_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (618,'item_number',null,'Item Number',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (618,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (618,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (618,'current_qty',null,'Original Qty',90000,'original_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (618,'quantity',null,'Discrepancy',90000,'discrepancy',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (618,'current_qty',null,'Accepted Qty',90000,'accepted_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (618,'serial_number',null,'Serial Number',6,'track_serial_numbers',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (618,'note_text',null,'Notes',90000,'notes',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (618,'adjust_trans_code',null,'vAdjustInventory',13,'adjust_trans_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (618,'item_description',null,'Description',6,'description',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (619,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (619,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (619,'entry_date',null,'Inventory',90000,'move_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (619,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (619,'moveto_location',null,'to',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (619,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (619,'code',null,'from',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (619,'first_name',null,'UserSecurity',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (619,'site_name',null,'from',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (619,'moveto_site_name',null,'to',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (619,'last_name',null,'User',90000,'last_name',null);


insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (614,'start_date',null,'SpActivityReport;1',90000,'start_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (614,'end_date',null,'SpActivityReport;1',90000,'end_date',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'unit_of_measure',null,'item',6,'unit_of_measure',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'quantity_ordered',null,'po_detail',22,'quantity_ordered',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'quantity_received',null,'PO Receive',90000,'received_quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'cost',null,'Item',6,'cost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'po_number',null,'po_master',22,'po_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'order_date',null,'po_master',22,'order_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'due_date',null,'Invoice Pick',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'supplier_number',null,'Supplier',9,'supplier_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (615,'uom_code',null,'unit_of_measure',6,'uom_code',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'cost',null,'Item',6,'cost',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'unit_of_measure',null,'item',6,'unit_of_measure',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'manufacturer_sku',null,'Manufacturer',0,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'location_description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'date_acquired',null,'Inventory',90000,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'quantity',null,'Inventory',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'pallet',null,'Inventory',11,'pallet',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'site_description',null,'Site',8,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'supplier_name',null,'Supplier',9,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'entry_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'current_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'remaining_qty',null,'Inventory',90000,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'customer_name',null,'Customer',4,'name0000',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (616,'po',null,'Inventory',11,'po',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'due_date',null,'Invoice Pick',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'website',null,'Manufacturer',5,'website',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'ref_number',null,'Invoice Pick',1001,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'Bill_address1',null,'Bill',2,'address1',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'quantity',null,'Item',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (701,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'quantity',null,'Item',90000,'order_quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'ref_number1','Invoice #','Invoice Pick',0,null,null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'picked_quantity',null,'Invoice Pick',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'due_date',null,'Invoice Pick',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'due_date',null,'Invoice Pick',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'ref_number',null,'Invoice Pick',1001,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'qty',null,'Inventory',90000,'ship_quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (702,'location',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (703,'due_date',null,'Invoice Pick',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (703,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (703,'due_date',null,'Invoice Pick',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (703,'picked_quantity',null,'Item',90000,'ship_quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (703,'location',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (703,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (703,'ref_number',null,'Invoice Pick',1001,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (703,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (703,'ref_number','Invoice #','Invoice Pick',0,null,null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (703,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (703,'quantity',null,'Order',90000,'order_quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (704,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (704,'ref_number',null,'Invoice Pick',1001,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (704,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (704,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (704,'due_date',null,'Invoice Pick',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (704,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (705,'due_date',null,'Invoice Pick',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (705,'ref_number',null,'Invoice Pick',1001,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (706,'due_date',null,'Invoice Pick',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (706,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (706,'customer_name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (707,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (707,'customer_name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (707,'due_date',null,'Invoice Pick',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (708,'ref_number',null,'Invoice Pick',0,null,null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (708,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (708,'allow_shorting',null,'vInvoiceInfo',4,'allow_shorting',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (708,'quantity',null,'Item',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (708,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (708,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (708,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (708,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (708,'due_date',null,'Invoice Pick',22,'due_date',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (801,'quantity',null,'Item',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (801,'due_date',null,'Item Receive',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (801,'description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (801,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (801,'ref_number',null,'Item Receive',1000,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (802,'quantity',null,'Item',90000,'original_order_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (802,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (802,'site_name1',null,'Item Receive',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (802,'quantity_received1','Received Quantity','PO Receive',0,null,null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (802,'quantity_received2',null,'Item Receive',90000,'received_quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (802,'due_date1',null,'Item Receive',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (802,'qty',null,'Inventory',90000,'received_quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (802,'ref_number',null,'PO Receive',1000,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (802,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (802,'location1',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (803,'quantity_received',null,'PO Receive',90000,'received_quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (803,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (803,'ref_number',null,'Item Receive',1000,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (803,'due_date',null,'Item Receive',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (803,'description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (803,'quantity',null,'Item',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (804,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (804,'quantity_received',null,'Item Receive',90000,'received_quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (804,'ref_number',null,'Item Receive',15,'require_pos',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (804,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (806,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (806,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (806,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (806,'quantity_received',null,'Item Receive',90000,'received_quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (806,'po_type',null,'vPOinfo',22,'po_type',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (806,'ref_number',null,'Item Receive',1000,'po',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'supplier_number',null,'Supplier',9,'supplier_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'phone_number',null,'Customer',4,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'fax',null,'Customer',4,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'cfax',null,'Supplier',9,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'city',null,'Customer',4,'city',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'postal_code',null,'Customer',4,'postal_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'country',null,'Customer',4,'country',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'supplierStatus',null,'vSupplierBillingAddress',0,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'contact_name',null,'Supplier',9,'contact_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'cphone',null,'Supplier',9,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'mail_stop',null,'Supplier',9,'mail_stop',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'email',null,'Customer',4,'email',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'website',null,'Manufacturer',5,'website',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'cextension',null,'Supplier',9,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'ccell',null,'Customer',4,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'address1',null,'Customer',4,'address1',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'address2',null,'Customer',4,'address2',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1001,'state',null,'Customer',4,'state',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'address2',null,'Supplier',9,'address2',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'cextension','Cextension','Supplier',9,null,'Contact work phone extension');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'address1',null,'Supplier',9,'address1',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'phone_number',null,'Supplier',9,null,null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'cfax',null,'Supplier',9,null,'Contact Fax');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'ccell','Cell Phone','Supplier',9,null,'Contact Cell Phone');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'website',null,'Supplier',9,'website',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'email',null,'Supplier',9,'email',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'mail_stop',null,'Supplier',9,'mail_stop',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'contact_name',null,'Supplier',9,'contact_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'extension',null,'Supplier',9,null,'extension');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'country',null,'Supplier',9,'country',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'supplier_number',null,'Supplier',9,'supplier_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'name',null,'Supplier',9,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'fax','Fax','Supplier',9,null,'fax');
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'postal_code',null,'Supplier',9,'postal_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'city',null,'Supplier',9,'city',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1002,'state',null,'Supplier',9,'state',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'city',null,'Customer',4,'city',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'ccell',null,'Customer',4,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'address1',null,'Customer',4,'address1',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'state',null,'Customer',4,'state',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'supplierStatus',null,'vSupplierBillingAddress',0,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'supplier_number',null,'Supplier',9,'supplier_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'cfax',null,'Supplier',9,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'address2',null,'Customer',4,'address2',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'mail_stop',null,'Supplier',9,'mail_stop',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'email',null,'Customer',4,'email',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'website',null,'Manufacturer',5,'website',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'contact_name',null,'Supplier',9,'contact_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'phone_number',null,'Customer',4,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'fax',null,'Customer',4,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'cphone',null,'Supplier',9,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'cextension',null,'Supplier',9,'',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'postal_code',null,'Customer',4,'postal_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1003,'country',null,'Customer',4,'country',null);

insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1004,'first_name',null,'UserSecurity',90000,'first_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1004,'last_name',null,'User',90000,'last_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1004,'user_logon',null,'User',90000,'login_name',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1006,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1006,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1006,'supplier_name',null,'Supplier',6,'Supplier',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1006,'item_type_name',null,'Item Type',6,'item_type_name',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'site_description',null,'Site',8,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'location_description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'pallet',null,'Inventory',11,'pallet',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1101,'current_qty',null,'Inventory',13,'current_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'current_qty',null,'Inventory',13,'current_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'site_description',null,'Site',8,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'pallet',null,'Inventory',11,'pallet',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1102,'location_description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1103,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1103,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1103,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1103,'pallet',null,'Inventory',11,'pallet',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1103,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1103,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1103,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1103,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1103,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1103,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1103,'current_qty',null,'Inventory',13,'current_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'current_qty',null,'Inventory',13,'current_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'pallet',null,'Inventory',11,'pallet',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1104,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1105,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1105,'site_description',null,'Site',8,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1105,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1105,'pallet',null,'Inventory',11,'pallet',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1105,'location_description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1105,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1105,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1105,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1105,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1105,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'current_qty',null,'Inventory',13,'current_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'pallet',null,'Inventory',11,'pallet',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'site_description',null,'Site',8,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1107,'location_description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'item_description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'location_description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'current_qty',null,'Inventory',13,'current_qty',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'site_name',null,'Site',8,'site_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'date_code',null,'Inventory',11,'date_code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'code',null,'Location',7,'code',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'quantity',null,'Inventory',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'trans_date',null,'Inventory',13,'trans_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'lot',null,'Inventory',11,'lot',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'serial_number',null,'Inventory',11,'serial_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'site_description',null,'Site',8,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1108,'pallet',null,'Inventory',11,'pallet',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'customer_number',null,'Customer',4,'customer_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'company_name',null,'Customer',4,'company_name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'description',null,'Item',6,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'picked_quantity',null,'Invoice Pick',11,'quantity',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'order_number',null,'vPickDetails',26,'order_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'order_status',null,'vPickDetails',26,'order_status',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'due_date',null,'Invoice Pick',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'name',null,'Customer',4,'name',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'unit_of_measure',null,'item',6,'unit_of_measure',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'creation_date',null,'vPickDetails',26,'creation_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'ship_date',null,'vPickDetails',26,'ship_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (1301,'po_status_text',null,'Po',0,'',null);
GO
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10007,'process_id',null,'import_QB_errors',90000,'error_type',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10007,'original_data',null,'import_QB_errors',90000,'id_reference',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10007,'error_number',null,'import_QB_errors',90000,'object_type',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10007,'error_description',null,'import_QB_errors',90000,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10008,'error_number',null,'import_export_errors',90000,'error_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10008,'process_id',null,'import_export_errors',90000,'process_type',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10008,'original_data',null,'import_export_errors',90000,'original_data',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10008,'error_description',null,'import_export_errors',90000,'error_description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10012,'ref_number',null,'Item Receipt',1000,'po',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10012,'due_date',null,'Item Receipt',22,'due_date',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10012,'item_number',null,'Item',6,'item_number',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10012,'quantity',null,'Item',6,'qty_available',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10012,'description',null,'Location',7,'description',null);
insert into report_labels (rpt_id,db_field_report,rpt_label,rpt_label2,form_id,db_field,field) values (10012,'po_type',null,'vPOinfo',22,'po_type',null);
GO



----------------------------------------------------
-- Table Name: report_names
----------------------------------------------------
DELETE FROM report_names

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (103,1,3,'Item Reorder by Item Total Report','Item Reorder by Item Total Report','Item Reorder by Item Total Report','F','F','Items below the Item Total reorder point.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (104,1,4,'Item Reorder by Location Report','Item Reorder by Location Report','Item Reorder by Location Report','F','F','Items below the per location reorder point.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (105,1,5,'Item Summary Report','Item Summary Report','Item Summary Report','F','F','List of all items and  their important information.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (106,1,6,'Out of Stock Items Report','Out of Stock Items Report','Out of Stock Items Report','F','F','Items with 0 quantity.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (107,1,7,'Overstocked Items Report','Overstocked Items Report','Overstocked Items Report','F','F','Items above the per location maximum stock level.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (108,1,8,'Out of Stock Items By Location Report','Out of Stock Items By Location Report','Out of Stock Items By Location Report','F','F','Items with 0 quantity at locations where mnimum stock levels are set.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (109,1,9,'Overstocked Items By Location Report','Overstocked Items By Location Report','Overstocked Items By Location Report','F','F','Items above the per location maximum stock level.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (110,1,10,'Item Transaction History Report','Item Transaction History Report','Item Transaction History Report','F','F','All transactions at a per item level. Use the filter to restrict the transactions to those you need to see.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (111,1,-11,'Item Shipping History Summary Report','Item Shipping History Summary Report','Item Shipping History Summary Report','F','F','Summary of items shipped. **','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (112,1,12,'Item By Category Report','Item By Category Report','Item By Category Report','F','F','A list of items linked to each category.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (113,1,13,'Item By Manufacturer Report','Item By Manufacturer Report','Item By Manufacturer Report','F','F','A list of items linked to each manufacturer.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (114,1,14,'Item By Supplier Report','Item By Supplier Report','Item By Supplier Report','F','F','A list of the items linked to each supplier.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (115,1,15,'Kit Details Report','Kit Details Report','Kit Details Report','F','F','Report shows kit details.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (116,1,16,'Assembly Details Report','Assembly Details Report','Assembly Details Report','F','F','Report shows assembly details.','P');

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (201,2,1,'Inventory By Location Report','Inventory By Location Report','Inventory By Location Report','F','F','The available, on hand and checked out inventory counts at each location.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (202,2,2,'Inventory Location Report','Inventory Location Report','Inventory Location Report','F','F','A list of each location and what inventory is in it.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (203,2,3,'Inventory Location Serial Number Report','Inventory Location Serial Number Report','Inventory Location Serial Number Report','F','F','A list of each site and location with inventory items tracked by serial number','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (204,2,4,'Negative Inventory By Serial Number Report','Negative Inventory By TrackBy Report','Negative Inventory By Serial Number Report','F','F','A list of items with a negative quantity. This can happen when mobile devices have wrong counts or when not all mobile devices have been synced.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (205,2,5,'Inventory Adjust By Reason Report','Inventory Adjust By Reason Report','Inventory Adjust By Reason Report','F','F','Adjustments made to inventory during an audit listed by reason code. Use the filter to limit the adjustments to a time period.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (206,2,6,'Inventory Add History Summary Report','Inventory Add History Summary Report','Inventory Add History Summary Report','F','F','The history of adds to inventory by date. Use the filter to see just the transactions you want.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (207,2,7,'Inventory Remove History Summary Report','Inventory Remove History Summary Report','Inventory Remove History Summary Report','F','F','The history of removes from inventory by date. Use the filter to show the date range you are interested in.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (208,2,8,'Inventory Status Report','Inventory Status Report','Inventory Status Report','F','F','Available quantity of items and the average cost in each location.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (209,2,9,'Inventory Aging Summary Report','Inventory Aging Summary Report','Inventory Aging Summary Report','F','F','Reports age of inventory based on when the inventory was added or received.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (210,2,10,'Inventory Detail Report','Inventory Detail Report','Inventory Detail Report','F','F','A detailed look at the inventory item data.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (211,2,11,'Inventory Summary Report','Inventory Summary Report','Inventory Summary Report','F','F','A summary of inventory quantities.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (212,2,12,'Inventory Cost Report','Inventory Cost Report','Inventory Cost Report','F','F','The average cost of existing inventory.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (213,2,13,'Inventory By Trackby Report','Inventory By Trackby Report','Inventory By Trackby Report','F','F','A list of all inventory organized by the track by data.','L');

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (301,3,1,'Location List Report','Location List Report','Location List Report','F','F','List of all locations.','P');

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (401,4,1,'Customer By ID Report','Customer By ID Report','Customer By ID Report','F','F','A list of customers ordered by customer ID.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (402,4,2,'Customer By Name Report','Customer By Name Report','Customer By Name Report','F','F','A list of customers ordered by customer name','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (403,4,3,'Customer By Postal Code Report','Customer By Postal Code Report','Customer By Postal Code Report','F','F','A list of customers ordered by the customers postal code.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (404,4,4,'Customer By State Report','Customer By State Report','Customer By State Report','F','F','A list of customers ordered by the customers state.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (405,4,5,'Customer History Report','Customer History Report','Customer History Report','F','F','A list of transactions for each item grouped by customer.','L');

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (501,5,1,'Check-out By Customer Report','Check-out By Customer Report','Check-out By Customer Report','F','F','A list of customers and what each has checked out.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (502,5,2,'Check-out By Due Date Report','Check-out By Due Date Report','Check-out By Due Date Report','F','F','A list of the due dates and the items that are due to be checked back in on each.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (503,5,3,'Check-out By Item Number Report','Check-out By Item Number Report','Check-out By Item Number Report','F','F','A list of items and when it was checked out to each customer.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (504,5,4,'Check-out By Out Date Report','Check-out By Out Date Report','Check-out By Out Date Report','F','F','A list of dates one or more items were checked out and the items checked out on each day.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (505,5,5,'Check-out Due Today Report','Check-out Due Today Report','Check-out Due Today Report','F','F','A list of checked out items that are due on the day the report is run.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (506,5,6,'Check-out Past Due Report','Check-out Past Due Report','Check-out Past Due Report','F','F','A list of checked out items that are past the due back date.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (507,5,7,'Check-out By Customer with Serial Number Report','Check-out By Customer with Serial Number Report','Check-out By Customer with Serial Number Report','F','F','A list of customers and everything they have checked out including the serial number of the item. Use the filter to narrow the list to the suppliers you are interested in.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (508,5,8,'Check-out By Customer With Cost Report','Check-out By Customer With Cost Report','Check-out By Customer With Cost Report','F','F','A list of customers and what each has checked out, with cost.','L');

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (601,6,1,'Transaction Add By Reference Number','Transaction Add By PO Report','Transaction Add By Reference Number','F','F','A list of reference numbers and the adds associated with that number.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (602,6,2,'Transaction Add By Supplier Report','Transaction Add By Supplier Report','Transaction Add By Supplier Report','F','F','A list suppliers and all the adds done from that supplier.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (603,6,3,'Transaction Add Report','Transaction Add Report','Transaction Add Report','F','F','A list of all adds. Use the filter to limit the list to a range of dates.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (604,6,4,'Transaction Add With Reference Number','Transaction Add With PO Report','Transaction Add With Reference Number','F','F','A list of adds with the refrence number.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (605,6,5,'Transaction Add With Supplier Report','Transaction Add With Supplier Report','Transaction Add With Supplier Report','F','F','A list of adds with the supplier information.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (606,6,6,'Transaction Adjust Report','Transaction Adjust Report','Transaction Adjust Report','F','F','A list of all inventory adjustments.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (607,6,8,'Transaction Check-in Report','Transaction Check-in Report','Transaction Check-in Report','F','F','A list of all check-ins. Use the filter to limit the list to a date range or to the person who had the item.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (608,6,9,'Transaction Check-out Report','Transaction Check-out Report','Transaction Check-out Report','F','F','A list of all check-outs. Use the filter to limit the list to a date range or to the person checked out to.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (609,6,10,'Transaction History (Archived) Report','Transaction History (Archived) Report','Transaction History (Archived) Report','F','F','A list of all the archived transactions.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (610,6,11,'Transaction History Report','Transaction History Report','Transaction History Report','F','F','A list of all transactions. Use the filter to limit the list to a range of dates or to show only certain transactions.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (611,6,12,'Transaction Move Report','Transaction Move Report','Transaction Move Report','F','F','A list of all Moves. Use the filter to limit the list to a range of dates','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (612,6,13,'Transaction Remove Report','Transaction Remove Report','Transaction Remove Report','F','F','A list of all Removes. Use the filter to limit the list to a range of dates.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (613,6,14,'Transaction Remove By Customer Report','Transaction Remove By Customer Report','Transaction Remove By Customer Report','F','F','A list of all Removes to a Customer. Use the filter to limit to a date range or individual customer.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (614,6,-1,'Inventory Activity Report','Inventory Activity Report','Inventory Activity Report','F','F','How often inventory is being acted on.','L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (616,6,15,'Transaction Pick Report','Transaction Pick Report','Transaction Pick Report','F','F','All Pick Orders by date. Use the filter to show only the Pick Orders you need to see.','P')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (617,6,16,'Audit History By Audit Date Report','Audit History By Audit Date Report','Audit History By Audit Date Report','F','F','Audit history sorted by audit date. Use the filter to show only the audit history you need to see.','P')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (618,6,17,'Audit History By Item Number Report','Audit History By Item Number Report','Audit History By Item Number Report','F','F','Audit history sorted by item number. Use the filter to show only the audit history you need to see.','P')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (619,6,18,'Transaction Move With Cost Report','Transaction Move With Cost Report','Transaction Move With Cost Report','F','F','A list of all Moves with cost information. Use the filter to limit the list to a range of dates','P');

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (701,7,-1,'Line Item Pick Ticket','Line Item Pick Ticket','Line Item Pick Ticket','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (702,7,2,'Line Item Post Pick Location Report','Line Item Pick Report','Line Item Post Pick Location Report','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (703,7,3,'Packing Slip','Packing Slip','Packing Slip','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (704,7,4,'Line Item Pick Location Report','Line Item Pick Location Report','Line Item Pick Location Report','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (705,7,5,'Pending Invoice Report','Pending Invoice Report','Pending Invoice Report','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (706,7,6,'Back Ordered Invoice Report','Back Ordered Invoice Report','Back Ordered Invoice Report','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (707,7,7,'Back Ordered Invoice By Customer Report','Back Ordered Invoice By Customer Report','Back Ordered Invoice By Customer Report','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (708,7,-8,'Line Item Pick Ticket','Line Item Pick Ticket with Bar Codes','Line Item Pick Ticket','F','F',null,'L');

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (801,8,-1,'Item Receive Ticket','Item Receive Report','Item Receive Ticket','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (802,8,2,'Item Receipt Report','Item Receive Report','Item Receipt Report','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (803,8,3,'Item Receipt Report (with Barcodes)','Item Receive Barcode Report','Item Receipt Report (with Barcodes)','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (804,8,4,'Item Receipt Discrepancy Report','Item Receive Discrepancy Report','Item Receipt Discrepancy Report','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (805,8,-5,'Credit Memo','Item Receive Receipt (All)','Credit Memo','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (806,8,6,'Active PO Report','Active PO Report','Active PO Report','F','F','A List of POs that are active.','L');

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (901,12,-1,'Purchase Order Report','Purchase Order Report','Purchase Order Report','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (902,12,-1,'Pick Order','Pick Order','Pick Order','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (903,12,-1,'Packing Slip','Packing Slip','Packing Slip','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (904,12,-1,'Receiver','Receiver','Receiver','F','F',null,'L');

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1001,10,1,'Supplier By Name Report','Supplier By Name Report','Supplier By Name Report','F','F','A list of differences in the inventory counts that were found.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1002,10,2,'Manufacturer By Name Report','Manufacturer By Name Report','Manufacturer By Name Report','F','F','A list of changes to inventory that were made and accepted.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1003,10,-3,'Vendor By Code Report','Supplier By Code Report','Vendor By Code Report','F','F','A list if changes made durring each audit.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1004,10,4,'User Security Option Report','User Security Option Report','User Security Option Report','F','F','A list of each item and what audit changes have been made to it.','P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1005,10,6,'Browse...','Browse...','Browse...','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1006,10,3,'Supplier By Item Report','Supplier By Item Report','Supplier By Item Report','F','F','List of each item that is linked to a Supplier.','P')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1007,10,5,'Non-Inventory Report','Non-Inventory Report','Non-Inventory Report','F','F','A list of all non-inventory items.','P')

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1101,11,2,'Accepted Audit Discrepancies Report','Accepted Audit Discrepancies Report','Accepted Audit Discrepancies Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1102,11,3,'Accepted Audit Result Report','Accepted Audit Result Report','Accepted Audit Result Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1103,11,4,'Audit History By Audit Date Report','Audit History By Audit Date Report','Audit History By Audit Date Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1104,11,5,'Audit History By Item Number Report','Audit History By Item Number Report','Audit History By Item Number Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1105,11,6,'Not Counted Items Report','Not Counted Items Report','Not Counted Items Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1107,11,7,'Unreconciled Audit Discrepancies Report','Unreconciled Audit Discrepancies Report','Unreconciled Audit Discrepancies Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1108,11,8,'Unreconciled Audit Result Report','Unreconciled Audit Result Report','Unreconciled Audit Result Report','F','F',null,'P');

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1301,13,2,'Pick By Customer Report','Pick By Customer Report','Pick By Customer Report','F','F','Pick Orders by Customer. Use the filter to show only open orders or orders for one customer only.','P')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1302,13,1,'Pick Status Report','Pick Status Report','Pick Status Report','F','F','All open Pick Orders by date.','P')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1303,13,3,'Pick Item Summary by Customer Report','Pick Item Summary by Customer Report','Pick Item Summary by Customer Report','F','F','Shows how many of the itmes have been picked for a customer. Use the filter to limit the report to a date range.','P')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1304,13,4,'Pick Item Summary','Pick Item Summary','Pick Item Summary','F','F','Shows how many of the itmes have been picked. Use the filter to limit the report to a date range or specific item.','P')

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1401,14,6,'Received Short Report','Received Short Report','Received Short Report','F','F','All Purchase Orders that have been partially received by date.','L')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1402,14,4,'Received Units By Supplier','Received Units By Supplier','Received Units By Supplier','F','F','Total number of each item Received per Supplier.','P')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1403,14,5,'Received Units By Item','Received Units By Item','Received Units By Item','F','F','Total number of each item Received by Item.','P')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1404,14,3,'Purchase Order Forecast Report','Purchase Order Forecast Report','Purchase Order Forecast Report','F','F','Open Purchase Orders and the total of the order by date. Use the filter to restrict which Purchase Orders you total.','L')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1405,14,2,'Overdue Purchase Orders Report','Overdue Purchase Orders Report','Overdue Purchase Orders Report','F','F','Open purchase orders that are due today or were due before today.','P')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1406,14,1,'Purchase Order History Report','Purchase Order History Report','Purchase Order History Report','F','F','List of all Purchase Orders. Use the filter to limit which purchase orders you see.','L')
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (1407,14,7,'Purchase Order Receive Report','Purchase Order Receive Report','Purchase Order Receive Report','F','F','All Purchase Orders Receives by date. Use the filter to show only the Receives you need to see.','L')

insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10001,10000,null,'Inventory Adjust Receipt','Inventory Adjust Receipt','Inventory Adjust Receipt','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10002,10000,null,'Inventory Check-in Receipt','Inventory Check-in Receipt','Inventory Check-in Receipt','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10003,10000,null,'Inventory Check-out Receipt','Inventory Check-out Receipt','Inventory Check-out Receipt','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10004,10000,null,'Inventory Move Receipt','Inventory Move Receipt','Inventory Move Receipt','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10005,10000,null,'Inventory Add Receipt','Inventory Add Receipt','Inventory Add Receipt','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10006,10000,null,'Inventory Remove Receipt','Inventory Remove Receipt','Inventory Remove Receipt','F','F',null,'L');
GO
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10007,10000,null,'Import from QB Error Report','Import from QB Error Report','Import from QB Error Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10008,10000,null,'Import-Export Error Report','Import-Export Error Report','Import-Export Error Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10009,10000,null,'Line Item Pick Receipt','Line Item Pick Receipt','Line Item Pick Receipt','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10010,10000,null,'Item Receipt','Item Receive Receipt','Item Receipt','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10011,10000,null,'Line Item Post Pick Report','Line Item Pick Receipt (All)','Line Item Post Pick Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10012,10000,null,'Item Receipt','Item Receive Receipt (All)','Item Receipt','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10013,10000,null,'Inventory Assemble Receipt','Inventory Assemble Receipt','Inventory Assemble Receipt','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (10014,10000,null,'Inventory Disassemble Receipt','Inventory Disassemble Receipt','Inventory Disassemble Receipt','F','F',null,'L');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (11001,10000,-1,'Pick Ticket','Pick Ticket','Pick Ticket','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (11002,10000,-2,'Packing Slip','Packing Slip','Packing Slip','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (11003,10000,-3,'All Opened Requests Report','All Opened Requests Report','All Opened Requests Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (11004,10000,-4,'All Shipped Requests Report','All Shipped Requests Report','All Shipped Requests Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (11005,10000,-5,'All Cancelled Requests Report','All Cancelled Requests Report','All Cancelled Requests Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (11006,10000,-6,'Pick Ticket with Item and Location Barcodes','Pick Ticket with Item and Location Barcodes','Pick Ticket with Item and Location Barcodes','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (11007,10000,-7,'Inventory Request Summary Report','Inventory Request Summary Report','Inventory Request Summary Report','F','F',null,'P');
insert into report_names (rpt_id,rpt_type,rpt_display_order,rpt_name,rpt_file_name,rpt_default_name,rpt_filter,rpt_show_dialog,rpt_tool_tips,rpt_orientation) values (11008,10000,-8,'Miscellaneous Request Summary Report','Miscellaneous Request Summary Report','Miscellaneous Request Summary Report','F','F',null,'P');
GO





----------------------------------------------------
-- Table Name: request_status
----------------------------------------------------
if NOT EXISTS (select * from request_status where status_id=0)
BEGIN
insert into request_status (status_id,code,label) values (0,'open','Opened');
END

if NOT EXISTS (select * from request_status where status_id=1)
BEGIN
insert into request_status (status_id,code,label) values (1,'ship','Shipped');
END

if NOT EXISTS (select * from request_status where status_id=2)
BEGIN
insert into request_status (status_id,code,label) values (2,'cancel','Cancelled');
END

GO





----------------------------------------------------
-- Table Name: security_privileges
----------------------------------------------------
if NOT EXISTS (select * from security_privileges where security_code = 'add')
	insert into security_privileges (security_code,description,company_id) values ('add','Add Inventory',1);
else
	UPDATE security_privileges SET description = 'Add Inventory', company_id = 1 where (security_code = 'add')

if NOT EXISTS (select * from security_privileges where security_code = 'adjust')
	insert into security_privileges (security_code,description,company_id) values ('adjust','Adjust Inventory',1);
else
	UPDATE security_privileges SET description = 'Adjust Inventory', company_id = 1 where (security_code = 'adjust')

if NOT EXISTS (select * from security_privileges where security_code = 'admin')
	insert into security_privileges (security_code,description,company_id) values ('admin','Administration Privilege',1);
else
	UPDATE security_privileges SET description = 'Administration Privilege', company_id = 1 where (security_code = 'admin')
	
if NOT EXISTS (select * from security_privileges where security_code = 'assembly')
	insert into security_privileges (security_code,description,company_id) values ('assembly','Build Assembly',1);
else
	UPDATE security_privileges SET description = 'Build Assembly', company_id = 1 where (security_code = 'assembly')

if NOT EXISTS (select * from security_privileges where security_code = 'audit')
	insert into security_privileges (security_code,description,company_id) values ('audit','Audit',1);
else
	UPDATE security_privileges SET description = 'Audit', company_id = 1 where (security_code = 'audit')

if NOT EXISTS (select * from security_privileges where security_code = 'backup')
	insert into security_privileges (security_code,description,company_id) values ('backup','Backup and Restore',1);
else
	UPDATE security_privileges SET description = 'Backup and Restore', company_id = 1 where (security_code = 'backup')

if NOT EXISTS (select * from security_privileges where security_code = 'checkin')
	insert into security_privileges (security_code,description,company_id) values ('checkin','Check In',1);
else
	UPDATE security_privileges SET description = 'Check In', company_id = 1 where (security_code = 'checkin')

if NOT EXISTS (select * from security_privileges where security_code = 'checkout')
	insert into security_privileges (security_code,description,company_id) values ('checkout','Check Out ',1);
else
	UPDATE security_privileges SET description = 'Check Out ', company_id = 1 where (security_code = 'checkout')

if NOT EXISTS (select * from security_privileges where security_code = 'delete')
	insert into security_privileges (security_code,description,company_id) values ('delete','Delete',1);
else
	UPDATE security_privileges SET description = 'Delete', company_id = 1 where (security_code = 'delete')
	
if NOT EXISTS (select * from security_privileges where security_code = 'disassembly')
	insert into security_privileges (security_code,description,company_id) values ('disassembly','Disassemble',1);
else
	UPDATE security_privileges SET description = 'Disassemble', company_id = 1 where (security_code = 'disassembly')

if EXISTS (select * from security_privileges where security_code = 'falcon')
BEGIN
	DELETE user_privileges WHERE     (security_code = 'falcon')
	DELETE security_privileges where (security_code = 'falcon')
END
	
if NOT EXISTS (select * from security_privileges where security_code = 'edit')
	insert into security_privileges (security_code,description,company_id) values ('edit','Edit',1);
else
	UPDATE security_privileges SET description = 'Edit', company_id = 1 where (security_code = 'edit')
	
if NOT EXISTS (select * from security_privileges where security_code = 'labels')
	insert into security_privileges (security_code,description,company_id) values ('labels','Labels',1);
else
	UPDATE security_privileges SET description = 'Labels', company_id = 1 where (security_code = 'labels')

if NOT EXISTS (select * from security_privileges where security_code = 'manageco')
	insert into security_privileges (security_code,description,company_id) values ('manageco','Manage Companies',-1);
else
	UPDATE security_privileges SET description = 'Manage Companies', company_id = -1 where (security_code = 'manageco')

if NOT EXISTS (select * from security_privileges where security_code = 'move')
	insert into security_privileges (security_code,description,company_id) values ('move','Move',1);
else
	UPDATE security_privileges SET description = 'Move', company_id = 1 where (security_code = 'move')

if NOT EXISTS (select * from security_privileges where security_code = 'new')
	insert into security_privileges (security_code,description,company_id) values ('new','New',1);
else
	UPDATE security_privileges SET description = 'New', company_id = 1 where (security_code = 'new')

if NOT EXISTS (select * from security_privileges where security_code = 'pc')
	insert into security_privileges (security_code,description,company_id) values ('pc','Allow PC Login',1);
else
	UPDATE security_privileges SET description = 'Allow PC Login', company_id = 1 where (security_code = 'pc')

if NOT EXISTS (select * from security_privileges where security_code = 'mobility')
	insert into security_privileges (security_code,description,company_id) values ('mobility','Allow Mobile Device Login',1);
else
	UPDATE security_privileges SET description = 'Allow Mobile Device Login', company_id = 1 where (security_code = 'mobility')

if NOT EXISTS (select * from security_privileges where security_code = 'pick')
	insert into security_privileges (security_code,description,company_id) values ('pick','Pick',1);
else
	UPDATE security_privileges SET description = 'Pick', company_id = 1 where (security_code = 'pick')

if NOT EXISTS (select * from security_privileges where security_code = 'receive')
	insert into security_privileges (security_code,description,company_id) values ('receive','Receive',1);
else
	UPDATE security_privileges SET description = 'Receive', company_id = 1 where (security_code = 'receive')

if NOT EXISTS (select * from security_privileges where security_code = 'remove')
	insert into security_privileges (security_code,description,company_id) values ('remove','Remove Inventory',1);
else
	UPDATE security_privileges SET description = 'Remove Inventory', company_id = 1 where (security_code = 'remove')

if NOT EXISTS (select * from security_privileges where security_code = 'reports')
	insert into security_privileges (security_code,description,company_id) values ('reports','Reports',1);
else
	UPDATE security_privileges SET description = 'Reports', company_id = 1 where (security_code = 'reports')

if NOT EXISTS (select * from security_privileges where security_code = 'stage')
	insert into security_privileges (security_code,description,company_id) values ('stage','Stage',-1);
else
	UPDATE security_privileges SET description = 'Stage', company_id = -1 where (security_code = 'stage')

if NOT EXISTS (select * from security_privileges where security_code = 'upload')
	insert into security_privileges (security_code,description,company_id) values ('upload','Process Mobile Device Data',1);
else
	UPDATE security_privileges SET description = 'Process Mobile Device Data', company_id = 1 where (security_code = 'upload')



GO




----------------------------------------------------
-- Table Name: ship_methods
----------------------------------------------------
if NOT EXISTS (select * from [ship_methods] where ship_method_id = 0)
BEGIN
	SET IDENTITY_INSERT [ship_methods] ON;
	insert into ship_methods (ship_method_id,ship_method_text,company_id,record_status) values (0,'',1,1);
	insert into ship_methods (ship_method_id,ship_method_text,company_id,record_status) values (1,'FedEx',1,1);
	insert into ship_methods (ship_method_id,ship_method_text,company_id,record_status) values (2,'UPS',1,1);
	insert into ship_methods (ship_method_id,ship_method_text,company_id,record_status) values (3,'USPS - Postal Service',1,1);
	insert into ship_methods (ship_method_id,ship_method_text,company_id,record_status) values (4,'DHL',1,1);
	insert into ship_methods (ship_method_id,ship_method_text,company_id,record_status) values (5,'Other - Add to comments',1,1);
	SET IDENTITY_INSERT [ship_methods] OFF;
END
GO




----------------------------------------------------
-- Table Name: transaction_types
----------------------------------------------------
delete from transaction_types

insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (100,'Add','Add');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (150,'Remove','Remove');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (200,'Move To','Move To');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (250,'Move From','Move');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (300,'Check In','Check In');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (350,'Check Out','Check Out');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (400,'Adjust In','Adjust In');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (450,'Adjust Out','Adjust Out');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (500,'Audit In','Audit In');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (550,'Audit','Audit Out');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (600,'Maintenance','Maintenance');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (700,'Receive','Receive');
insert into transaction_types (trans_type_no,trans_description,trans_description_2) values (750,'Ship','Ship');

GO



----------------------------------------------------
-- Table Name: unit_of_measure
----------------------------------------------------
if NOT EXISTS (select * from [unit_of_measure] where uom_id = 0)
BEGIN
	SET IDENTITY_INSERT [unit_of_measure] ON;
	insert into unit_of_measure (uom_id,item_id,supplier_id,uom_code,quantity_eaches,cost,preferred_uom,record_status,company_id,date_updated) values (0,0,0,'',1.0000,0,'F',1,1,null);
	SET IDENTITY_INSERT [unit_of_measure] OFF;
END
GO




----------------------------------------------------
-- Table Name: users
----------------------------------------------------
if NOT EXISTS (select * from [users] where user_id = 0)
BEGIN
	SET IDENTITY_INSERT [users] ON;
	insert into users (user_id,last_name,first_name,title,department,manager,user_logon,user_password,changed_password,email,record_status,company_id) values (0,null,null,null,null,null,null,null,'F',null,1,1);
	SET IDENTITY_INSERT [users] OFF;
END

if NOT EXISTS (select * from [users] where user_id = 1)
BEGIN
	SET IDENTITY_INSERT [users] ON;
	insert into users (user_id,last_name,first_name,title,department,manager,user_logon,user_password,changed_password,email,record_status,company_id) values (1,'Admin','User','','','','Admin','','F',null,1,1);
	SET IDENTITY_INSERT [users] OFF;
END

GO


----------------------------------------------------
-- Table Name: report_extras
----------------------------------------------------
if NOT EXISTS (select * from [report_extras] where field_id = 1)
BEGIN
	INSERT INTO report_extras ([field_id],[field_type]) VALUES (1,1)
END

if NOT EXISTS (select * from [report_extras] where field_id = 2)
BEGIN
	INSERT INTO report_extras ([field_id],[field_type]) VALUES (2,2)
END

if NOT EXISTS (select * from [report_extras] where field_id = 3)
BEGIN
	INSERT INTO report_extras ([field_id],[field_type]) VALUES (3,3)
END

if NOT EXISTS (select * from [report_extras] where field_id = 4)
BEGIN
	INSERT INTO report_extras ([field_id],[field_type]) VALUES (4,4)
END

GO



----------------------------------------------------
-- Table Name: user_privileges
----------------------------------------------------
if NOT EXISTS (select * from user_privileges where security_code = 'add' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'add',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'adjust' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'adjust',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'admin' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'admin',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'assembly' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'assembly',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'audit' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'audit',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'backup' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'backup',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'checkin' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'checkin',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'checkout' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'checkout',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'delete' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'delete',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'disassembly' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'disassembly',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'edit' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'edit',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'labels' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'labels',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'move' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'move',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'new' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'new',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'pc' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'pc',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'mobility' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'mobility',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'pick' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'pick',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'receive' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'receive',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'remove' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'remove',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'reports' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'reports',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'stage' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'stage',1);
END

if NOT EXISTS (select * from user_privileges where security_code = 'upload' and user_id = 1)
BEGIN
insert into user_privileges (user_id,security_code,record_status) values (1,'upload',1);
END




------------------------------------------------------
-- Clean up [user_privileges] and security_privileges
------------------------------------------------------
/*
-- The reason that we comment out this section is not to, during patch upgrades,
   grant user rights being taken away earlier.  ..FogBugz 15197

INSERT INTO [user_privileges]
SELECT distinct [user_id], 'edit', 1 FROM [users] where 
[record_status]=1 and [company_id] = 1 and user_id not in (SELECT     user_id
FROM         user_privileges
WHERE     (security_code = 'edit')) and user_id > 0

INSERT INTO [user_privileges]
SELECT distinct [user_id], 'labels', 1 FROM [users] where 
[record_status]=1 and [company_id] = 1 and user_id not in (SELECT     user_id
FROM         user_privileges
WHERE     (security_code = 'labels')) and user_id > 0

INSERT INTO [user_privileges]
SELECT distinct [user_id], 'new', 1 FROM [users] where 
[record_status]=1 and [company_id] = 1 and user_id not in (SELECT     user_id
FROM         user_privileges
WHERE     (security_code = 'new')) and user_id > 0

INSERT INTO [user_privileges]
SELECT distinct [user_id], 'pick', 1 FROM [users] where 
[record_status]=1 and [company_id] = 1 and user_id not in (SELECT     user_id
FROM         user_privileges
WHERE     (security_code = 'pick')) and user_id > 0

INSERT INTO [user_privileges]
SELECT distinct [user_id], 'receive', 1 FROM [users] where 
[record_status]=1 and [company_id] = 1 and user_id not in (SELECT     user_id
FROM         user_privileges
WHERE     (security_code = 'receive')) and user_id > 0

INSERT INTO [user_privileges]
SELECT distinct [user_id], 'reports', 1 FROM [users] where 
[record_status]=1 and [company_id] = 1 and user_id not in (SELECT     user_id
FROM         user_privileges
WHERE     (security_code = 'reports')) and user_id > 0
*/

INSERT INTO [user_privileges]
SELECT DISTINCT users.user_id, 'mobility', CASE [security_code]
WHEN 'pocketpc' THEN 1
WHEN 'pda' THEN 1
WHEN 'WDT2200' THEN 1
ELSE 0
END
FROM         users LEFT OUTER JOIN
                      user_privileges ON users.user_id = user_privileges.user_id
WHERE     (users.record_status = 1) AND (users.company_id = 1) 
	AND (users.user_id > 0) AND (users.user_id NOT IN
                          (SELECT     user_id
                            FROM          user_privileges
                            WHERE      (security_code = 'mobility'))) 
AND ((user_privileges.security_code = 'pda') OR
                      (user_privileges.security_code = 'pocketpc') OR
                      (user_privileges.security_code = 'WDT2200'))
                      
                      
                      

if EXISTS (select * from security_privileges where security_code = 'pdt')
BEGIN
	DELETE user_privileges WHERE     (security_code = 'pdt')
	DELETE security_privileges where (security_code = 'pdt')
END

if EXISTS (select * from security_privileges where security_code = 'pda')
BEGIN
	DELETE user_privileges WHERE     (security_code = 'pda')
	DELETE security_privileges where (security_code = 'pda')
END

if EXISTS (select * from security_privileges where security_code = 'pocketpc')
BEGIN
	DELETE user_privileges WHERE     (security_code = 'pocketpc')
	DELETE security_privileges where (security_code = 'pocketpc')
END

if EXISTS (select * from security_privileges where security_code = 'WDT2200')
BEGIN
	DELETE user_privileges WHERE     (security_code = 'WDT2200')
	DELETE security_privileges where (security_code = 'WDT2200')
END

DELETE user_privileges WHERE     (security_code = 'manageco')



-- Convert item/supplier settings

INSERT INTO [item_supplier]
           ([item_id]
           ,[supplier_id]
           ,[supplier_item_sku]
           ,[supplier_item_description]
           ,[lead_time]
           ,[record_status]
           ,[company_id]
           ,[default_supplier]
           ,[note])
SELECT     item_id,supplier_id,  item_number, description, 0, 1, 1, 'T', ''
FROM         item
WHERE     (supplier_id > 0) AND (record_status = 1) AND (company_id = 1) AND
CAST(item_id AS nvarchar)+','+CAST(supplier_id AS nvarchar) NOT IN 
(SELECT CAST(item_id AS nvarchar)+','+CAST(supplier_id AS nvarchar) FROM item_supplier where 
(record_status = 1) AND (company_id = 1))
and item_id not in ( select item_id from item_supplier)

GO

INSERT INTO [unit_of_measure]
           ([item_id]
           ,[supplier_id]
           ,[uom_code]
           ,[quantity_eaches]
           ,[cost]
           ,[preferred_uom]
           ,[record_status]
           ,[company_id])
SELECT     item_id, supplier_id, 
CASE  WHEN unit_of_measure is NULL THEN 'Each' WHEN unit_of_measure = '' THEN 'Each' ELSE unit_of_measure END, 
1 AS Expr1, cost, 'T' AS Expr2, 
                      record_status, company_id
FROM         item
WHERE     (supplier_id > 0) AND (record_status = 1) AND (company_id = 1) AND
CAST(item_id AS nvarchar)+','+CAST(supplier_id AS nvarchar) NOT IN 
(SELECT CAST(item_id AS nvarchar)+','+CAST(supplier_id AS nvarchar) FROM unit_of_measure where 
(record_status = 1) AND (company_id = 1))


--set removed items inventory record status to inactive
update inventory 
set record_status = 2 
where item_id in ( select item_id from item where record_status = 2 )
and record_status = 1
GO

-- Footprint ticket 34650: the customer database has large amount of inactive inventory records. most of them are set to inactive
-- when user deletes location, and item sometimes. But there is a logic in IC 4.x let user revive some "inactive" location record
-- back to active, which causes error when they tries to move into those location. a.k.a program tries to create a new inventory record
-- the program loophole is fixed in v 4.3. this statement should revive any dormant inventory record due to that and allow user to
-- continue onto their life... CY
update inventory set record_status = 1 where 
record_status = 2 AND
location_id in (select location_id from location where record_status = 1) AND
item_id in (select item_id from inventory where record_status = 1) 

GO

----------------------------------------------------

-- Table Name: user_site

----------------------------------------------------

INSERT INTO user_site 
SELECT DISTINCT user_id, 0 FROM users
WHERE (user_id not in (SELECT DISTINCT user_id FROM user_site))
and (user_id > 0) 

GO


-----------------------------------------------------
-- Since we added new columns to Transaction list, 
-- we need to clean the stored grid settings for the list form
-----------------------------------------------------

DELETE FROM ui_settings WHERE setting_type = 'grid'

GO


UPDATE inventory_transactions SET other_transaction_id = 0 WHERE other_transaction_id is NULL
GO